# Index

Symbols | A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | R | S | T | U | V | W | Z

## Symbols

- --apiserver
  - command line option
- --apiserver_addr
  - command line option
- --asic-offload
  - zebra command line option
- --batch
  - zebra command line option
- --bgp_port
  - bgpd command line option
- --command-log-always
  - command line option
- --config_file
  - command line option
- --ctl_socket
  - command line option
- --daemon
  - command line option
- --disable-babeld
  - configure command line option
- --disable-backtrace
  - configure command line option
- --disable-bfdd
  - configure command line option
- --disable-bgp-announce
  - configure command line option
- --disable-bgp-bmp
  - configure command line option
- --disable-bgp-vnc
  - configure command line option
- --disable-bgpd
  - configure command line option
- --disable-doc
  - configure command line option
- --disable-eigrpd
  - configure command line option
- --disable-fabricd
  - configure command line option
- --disable-isisd
  - configure command line option
- --disable-ldpd
  - configure command line option
- --disable-nhrpd
  - configure command line option
- --disable-ospf6d
  - configure command line option
- --disable-ospfapi
  - configure command line option
- --disable-ospfclient
  - configure command line option
- --disable-ospfd
  - configure command line option
- --disable-pbrd
  - configure command line option
- --disable-pimd
  - configure command line option
- --disable-ripd
  - configure command line option
- --disable-ripngd
  - configure command line option
- --disable-snmp
  - configure command line option
- --disable-staticd
  - configure command line option
- --disable-version-build-config
  - configure command line option
- --disable-vrrpd
  - configure command line option
- --disable-vtysh
  - configure command line option
- --disable-watchfrr
  - configure command line option
- --disable-zebra
  - configure command line option
- --dplaneaddr
  - bfdd command line option
- --dummy_as_loopback
  - fabricd command line option
- --ecmp
  - bgpd command line option
  - zebra command line option
- --enable-backtrace
  - configure command line option
- --enable-ccls
  - configure command line option
- --enable-config-rollbacks
  - configure command line option
- --enable-datacenter
  - configure command line option
- --enable-dev-build
  - configure command line option
- --enable-doc-html
  - configure command line option
- --enable-fpm
  - configure command line option
- --enable-fpm-listener
  - configure command line option
- --enable-gcc-rdynamic
  - configure command line option
- --enable-gcov
  - configure command line option
- --enable-group
  - configure command line option
- --enable-grpc
  - configure command line option
- --enable-irdp
  - configure command line option
- --enable-isis-topology
  - configure command line option
- --enable-multipath
  - configure command line option
- --enable-numeric-version
  - configure command line option
- --enable-pcre2posix
  - configure command line option
- --enable-pcreposix
  - configure command line option
- --enable-realms
  - configure command line option
- --enable-rpath
  - configure command line option
- --enable-scripting
  - configure command line option
- --enable-sharpd
  - configure command line option
- --enable-snmp
  - configure command line option
- --enable-sysrepo
  - configure command line option
- --enable-tcmalloc
  - configure command line option
- --enable-user
  - configure command line option
- --enable-vty-group
  - configure command line option
- --enable-werror
  - configure command line option
- --enable-zeromq
  - configure command line option
- --graceful_restart
  - bgpd command line option
  - zebra command line option

- --help
  - command line option
- --instance
  - command line option
- --int_num
  - bgpd command line option
- --limit-fds
  - command line option
- --listenon
  - bgpd command line option
- --localstatedir
  - configure command line option
- --log
  - command line option
- --log-level
  - command line option
- --module
  - command line option
- --nl-bufsize
  - zebra command line option
- --no_kernel
  - bgpd command line option
- --no_zebra
  - bgpd command line option
- --pid_file
  - command line option
- --prefix
  - configure command line option
- --retain
  - zebra command line option
- --routing-table
  - zebra command line option
- --runstatedir
  - configure command line option
- --skip_runas
  - bgpd command line option
- --socket
  - zebra command line option
- --socket_size
  - bgpd command line option
- --sysconfdir
  - configure command line option
- --tcli
  - command line option
- --v6-rr-semantics
  - zebra command line option
- --v6-with-v4-nexthops
  - bgpd command line option
  - zebra command line option
- --version
  - command line option
- --vrfdefaultname
  - command line option
- --vrfwnetns
  - command line option
  - zebra command line option
- --vty_addr
  - command line option
- --vty_port
  - command line option
- --with-libpam
  - configure command line option
- --with-pkg-extra-version
  - configure command line option
- --with-pkg-git-version
  - configure command line option
- --with-scriptdir
  - configure command line option
- --with-service-timeout
  - configure command line option
- --with-vici-socket
  - configure command line option
- --with-yangmodelsdir
  - configure command line option
- -A
  - command line option
- -a
  - command line option
- -b
  - zebra command line option
- -d
  - command line option
- -e
  - bgpd command line option
  - zebra command line option
- -f
  - command line option
- -h
  - command line option
- -I
  - bgpd command line option
- -i
  - command line option
- -K
  - bgpd command line option
  - zebra command line option
- -l
  - bgpd command line option
  - command line option
- -M
  - command line option
- -N
  - command line option
- -n
  - bgpd command line option
  - command line option
  - zebra command line option
- -o
  - command line option
- -P
  - command line option
- -p
  - bgpd command line option
- -r
  - zebra command line option
- -S
  - bgpd command line option
- -s
  - bgpd command line option
  - zebra command line option
- -u
  - command line option
- -v
  - command line option
- -w
  - command line option
- -x
  - bgpd command line option
- -Z
  - bgpd command line option
- -z
  - zebra command line option
- <ip|ipv6> router isis WORD
  - configuration command
- [ip] router-id A.B.C.D
  - configuration command
- [ip] router-id A.B.C.D vrf NAME
  - configuration command
- [ipv6] access-class ACCESS-LIST
  - configuration command

## A

- access-list NAME [seq (1-4294967295)] <deny|permit> ip <A.B.C.D A.B.C.D|host A.B.C.D|any> <A.B.C.D A.B.C.D|host A.B.C.D|any>
  - configuration command
- access-list NAME [seq (1-4294967295)] <permit|deny> <A.B.C.D/M [exact-match]|any>
  - configuration command
- add vnc mac xx:xx:xx:xx:xx:xx virtual-network-identifier (1-4294967295) vn (A.B.C.D|X:X::X:X) un (A.B.C.D|X:X::X:X) [prefix (A.B.C.D/M|X:X::X:X/M)] [cost (0-255)] [lifetime (infinite|(1-4294967295))]
  - configuration command
- add vnc prefix (A.B.C.D/M|X:X::X:X/M) vn (A.B.C.D|X:X::X:X) un (A.B.C.D|X:X::X:X) [cost (0-255)] [lifetime (infinite|(1-4294967295))] [local-next-hop (A.B.C.D|X:X::X:X) [local-cost (0-255)]]
  - configuration command
- address <ip A.B.C.D | ipv6 X:X::X:X> [port (1024-65535)]
  - configuration command
- address-family [ipv4 | ipv6]
  - configuration command
- admin-grp 0x(0-FFFFFFFF)
  - configuration command
- advantages
  - Link-state routing protocol
- advertise <ipv4|ipv6> unicast [gateway-ip]
  - configuration command
- advertise-definition
  - configuration command
- advertise-high-metrics
  - configuration command
- advertise-passive-only
  - configuration command
- advertise-pip [ip <addr> [mac <addr>]]
  - configuration command
- advertise-svi-ip
  - configuration command
- affinity <exclude-any|include-any|include-all> BITPATTERN
  - configuration command
- affinity AFFINITY-MAP-NAME
  - configuration command
- affinity exclude-any NAME
  - configuration command
- affinity include-all NAME
  - configuration command
- affinity include-any NAME
  - configuration command
- affinity-map NAME bit-position (0-1023)
  - configuration command
- affinity-map NAME bit-position (0-255)
  - configuration command
- affinity-mode [extended|standard|both]
  - configuration command
- agentx
  - configuration command
- aggregate-address A.B.C.D/M
  - configuration command
- aggregate-address A.B.C.D/M as-set
  - configuration command
- aggregate-address A.B.C.D/M matching-MED-only
  - configuration command
- aggregate-address A.B.C.D/M origin <egp|igp|incomplete>
  - configuration command
- aggregate-address A.B.C.D/M route-map NAME
  - configuration command
- aggregate-address A.B.C.D/M summary-only
  - configuration command
- aggregate-address A.B.C.D/M suppress-map NAME
  - configuration command
- aggregate-address X:X::X:X/M
  - configuration command
- aggregate-address X:X::X:X/M as-set
  - configuration command
- aggregate-address X:X::X:X/M matching-MED-only
  - configuration command
- aggregate-address X:X::X:X/M origin <egp|igp|incomplete>
  - configuration command
- aggregate-address X:X::X:X/M route-map NAME
  - configuration command
- aggregate-address X:X::X:X/M summary-only
  - configuration command
- aggregate-address X:X::X:X/M suppress-map NAME
  - configuration command
- aggregation timer (5-1800)
  - configuration command, [1]
- allow-ecmp [1-MULTIPATH_NUM]
  - configuration command, [1]
- allow-reserved-ranges
  - configuration command
- architecture
  - FRR
- Area
  - OSPF
- area (0-4294967295) authentication
  - configuration command
- area (0-4294967295) authentication message-digest
  - configuration command
- area (0-4294967295) export-list NAME
  - configuration command, [1]

- area (0-4294967295) filter-list prefix NAME in
  - configuration command, [1]
- area (0-4294967295) filter-list prefix NAME out
  - configuration command, [1]
- area (0-4294967295) import-list NAME
  - configuration command, [1]
- area (0-4294967295) nssa
  - configuration command
- area (0-4294967295) nssa [no-summary] [default-information-originate [metric-type (1-2)] [metric (0-16777214)]]
  - configuration command
- area (0-4294967295) nssa default-information-originate [metric-type (1-2)] [metric (0-16777214)]
  - configuration command
- area (0-4294967295) nssa range A.B.C.D/M [<not-advertise|cost (0-16777215)>]
  - configuration command
- area (0-4294967295) nssa range X:X::X:X/M [<not-advertise|cost (0-16777215)>]
  - configuration command
- area (0-4294967295) nssa suppress-fa
  - configuration command
- area (0-4294967295) range A.B.C.D/M [advertise [cost (0-16777215)]]
  - configuration command
- area (0-4294967295) range A.B.C.D/M not-advertise
  - configuration command
- area (0-4294967295) range A.B.C.D/M {substitute A.B.C.D/M|cost (0-16777215)}
  - configuration command
- area (0-4294967295) range X:X::X:X/M [<advertise|not-advertise|cost (0-16777215)>]
  - configuration command
- area (0-4294967295) shortcut
  - configuration command
- area (0-4294967295) stub
  - configuration command
- area (0-4294967295) stub no-summary
  - configuration command
- area (0-4294967295) virtual-link A.B.C.D
  - configuration command
- area A.B.C.D authentication
  - configuration command
- area A.B.C.D authentication message-digest
  - configuration command
- area A.B.C.D default-cost (0-16777215)
  - configuration command
- area A.B.C.D export-list NAME
  - configuration command, [1]
- area A.B.C.D filter-list prefix NAME in
  - configuration command, [1]
- area A.B.C.D filter-list prefix NAME out
  - configuration command, [1]
- area A.B.C.D import-list NAME
  - configuration command, [1]
- area A.B.C.D nssa
  - configuration command
- area A.B.C.D nssa [no-summary] [default-information-originate [metric-type (1-2)] [metric (0-16777214)]]
  - configuration command
- area A.B.C.D nssa default-information-originate [metric-type (1-2)] [metric (0-16777214)]
  - configuration command
- area A.B.C.D nssa range A.B.C.D/M [<not-advertise|cost (0-16777215)>]
  - configuration command
- area A.B.C.D nssa range X:X::X:X/M [<not-advertise|cost (0-16777215)>]
  - configuration command
- area A.B.C.D nssa suppress-fa
  - configuration command
- area A.B.C.D range A.B.C.D/M [advertise [cost (0-16777215)]]
  - configuration command
- area A.B.C.D range A.B.C.D/M not-advertise
  - configuration command
- area A.B.C.D range A.B.C.D/M {substitute A.B.C.D/M|cost (0-16777215)}
  - configuration command
- area A.B.C.D range X:X::X:X/M [<advertise|not-advertise|cost (0-16777215)>]
  - configuration command
- area A.B.C.D shortcut
  - configuration command
- area A.B.C.D stub
  - configuration command
- area A.B.C.D stub no-summary
  - configuration command
- area A.B.C.D virtual-link A.B.C.D
  - configuration command
- area-password [clear | md5] <password>
  - configuration command
- attached-bit [receive ignore | send]
  - configuration command, [1]
- auto-cost reference-bandwidth (1-4294967)
  - configuration command
- auto-cost reference-bandwidth COST
  - configuration command
- autorp announce A.B.C.D [A.B.C.D/M | group-list PREFIX_LIST]
  - configuration command
- autorp announce {scope (1-255) | interval (1-65535) | holdtime (0-65535)}
  - configuration command
- ava-bw BANDWIDTH
  - configuration command

## B

- babel <wired|wireless>
  - configuration command
- babel channel (1-254)
  - configuration command
- babel channel interfering
  - configuration command
- babel channel noninterfering
  - configuration command
- babel diversity
  - configuration command
- babel diversity-factor (1-256)
  - configuration command
- babel enable-timestamps
  - configuration command
- babel hello-interval (20-655340)
  - configuration command
- babel max-rtt-penalty (0-65535)
  - configuration command
- babel resend-delay (20-655340)
  - configuration command
- babel rtt-decay (1-256)
  - configuration command
- babel rtt-max (1-65535)
  - configuration command
- babel rtt-min (1-65535)
  - configuration command
- babel rxcost (1-65534)
  - configuration command
- babel smoothing-half-life (0-65534)
  - configuration command
- babel split-horizon
  - configuration command
- babel update-interval (20-655340)
  - configuration command
- bandwidth (1-1000000)
  - configuration command
- bandwidth BANDWIDTH [required]
  - configuration command
- banner motd default
  - configuration command
- banner motd file FILE
  - configuration command
- banner motd line LINE
  - configuration command
- behavior usid
  - configuration command
- Bellman-Ford
- bfd
  - configuration command
- bfd default-profile BFD_PROFILE_NAME
  - configuration command
- bfdd command line option
  - --dplaneaddr
- bgp allow-martian-nexthop
  - configuration command
- bgp always-compare-med
  - configuration command
- bgp as-path access-list WORD [seq (0-4294967295)] permit|deny LINE
  - configuration command
- bgp bestpath aigp
  - configuration command
- bgp bestpath as-path confed
  - configuration command
- bgp bestpath as-path multipath-relax
  - configuration command
- bgp bestpath bandwidth <ignore | skip-missing | default-weight-for-missing>
  - configuration command
- bgp bestpath compare-routerid
  - configuration command
- bgp bestpath med missing-as-worst
  - configuration command
- bgp bestpath peer-type multipath-relax
  - configuration command
- bgp cluster-id A.B.C.D
  - configuration command
- bgp community alias NAME ALIAS
  - configuration command
- bgp community-list (1-99) permit|deny COMMUNITY
  - configuration command
- bgp community-list (100-500) permit|deny COMMUNITY
  - configuration command
- bgp community-list expanded NAME permit|deny COMMUNITY
  - configuration command
- bgp community-list NAME permit|deny COMMUNITY
  - configuration command
- bgp community-list standard NAME permit|deny COMMUNITY
  - configuration command
- bgp conditional-advertisement timer (5-240)
  - configuration command
- bgp dampening (1-45) (1-20000) (1-50000) (1-255)
  - configuration command
- bgp default dynamic-capability
  - configuration command
- bgp default ipv4-flowspec
  - configuration command
- bgp default ipv4-multicast
  - configuration command
- bgp default ipv4-unicast
  - configuration command
- bgp default ipv4-vpn
  - configuration command
- bgp default ipv6-flowspec
  - configuration command
- bgp default ipv6-multicast
  - configuration command
- bgp default ipv6-unicast
  - configuration command
- bgp default ipv6-vpn
  - configuration command
- bgp default l2vpn-evpn
  - configuration command
- bgp default show-hostname
  - configuration command
- bgp default show-nexthop-hostname
  - configuration command
- bgp default software-version-capability
  - configuration command
- bgp default-originate timer (0-65535)
  - configuration command
- bgp deterministic-med
  - configuration command
- bgp disable-ebgp-connected-route-check
  - configuration command
- bgp ebgp-requires-policy
  - configuration command
- bgp enforce-first-as
  - configuration command
- bgp extcommunity-list expanded NAME permit|deny LINE
  - configuration command
- bgp extcommunity-list standard NAME permit|deny EXTCOMMUNITY
  - configuration command
- bgp fast-convergence
  - configuration command

- bgp fast-external-failover
  - configuration command
- bgp graceful-restart
  - configuration command, [1]
- bgp graceful-restart notification
  - configuration command
- bgp graceful-restart preserve-fw-state
  - configuration command
- bgp graceful-restart restart-time (0-4095)
  - configuration command, [1]
- bgp graceful-restart rib-stale-time (1-3600)
  - configuration command, [1]
- bgp graceful-restart select-defer-time (0-3600)
  - configuration command, [1]
- bgp graceful-restart stalepath-time (1-4095)
  - configuration command, [1]
- bgp graceful-restart-disable
  - configuration command, [1]
- bgp graceful-shutdown
  - configuration command
- bgp hard-administrative-reset
  - configuration command
- bgp input-queue-limit (1-4294967295)
  - configuration command
- bgp ipv6-auto-ra
  - configuration command
- bgp labeled-unicast <explicit-null|ipv4-explicit-null|ipv6-explicit-null>
  - configuration command
- bgp large-community-list expanded NAME permit|deny LINE
  - configuration command
- bgp large-community-list standard NAME permit|deny LARGE-COMMUNITY
  - configuration command
- bgp listen limit <1-65535>
  - configuration command
- bgp listen range <A.B.C.D/M|X:X::X:X/M> peer-group PGNAME
  - configuration command
- bgp long-lived-graceful-restart stale-time (1-16777215)
  - configuration command
- bgp minimum-holdtime (1-65535)
  - configuration command
- bgp network import-check
  - configuration command
- bgp no-rib
  - configuration command
- bgp output-queue-limit (1-4294967295)
  - configuration command
- bgp reject-as-sets
  - configuration command
- bgp retain route-target all
  - configuration command
- bgp route-reflector allow-outbound-policy
  - configuration command
- bgp router-id A.B.C.D
  - configuration command
- bgp send-extra-data zebra
  - configuration command
- bgp session-dscp (0-63)
  - configuration command
- bgp shutdown [message MSG...]
  - configuration command
- bgp snmp traps <rfc4273|bgp4-mibv2>
  - configuration command
- bgp snmp traps rfc4382
  - configuration command
- bgp suppress-duplicates
  - configuration command
- bgp suppress-fib-pending
  - configuration command
- bgp tcp-keepalive (1-65535) (1-65535) (1-30)
  - configuration command
- bgp update-delay MAX-DELAY
  - configuration command
- bgp update-delay MAX-DELAY ESTABLISH-WAIT
  - configuration command
- bgpd command line option
  - --bgp_port
  - --ecmp
  - --graceful_restart
  - --int_num
  - --listenon
  - --no_kernel
  - --no_zebra
  - --skip_runas
  - --socket_size
  - --v6-with-v4-nexthops
  - -e
  - -I
  - -K
  - -l
  - -n
  - -p
  - -S
  - -s
  - -x
  - -Z
- binding-sid LABEL
  - configuration command
- bmp connect HOSTNAME port (1-65535) {min-retry MSEC|max-retry MSEC} [source-interface WORD]
  - configuration command
- bmp import-vrf-view VRF_OR_VIEW_NAME
  - configuration command
- bmp listener <X:X::X:X|A.B.C.D> port (1-65535)
  - configuration command
- bmp mirror
  - configuration command
- bmp mirror buffer-limit(0-4294967294)
  - configuration command
- bmp monitor AFI SAFI <pre-policy|post-policy|loc-rib>
  - configuration command
- bmp stats [interval (100-86400000)]
  - configuration command
- bmp stats send-experimental
  - configuration command
- bmp targets NAME
  - configuration command
- bsr candidate-bsr [priority (0-255)] [source [address A.B.C.D] | [interface INTERFACE] | [loopback] | [any]]
  - configuration command
- bsr candidate-bsr [priority (0-255)] [source [address X:X::X:X] | [interface INTERFACE] | [loopback] | [any]]
  - configuration command
- bsr candidate-rp [interval (1-4294967295) ] [priority (0-255)] [source [address X:X::X:X] | [interface INTERFACE] | [loopback] | [any]]
  - configuration command
- bsr candidate-rp [interval]
  - configuration command
- bsr candidate-rp [priority (0-255)] [source [address A.B.C.D] | [interface INTERFACE] | [loopback] | [any]]
  - configuration command
- bsr candidate-rp group A.B.C.D/M
  - configuration command
- bug reports
  - contact
- Build options
- building
  - Linux
- Building FRR

## C

- Call Action
- call NAME
  - configuration command
- call WORD
  - configuration command
- candidate-path preference PREFERENCE name NAME dynamic
  - configuration command
- candidate-path preference PREFERENCE name NAME explicit segment-list SEGMENT-LIST-NAME
  - configuration command
- capability opaque
  - configuration command
- clear bgp [ipv4|ipv6] [unicast] PEER|\* capabilities
  - configuration command
- clear bgp [ipv4|ipv6] [unicast] PEER|\* message-stats
  - configuration command
- clear bgp \*
  - configuration command
- clear bgp ipv4|ipv6 \*
  - configuration command
- clear bgp ipv4|ipv6 ASNUM
  - configuration command
- clear bgp ipv4|ipv6 PEER
  - configuration command
- clear bgp ipv4|ipv6 PEER soft|in|out
  - configuration command
- clear bgp ipv4|ipv6 unicast \*
  - configuration command
- clear bgp ipv4|ipv6 unicast PEER
  - configuration command
- clear bgp ipv4|ipv6 unicast PEER soft|in|out
  - configuration command
- clear fpm counters
  - configuration command
- clear ip igmp interfaces
  - configuration command
- clear ip interfaces
  - configuration command
- clear ip mroute
  - configuration command
- clear ip mroute [vrf NAME] count
  - configuration command
- clear ip msdp peer A.B.C.D
  - configuration command
- clear ip ospf [(1-65535)] neighbor
  - configuration command
- clear ip ospf [(1-65535)] process
  - configuration command
- clear ip pim [vrf NAME] bsr-data
  - configuration command
- clear ip pim interfaces
  - configuration command
- clear ip pim oil
  - configuration command
- clear ip prefix-list [NAME [A.B.C.D/M]]
  - configuration command
- clear ipv6 mld [vrf NAME] interfaces
  - configuration command
- clear ipv6 mroute
  - configuration command
- clear ipv6 mroute [vrf NAME] count
  - configuration command
- clear ipv6 ospf6 [vrf NAME] interface [IFNAME]
  - configuration command
- clear ipv6 ospf6 auth-counters interface [IFNAME]
  - configuration command
- clear ipv6 ospf6 process [vrf NAME]
  - configuration command
- clear ipv6 pim [vrf NAME] bsr-data
  - configuration command
- clear ipv6 pim [vrf NAME] interface traffic
  - configuration command
- clear ipv6 pim interfaces
  - configuration command
- clear ipv6 pim oil
  - configuration command
- clear log filter-text
  - configuration command
- clear route-map counter [WORD]
  - configuration command
- clear sr-te pcep session [NAME]
  - configuration command
- clear vnc counters
  - configuration command
- clear vnc mac (\*|xx:xx:xx:xx:xx:xx) virtual-network-identifier (\*|(1-4294967295)) (\*|[(vn|un) (A.B.C.D|X:X::X:X|\*) [(un|vn) (A.B.C.D|X:X::X:X|\*)] [prefix (\*|A.B.C.D/M|X:X::X:X/M)])
  - configuration command
- clear vnc nve (\*|((vn|un) (A.B.C.D|X:X::X:X) [(un|vn) (A.B.C.D|X:X::X:X)]))
  - configuration command
- clear vnc prefix (\*|A.B.C.D/M|X:X::X:X/M) (\*|[(vn|un) (A.B.C.D|X:X::X:X|\*) [(un|vn) (A.B.C.D|X:X::X:X|\*)] [mac xx:xx:xx:xx:xx:xx] [local-next-hop (A.B.C.D|X:X::X:X)])
  - configuration command
- clear zebra fpm stats
  - configuration command
- coalesce-time (0-4294967295)
  - configuration command
- command line option
  - --apiserver
  - --apiserver_addr
  - --command-log-always
  - --config_file
  - --ctl_socket
  - --daemon
  - --help
  - --instance
  - --limit-fds
  - --log
  - --log-level
  - --module
  - --pid_file
  - --tcli
  - --version
  - --vrfdefaultname
  - --vrfwnetns
  - --vty_addr
  - --vty_port
  - -A
  - -a
  - -d
  - -f
  - -h
  - -i
  - -l
  - -M
  - -N
  - -n
  - -o
  - -P
  - -u
  - -v
  - -w
- compressed usid
  - configuration command
- config WORD
  - configuration command
- configuration
  - Linux
- configuration command
  - <ip|ipv6> router isis WORD
  - [ip] router-id A.B.C.D
  - [ip] router-id A.B.C.D vrf NAME
  - [ipv6] access-class ACCESS-LIST
  - access-list NAME [seq (1-4294967295)] <deny|permit> ip <A.B.C.D A.B.C.D|host A.B.C.D|any> <A.B.C.D A.B.C.D|host A.B.C.D|any>
  - access-list NAME [seq (1-4294967295)] <permit|deny> <A.B.C.D/M [exact-match]|any>
  - add vnc mac xx:xx:xx:xx:xx:xx virtual-network-identifier (1-4294967295) vn (A.B.C.D|X:X::X:X) un (A.B.C.D|X:X::X:X) [prefix (A.B.C.D/M|X:X::X:X/M)] [cost (0-255)] [lifetime (infinite|(1-4294967295))]
  - add vnc prefix (A.B.C.D/M|X:X::X:X/M) vn (A.B.C.D|X:X::X:X) un (A.B.C.D|X:X::X:X) [cost (0-255)] [lifetime (infinite|(1-4294967295))] [local-next-hop (A.B.C.D|X:X::X:X) [local-cost (0-255)]]
  - address <ip A.B.C.D | ipv6 X:X::X:X> [port (1024-65535)]
  - address-family [ipv4 | ipv6]
  - admin-grp 0x(0-FFFFFFFF)
  - advertise <ipv4|ipv6> unicast [gateway-ip]
  - advertise-definition
  - advertise-high-metrics
  - advertise-passive-only
  - advertise-pip [ip <addr> [mac <addr>]]
  - advertise-svi-ip
  - affinity <exclude-any|include-any|include-all> BITPATTERN
  - affinity AFFINITY-MAP-NAME
  - affinity exclude-any NAME
  - affinity include-all NAME
  - affinity include-any NAME
  - affinity-map NAME bit-position (0-1023)
  - affinity-map NAME bit-position (0-255)
  - affinity-mode [extended|standard|both]
  - agentx
  - aggregate-address A.B.C.D/M
  - aggregate-address A.B.C.D/M as-set
  - aggregate-address A.B.C.D/M matching-MED-only
  - aggregate-address A.B.C.D/M origin <egp|igp|incomplete>
  - aggregate-address A.B.C.D/M route-map NAME
  - aggregate-address A.B.C.D/M summary-only
  - aggregate-address A.B.C.D/M suppress-map NAME
  - aggregate-address X:X::X:X/M
  - aggregate-address X:X::X:X/M as-set
  - aggregate-address X:X::X:X/M matching-MED-only
  - aggregate-address X:X::X:X/M origin <egp|igp|incomplete>
  - aggregate-address X:X::X:X/M route-map NAME
  - aggregate-address X:X::X:X/M summary-only
  - aggregate-address X:X::X:X/M suppress-map NAME
  - aggregation timer (5-1800), [1]
  - allow-ecmp [1-MULTIPATH_NUM], [1]
  - allow-reserved-ranges
  - area (0-4294967295) authentication
  - area (0-4294967295) authentication message-digest
  - area (0-4294967295) export-list NAME, [1]
  - area (0-4294967295) filter-list prefix NAME in, [1]
  - area (0-4294967295) filter-list prefix NAME out, [1]
  - area (0-4294967295) import-list NAME, [1]
  - area (0-4294967295) nssa
  - area (0-4294967295) nssa [no-summary] [default-information-originate [metric-type (1-2)] [metric (0-16777214)]]
  - area (0-4294967295) nssa default-information-originate [metric-type (1-2)] [metric (0-16777214)]
  - area (0-4294967295) nssa range A.B.C.D/M [<not-advertise|cost (0-16777215)>]
  - area (0-4294967295) nssa range X:X::X:X/M [<not-advertise|cost (0-16777215)>]
  - area (0-4294967295) nssa suppress-fa
  - area (0-4294967295) range A.B.C.D/M [advertise [cost (0-16777215)]]
  - area (0-4294967295) range A.B.C.D/M not-advertise
  - area (0-4294967295) range A.B.C.D/M {substitute A.B.C.D/M|cost (0-16777215)}
  - area (0-4294967295) range X:X::X:X/M [<advertise|not-advertise|cost (0-16777215)>]
  - area (0-4294967295) shortcut
  - area (0-4294967295) stub
  - area (0-4294967295) stub no-summary
  - area (0-4294967295) virtual-link A.B.C.D
  - area A.B.C.D authentication
  - area A.B.C.D authentication message-digest
  - area A.B.C.D default-cost (0-16777215)
  - area A.B.C.D export-list NAME, [1]
  - area A.B.C.D filter-list prefix NAME in, [1]
  - area A.B.C.D filter-list prefix NAME out, [1]
  - area A.B.C.D import-list NAME, [1]
  - area A.B.C.D nssa
  - area A.B.C.D nssa [no-summary] [default-information-originate [metric-type (1-2)] [metric (0-16777214)]]
  - area A.B.C.D nssa default-information-originate [metric-type (1-2)] [metric (0-16777214)]
  - area A.B.C.D nssa range A.B.C.D/M [<not-advertise|cost (0-16777215)>]
  - area A.B.C.D nssa range X:X::X:X/M [<not-advertise|cost (0-16777215)>]
  - area A.B.C.D nssa suppress-fa
  - area A.B.C.D range A.B.C.D/M [advertise [cost (0-16777215)]]
  - area A.B.C.D range A.B.C.D/M not-advertise
  - area A.B.C.D range A.B.C.D/M {substitute A.B.C.D/M|cost (0-16777215)}
  - area A.B.C.D range X:X::X:X/M [<advertise|not-advertise|cost (0-16777215)>]
  - area A.B.C.D shortcut
  - area A.B.C.D stub
  - area A.B.C.D stub no-summary
  - area A.B.C.D virtual-link A.B.C.D
  - area-password [clear | md5] <password>
  - attached-bit [receive ignore | send], [1]
  - auto-cost reference-bandwidth (1-4294967)
  - auto-cost reference-bandwidth COST
  - autorp announce A.B.C.D [A.B.C.D/M | group-list PREFIX_LIST]
  - autorp announce {scope (1-255) | interval (1-65535) | holdtime (0-65535)}
  - ava-bw BANDWIDTH
  - babel <wired|wireless>
  - babel channel (1-254)
  - babel channel interfering
  - babel channel noninterfering
  - babel diversity
  - babel diversity-factor (1-256)
  - babel enable-timestamps
  - babel hello-interval (20-655340)
  - babel max-rtt-penalty (0-65535)
  - babel resend-delay (20-655340)
  - babel rtt-decay (1-256)
  - babel rtt-max (1-65535)
  - babel rtt-min (1-65535)
  - babel rxcost (1-65534)
  - babel smoothing-half-life (0-65534)
  - babel split-horizon
  - babel update-interval (20-655340)
  - bandwidth (1-1000000)
  - bandwidth BANDWIDTH [required]
  - banner motd default
  - banner motd file FILE
  - banner motd line LINE
  - behavior usid
  - bfd
  - bfd default-profile BFD_PROFILE_NAME
  - bgp allow-martian-nexthop
  - bgp always-compare-med
  - bgp as-path access-list WORD [seq (0-4294967295)] permit|deny LINE
  - bgp bestpath aigp
  - bgp bestpath as-path confed
  - bgp bestpath as-path multipath-relax
  - bgp bestpath bandwidth <ignore | skip-missing | default-weight-for-missing>
  - bgp bestpath compare-routerid
  - bgp bestpath med missing-as-worst
  - bgp bestpath peer-type multipath-relax
  - bgp cluster-id A.B.C.D
  - bgp community alias NAME ALIAS
  - bgp community-list (1-99) permit|deny COMMUNITY
  - bgp community-list (100-500) permit|deny COMMUNITY
  - bgp community-list expanded NAME permit|deny COMMUNITY
  - bgp community-list NAME permit|deny COMMUNITY
  - bgp community-list standard NAME permit|deny COMMUNITY
  - bgp conditional-advertisement timer (5-240)
  - bgp dampening (1-45) (1-20000) (1-50000) (1-255)
  - bgp default dynamic-capability
  - bgp default ipv4-flowspec
  - bgp default ipv4-multicast
  - bgp default ipv4-unicast
  - bgp default ipv4-vpn
  - bgp default ipv6-flowspec
  - bgp default ipv6-multicast
  - bgp default ipv6-unicast
  - bgp default ipv6-vpn
  - bgp default l2vpn-evpn
  - bgp default show-hostname
  - bgp default show-nexthop-hostname
  - bgp default software-version-capability
  - bgp default-originate timer (0-65535)
  - bgp deterministic-med
  - bgp disable-ebgp-connected-route-check
  - bgp ebgp-requires-policy
  - bgp enforce-first-as
  - bgp extcommunity-list expanded NAME permit|deny LINE
  - bgp extcommunity-list standard NAME permit|deny EXTCOMMUNITY
  - bgp fast-convergence
  - bgp fast-external-failover
  - bgp graceful-restart, [1]
  - bgp graceful-restart notification
  - bgp graceful-restart preserve-fw-state
  - bgp graceful-restart restart-time (0-4095), [1]
  - bgp graceful-restart rib-stale-time (1-3600), [1]
  - bgp graceful-restart select-defer-time (0-3600), [1]
  - bgp graceful-restart stalepath-time (1-4095), [1]
  - bgp graceful-restart-disable, [1]
  - bgp graceful-shutdown
  - bgp hard-administrative-reset
  - bgp input-queue-limit (1-4294967295)
  - bgp ipv6-auto-ra
  - bgp labeled-unicast <explicit-null|ipv4-explicit-null|ipv6-explicit-null>
  - bgp large-community-list expanded NAME permit|deny LINE
  - bgp large-community-list standard NAME permit|deny LARGE-COMMUNITY
  - bgp listen limit <1-65535>
  - bgp listen range <A.B.C.D/M|X:X::X:X/M> peer-group PGNAME
  - bgp long-lived-graceful-restart stale-time (1-16777215)
  - bgp minimum-holdtime (1-65535)
  - bgp network import-check
  - bgp no-rib
  - bgp output-queue-limit (1-4294967295)
  - bgp reject-as-sets
  - bgp retain route-target all
  - bgp route-reflector allow-outbound-policy
  - bgp router-id A.B.C.D
  - bgp send-extra-data zebra
  - bgp session-dscp (0-63)
  - bgp shutdown [message MSG...]
  - bgp snmp traps <rfc4273|bgp4-mibv2>
  - bgp snmp traps rfc4382
  - bgp suppress-duplicates
  - bgp suppress-fib-pending
  - bgp tcp-keepalive (1-65535) (1-65535) (1-30)
  - bgp update-delay MAX-DELAY
  - bgp update-delay MAX-DELAY ESTABLISH-WAIT
  - binding-sid LABEL
  - bmp connect HOSTNAME port (1-65535) {min-retry MSEC|max-retry MSEC} [source-interface WORD]
  - bmp import-vrf-view VRF_OR_VIEW_NAME
  - bmp listener <X:X::X:X|A.B.C.D> port (1-65535)
  - bmp mirror
  - bmp mirror buffer-limit(0-4294967294)
  - bmp monitor AFI SAFI <pre-policy|post-policy|loc-rib>
  - bmp stats [interval (100-86400000)]
  - bmp stats send-experimental
  - bmp targets NAME
  - bsr candidate-bsr [priority (0-255)] [source [address A.B.C.D] | [interface INTERFACE] | [loopback] | [any]]
  - bsr candidate-bsr [priority (0-255)] [source [address X:X::X:X] | [interface INTERFACE] | [loopback] | [any]]
  - bsr candidate-rp [interval (1-4294967295) ] [priority (0-255)] [source [address X:X::X:X] | [interface INTERFACE] | [loopback] | [any]]
  - bsr candidate-rp [interval]
  - bsr candidate-rp [priority (0-255)] [source [address A.B.C.D] | [interface INTERFACE] | [loopback] | [any]]
  - bsr candidate-rp group A.B.C.D/M
  - call NAME
  - call WORD
  - candidate-path preference PREFERENCE name NAME dynamic
  - candidate-path preference PREFERENCE name NAME explicit segment-list SEGMENT-LIST-NAME
  - capability opaque
  - clear bgp [ipv4|ipv6] [unicast] PEER|\* capabilities
  - clear bgp [ipv4|ipv6] [unicast] PEER|\* message-stats
  - clear bgp \*
  - clear bgp ipv4|ipv6 \*
  - clear bgp ipv4|ipv6 ASNUM
  - clear bgp ipv4|ipv6 PEER
  - clear bgp ipv4|ipv6 PEER soft|in|out
  - clear bgp ipv4|ipv6 unicast \*
  - clear bgp ipv4|ipv6 unicast PEER
  - clear bgp ipv4|ipv6 unicast PEER soft|in|out
  - clear fpm counters
  - clear ip igmp interfaces
  - clear ip interfaces
  - clear ip mroute
  - clear ip mroute [vrf NAME] count
  - clear ip msdp peer A.B.C.D
  - clear ip ospf [(1-65535)] neighbor
  - clear ip ospf [(1-65535)] process
  - clear ip pim [vrf NAME] bsr-data
  - clear ip pim interfaces
  - clear ip pim oil
  - clear ip prefix-list [NAME [A.B.C.D/M]]
  - clear ipv6 mld [vrf NAME] interfaces
  - clear ipv6 mroute
  - clear ipv6 mroute [vrf NAME] count
  - clear ipv6 ospf6 [vrf NAME] interface [IFNAME]
  - clear ipv6 ospf6 auth-counters interface [IFNAME]
  - clear ipv6 ospf6 process [vrf NAME]
  - clear ipv6 pim [vrf NAME] bsr-data
  - clear ipv6 pim [vrf NAME] interface traffic
  - clear ipv6 pim interfaces
  - clear ipv6 pim oil
  - clear log filter-text
  - clear route-map counter [WORD]
  - clear sr-te pcep session [NAME]
  - clear vnc counters
  - clear vnc mac (\*|xx:xx:xx:xx:xx:xx) virtual-network-identifier (\*|(1-4294967295)) (\*|[(vn|un) (A.B.C.D|X:X::X:X|\*) [(un|vn) (A.B.C.D|X:X::X:X|\*)] [prefix (\*|A.B.C.D/M|X:X::X:X/M)])
  - clear vnc nve (\*|((vn|un) (A.B.C.D|X:X::X:X) [(un|vn) (A.B.C.D|X:X::X:X)]))
  - clear vnc prefix (\*|A.B.C.D/M|X:X::X:X/M) (\*|[(vn|un) (A.B.C.D|X:X::X:X|\*) [(un|vn) (A.B.C.D|X:X::X:X|\*)] [mac xx:xx:xx:xx:xx:xx] [local-next-hop (A.B.C.D|X:X::X:X)])
  - clear zebra fpm stats
  - coalesce-time (0-4294967295)
  - compressed usid
  - config WORD
  - configure [terminal]
  - continue (1-65535)
  - copy FILENAME running-config
  - debug babel KIND
  - debug bfd distributed
  - debug bfd network
  - debug bfd peer
  - debug bfd zebra
  - debug bgp aggregate [prefix <A.B.C.D/M|X:X::X:X/M>]
  - debug bgp allow-martian
  - debug bgp bestpath <A.B.C.D/M|X:X::X:X/M>
  - debug bgp bfd
  - debug bgp conditional-advertisement
  - debug bgp flowspec
  - debug bgp keepalives
  - debug bgp neighbor-events
  - debug bgp nht
  - debug bgp pbr [error]
  - debug bgp update-groups
  - debug bgp updates <in|out> [<A.B.C.D|X:X::X:X|WORD> [prefix-list WORD]]
  - debug bgp updates [detail]
  - debug bgp zebra
  - debug eigrp packets
  - debug eigrp transmit
  - debug igmp
  - debug isis adj-packets
  - debug isis events
  - debug isis lfa
  - debug isis packet-dump
  - debug isis route-events
  - debug isis snp-packets
  - debug isis spf-events
  - debug isis sr-events
  - debug isis te-events
  - debug isis update-packets
  - debug mgmt backend
  - debug mgmt client backend
  - debug mgmt client frontend
  - debug mgmt datastore
  - debug mgmt frontend
  - debug mgmt transaction
  - debug mld
  - debug mld events
  - debug mld packets
  - debug mld trace [detail]
  - debug mpls ldp KIND
  - debug mroute
  - debug mroute6
  - debug mroute6 detail
  - debug mtrace
  - debug openfabric adj-packets
  - debug openfabric checksum-errors
  - debug openfabric events
  - debug openfabric local-updates
  - debug openfabric lsp-gen
  - debug openfabric lsp-sched
  - debug openfabric packet-dump
  - debug openfabric protocol-errors
  - debug openfabric route-events
  - debug openfabric snp-packets
  - debug openfabric spf-events
  - debug openfabric spf-statistics
  - debug openfabric spf-triggers
  - debug openfabric update-packets
  - debug ospf [(1-65535)] bfd
  - debug ospf [(1-65535)] client-api
  - debug ospf [(1-65535)] default-information
  - debug ospf [(1-65535)] event
  - debug ospf [(1-65535)] graceful-restart, [1]
  - debug ospf [(1-65535)] ism [status|events|timers]
  - debug ospf [(1-65535)] ldp-sync
  - debug ospf [(1-65535)] lsa [aggregate|flooding|generate|install|refresh]
  - debug ospf [(1-65535)] nsm [status|events|timers]
  - debug ospf [(1-65535)] nssa
  - debug ospf [(1-65535)] packet (hello|dd|ls-request|ls-update|ls-ack|all) (send|recv) [detail]
  - debug ospf [(1-65535)] sr
  - debug ospf [(1-65535)] te
  - debug ospf [(1-65535)] ti-lfa
  - debug ospf [(1-65535)] zebra [interface|redistribute]
  - debug ospf6 abr
  - debug ospf6 asbr
  - debug ospf6 authentication [<tx|rx>]
  - debug ospf6 border-routers {router-id [A.B.C.D] | area-id [A.B.C.D]}
  - debug ospf6 flooding
  - debug ospf6 graceful-restart
  - debug ospf6 interface
  - debug ospf6 lsa
  - debug ospf6 lsa aggregation
  - debug ospf6 message
  - debug ospf6 neighbor
  - debug ospf6 nssa
  - debug ospf6 route
  - debug ospf6 spf
  - debug ospf6 zebra
  - debug pathd pcep [basic|path|message|pceplib]
  - debug pathd policy
  - debug pbr events|map|nht|zebra
  - debug pim autorp
  - debug pim bsm
  - debug pim events
  - debug pim graft
  - debug pim nht
  - debug pim nht detail
  - debug pim packet-dump
  - debug pim packets
  - debug pim state-refresh
  - debug pim trace
  - debug pim zebra
  - debug pimv6 bsm
  - debug pimv6 events
  - debug pimv6 nht
  - debug pimv6 nht detail
  - debug pimv6 packet-dump
  - debug pimv6 packets
  - debug pimv6 trace
  - debug pimv6 zebra
  - debug prefix-list NAME match <A.B.C.D/M|X:X::X:X/M> [address-mode]
  - debug rip events
  - debug rip packet
  - debug rip zebra
  - debug ripng events
  - debug ripng packet
  - debug ripng zebra
  - debug routemap [detail]
  - debug rpki
  - debug unique-id XXXXX-XXXXX backtrace
  - debug vrrp [{protocol|autoconfigure|packets|sockets|ndisc|arp|zebra}]
  - debug zebra dplane [detailed]
  - debug zebra events
  - debug zebra evpn mh <es|mac|neigh|nh>
  - debug zebra fpm
  - debug zebra kernel
  - debug zebra kernel msgdump [<recv|send>]
  - debug zebra mlag
  - debug zebra mpls [detailed]
  - debug zebra nexthop [detail]
  - debug zebra nht [detailed]
  - debug zebra packet [<recv|send>] [detail]
  - debug zebra pbr
  - debug zebra pseudowires
  - debug zebra rib [detailed]
  - debug zebra srv6
  - debug zebra vxlan
  - default-information originate, [1]
  - default-information originate <ipv4 | ipv6> <level-1 | level-2> [always] [metric (0-16777214)|route-map WORD]
  - default-information originate [{always|metric (0-16777214)|metric-type (1-2)|route-map WORD}]
  - default-information originate always
  - default-information originate always metric (0-16777214)
  - default-information originate always metric (0-16777214) metric-type (1|2)
  - default-information originate always metric (0-16777214) metric-type (1|2) route-map WORD
  - default-information originate metric (0-16777214)
  - default-information originate metric (0-16777214) metric-type (1|2)
  - default-information originate metric (0-16777214) metric-type (1|2) route-map WORD
  - default-metric (0-16777214)
  - default-metric (1-16)
  - delay (0-16777215) [min (0-16777215) | max (0-16777215)]
  - delay-variation (0-16777215)
  - description DESCRIPTION ...
  - destination <stdout|stderr|fd <(0-63)|envvar WORD>> [format FORMAT]
  - destination file PATH [create [{user WORD|group WORD|mode PERMS}]|no-create] [format FORMAT]
  - destination journald
  - destination none
  - destination syslog [supports-rfc5424]
  - destination unix PATH [format FORMAT]
  - detect-multiplier (1-255)
  - disable-ead-evi-rx
  - disable-ead-evi-tx
  - disable-establish-hello
  - discovery hello holdtime HOLDTIME
  - discovery hello interval INTERVAL
  - discovery transport-address A.B.C.D | A:B::C:D
  - Displays the DPDK stats per-PBR entry.
  - Displays the ZAPI message handler counters
  - distance (1-255), [1]
  - distance (1-255) A.B.C.D/M, [1]
  - distance (1-255) A.B.C.D/M ACCESS-LIST
  - distance (1-255) A.B.C.D/M WORD
  - distance bgp (1-255) (1-255) (1-255)
  - distance ospf (intra-area|inter-area|external) (1-255)
  - distribute-list [prefix] LIST <in|out> IFNAME, [1]
  - distribute-list NAME out <kernel|connected|static|rip|isis|bgp|eigrp|nhrp|table|vnc|babel|openfabric>
  - domain-password [clear | md5] <password>, [1]
  - domainname DOMAINNAME
  - dual-stack transport-connection prefer ipv4
  - dump bgp all PATH [INTERVAL]
  - dump bgp all-et PATH [INTERVAL]
  - dump bgp routes-mrt PATH
  - dump bgp routes-mrt PATH INTERVAL
  - dump bgp updates PATH [INTERVAL]
  - dump bgp updates-et PATH [INTERVAL]
  - ead-es-frag evi-limit (1-1000)
  - echo receive-interval <disabled|(10-4294967)>
  - echo transmit-interval (10-4294967)
  - echo-mode
  - ecmp
  - ecmp rebalance
  - embedded-rp
  - embedded-rp group-list PREFIX_LIST_NAME
  - embedded-rp limit (1-4294967295)
  - enable password PASSWORD
  - enable-resolve-overlay-index
  - encap-behavior <H_Encaps|H_Encaps_Red>
  - encapsulation
  - evpn mh es-df-pref (1-16777215)
  - evpn mh es-id <(1-16777215)|ESINAME>
  - evpn mh es-sys-mac X:X:X:X:X:X
  - evpn mh mac-holdtime (0-86400)
  - evpn mh neigh-holdtime (0-86400)
  - evpn mh redirect-off
  - evpn mh startup-delay (0-3600)
  - evpn mh uplink
  - exec-timeout MINUTE [SECOND]
  - exec-timeout TIMEOUT
  - exit-vnc
  - export bgp|zebra ipv4|ipv6 prefix-list LIST-NAME
  - export bgp|zebra mode none|group-nve|registering-nve|ce
  - export bgp|zebra no ipv4|ipv6 prefix-list
  - export bgp|zebra no route-map
  - export bgp|zebra route-map MAP-NAME
  - fabric-tier (0-14)
  - facility FACILITY
  - fast-reroute lfa tiebreaker [downstream | lowest-backup-metric | node-protecting] index (1-255) [level-1 | level-2]
  - fast-reroute load-sharing disable [level-1 | level-2]
  - fast-reroute priority-limit [critical | high | medium] [level-1 | level-2]
  - fast-reroute remote-lfa prefix-list [WORD] [level-1 | level-2]
  - fast-reroute ti-lfa [node-protection]
  - find REGEX...
  - flex-algo (128-255)
  - format NAME, [1]
  - formats
  - fpm address <A.B.C.D|X:X::X:X> [port (1-65535)]
  - fpm connection ip A.B.C.D port (1-65535)
  - fpm use-next-hop-groups
  - fpm use-route-replace
  - graceful-restart [grace-period (1-1800)], [1]
  - graceful-restart helper enable [A.B.C.D], [1]
  - graceful-restart helper planned-only, [1]
  - graceful-restart helper strict-lsa-checking, [1]
  - graceful-restart helper supported-grace-time (10-1800), [1]
  - graceful-restart prepare ip ospf
  - graceful-restart prepare ipv6 ospf
  - hostname dynamic
  - hostname HOSTNAME
  - import vrf VRFNAME
  - import|export vpn
  - index INDEX mpls label LABEL
  - index INDEX nai adjacency A.B.C.D A.B.C.D
  - index INDEX nai prefix A.B.C.D/M algorithm <0|1>
  - index INDEX nai prefix A.B.C.D/M iface (0-65535)
  - interface IFACE
  - interface IFNAME
  - interface IFNAME vrf VRF
  - interface NAME
  - ip access-list NAME
  - ip address ADDRESS/PREFIX
  - ip address LOCAL-ADDR peer PEER-ADDR/PREFIX
  - ip igmp
  - ip igmp generate-query-once [version (2-3)]
  - ip igmp immediate-leave
  - ip igmp join-group A.B.C.D [A.B.C.D]
  - ip igmp last-member-query-count (1-255)
  - ip igmp last-member-query-interval (1-65535)
  - ip igmp max-groups (0-4294967295)
  - ip igmp max-sources (0-4294967295)
  - ip igmp proxy
  - ip igmp query-interval (1-65535)
  - ip igmp query-max-response-time (1-65535)
  - ip igmp require-router-alert
  - ip igmp static-group A.B.C.D [A.B.C.D]
  - ip igmp version (2-3)
  - ip igmp watermark-warn (1-65535)
  - ip import-table (1-252) [mrib] [distance (1-255)] [route-map RMAP_NAME]
  - ip mroute INTERFACE A.B.C.D [A.B.C.D]
  - ip mroute PREFIX NEXTHOP [DISTANCE]
  - ip multicast boundary ACCESS-LIST
  - ip multicast boundary oil WORD
  - ip nhrp authentication PASSWORD
  - ip nhrp holdtime (1-65000)
  - ip nhrp map A.B.C.D|X:X::X:X A.B.C.D|local
  - ip nhrp map multicast A.B.C.D|X:X::X:X A.B.C.D|dynamic
  - ip nhrp mtu
  - ip nhrp network-id (1-4294967295)
  - ip nhrp nhs A.B.C.D nbma A.B.C.D|FQDN
  - ip nhrp nhs dynamic nbma A.B.C.D
  - ip nhrp redirect
  - ip nhrp registration no-unique
  - ip nhrp shortcut
  - ip nht resolve-via-default
  - ip ospf area (A.B.C.D|(0-4294967295))
  - ip ospf area AREA [ADDR]
  - ip ospf authentication key-chain KEYCHAIN
  - ip ospf authentication message-digest
  - ip ospf authentication-key AUTH_KEY
  - ip ospf bfd
  - ip ospf bfd profile BFDPROF
  - ip ospf capability opaque [A.B.C.D]
  - ip ospf cost (1-65535)
  - ip ospf dead-interval (1-65535)
  - ip ospf dead-interval minimal hello-multiplier (2-20)
  - ip ospf graceful-restart hello-delay (1-1800)
  - ip ospf hello-interval (1-65535)
  - ip ospf message-digest-key KEYID md5 KEY
  - ip ospf neighbor-filter NAME [A.B.C.D]
  - ip ospf network (broadcast|non-broadcast|point-to-multipoint [delay-reflood|non-broadcast]|point-to-point [dmvpn])
  - ip ospf passive [A.B.C.D]
  - ip ospf prefix-suppression [A.B.C.D]
  - ip ospf priority (0-255)
  - ip ospf retransmit-interval (1-65535)
  - ip ospf retransmit-window (20-1000)
  - ip ospf transmit-delay (1-65535) [A.B.C.D]
  - ip pim [sm | dm | sm-dm]
  - ip pim active-active
  - ip pim allowed-neighbors prefix-list PREFIX_LIST
  - ip pim bfd [profile BFDPROF]
  - ip pim bsm
  - ip pim dm prefix-list PREFIX_LIST
  - ip pim drpriority (0-4294967295)
  - ip pim hello (1-65535) (1-65535)
  - ip pim passive
  - ip pim ssm prefix-list PREFIX_LIST
  - ip pim unicast-bsm
  - ip pim use-source A.B.C.D
  - ip prefix-list NAME (permit|deny) PREFIX [le LEN] [ge LEN]
  - ip prefix-list NAME description DESC
  - ip prefix-list NAME seq NUMBER (permit|deny) PREFIX [le LEN] [ge LEN]
  - ip protocol PROTOCOL route-map ROUTEMAP
  - ip rip authentication key-chain KEY-CHAIN
  - ip rip authentication mode md5
  - ip rip authentication mode text
  - ip rip authentication string STRING
  - ip rip bfd
  - ip rip bfd profile BFD_PROFILE_NAME
  - ip rip receive version VERSION
  - ip rip send version VERSION
  - ip rip split-horizon [poisoned-reverse]
  - ip route A.B.C.D <A.B.C.D|nexthop> segments U:U::U:U/Y:Y::Y:Y/Z:Z::Z:Z [encap-behavior BEHAVIOR]
  - ip route A.B.C.D/M A.B.C.D bfd [{multi-hop|source A.B.C.D|profile BFDPROF}]
  - ip route NETWORK (Null0|blackhole|reject) [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - ip route NETWORK GATEWAY [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - ip route NETWORK GATEWAY IFNAME [DISTANCE] [onlink] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - ip route NETWORK IFNAME [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - ip route NETWORK MASK GATEWAY|INTERFACE label LABEL
  - ip router openfabric WORD
  - ip table range <STARTTABLENO> <ENDTABLENO>
  - ipv6 access-list NAME
  - ipv6 address ADDRESS/PREFIX
  - ipv6 mld
  - ipv6 mld immediate-leave
  - ipv6 mld join X:X::X:X [Y:Y::Y:Y]
  - ipv6 mld last-member-query-count (1-255)
  - ipv6 mld last-member-query-interval (1-65535)
  - ipv6 mld max-groups (0-4294967295)
  - ipv6 mld max-sources (0-4294967295)
  - ipv6 mld query-interval (1-65535)
  - ipv6 mld query-max-response-time (1-65535)
  - ipv6 mld require-router-alert
  - ipv6 mld version (1-2)
  - ipv6 mroute INTERFACE X:X::X:X [Y:Y::Y:Y]
  - ipv6 multicast boundary oil WORD
  - ipv6 nd adv-interval-option
  - ipv6 nd dnssl domain-name-suffix [lifetime]
  - ipv6 nd home-agent-config-flag
  - ipv6 nd home-agent-lifetime [(0-65520)]
  - ipv6 nd home-agent-preference [(0-65535)]
  - ipv6 nd managed-config-flag
  - ipv6 nd mtu [(1-65535)]
  - ipv6 nd nat64 [X:X::X:X/M] [lifetime (0-65535)]
  - ipv6 nd other-config-flag
  - ipv6 nd prefix ipv6prefix [valid-lifetime] [preferred-lifetime] [off-link] [no-autoconfig] [router-address]
  - ipv6 nd ra-fast-retrans
  - ipv6 nd ra-hop-limit [(0-255)]
  - ipv6 nd ra-interval [(1-1800)]
  - ipv6 nd ra-interval [msec (70-1800000)]
  - ipv6 nd ra-lifetime [(0-9000)]
  - ipv6 nd ra-retrans-interval [(0-4294967295)]
  - ipv6 nd rdnss ipv6address [lifetime]
  - ipv6 nd reachable-time [(1-3600000)]
  - ipv6 nd router-preference [(high|medium|low)]
  - ipv6 nd suppress-ra
  - ipv6 nht resolve-via-default
  - ipv6 ospf6 area <A.B.C.D|(0-4294967295)>
  - ipv6 ospf6 authentication key-id (1-65535) hash-algo <md5|hmac-sha-256> key WORD
  - ipv6 ospf6 authentication key-id (1-65535) hash-algo <md5|hmac-sha-256|hmac-sha-1|hmac-sha-384|hmac-sha-512> key WORD
  - ipv6 ospf6 authentication keychain KEYCHAIN_NAME
  - ipv6 ospf6 bfd [profile BFDPROF]
  - ipv6 ospf6 cost COST
  - ipv6 ospf6 dead-interval DEADINTERVAL
  - ipv6 ospf6 graceful-restart hello-delay HELLODELAYINTERVAL
  - ipv6 ospf6 hello-interval HELLOINTERVAL
  - ipv6 ospf6 neighbor X:X::X:X
  - ipv6 ospf6 neighbor X:X::X:X cost (1-65535)
  - ipv6 ospf6 neighbor X:X::X:X poll-interval (1-65535)
  - ipv6 ospf6 network (broadcast|point-to-point|point-to-multipoint)
  - ipv6 ospf6 p2p-p2mp config-neighbors-only
  - ipv6 ospf6 p2p-p2mp connected-prefixes <include|exclude>
  - ipv6 ospf6 p2p-p2mp disable-multicast-hello
  - ipv6 ospf6 priority PRIORITY
  - ipv6 ospf6 retransmit-interval RETRANSMITINTERVAL
  - ipv6 ospf6 transmit-delay TRANSMITDELAY
  - ipv6 pim
  - ipv6 pim active-active
  - ipv6 pim allowed-neighbors prefix-list PREFIX_LIST
  - ipv6 pim bsm
  - ipv6 pim drpriority (0-4294967295)
  - ipv6 pim hello (1-65535) (1-65535)
  - ipv6 pim passive
  - ipv6 pim unicast-bsm
  - ipv6 pim use-source X:X::X:X
  - ipv6 route NETWORK [from SRCPREFIX] (Null0|blackhole|reject) [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - ipv6 route NETWORK [from SRCPREFIX] GATEWAY [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - ipv6 route NETWORK [from SRCPREFIX] GATEWAY IFNAME [DISTANCE] [onlink] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - ipv6 route NETWORK [from SRCPREFIX] IFNAME [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - ipv6 route X:X::X:X <X:X::X:X|nexthop> segments U:U::U:U/Y:Y::Y:Y/Z:Z::Z:Z [encap-behavior BEHAVIOR]
  - ipv6 route X:X::X:X/M [from X:X::X:X/M] X:X::X:X bfd [{multi-hop|source X:X::X:X|profile BFDPROF}]
  - ipv6 router-id X:X::X:X
  - is-type [level-1 | level-1-2 | level-2-only]
  - isis affinity flex-algo NAME
  - isis bfd
  - isis bfd profile BFDPROF
  - isis circuit-type [level-1 | level-1-2 | level-2]
  - isis csnp-interval (1-600) [level-1 | level-2]
  - isis fast-reroute lfa [level-1 | level-2]
  - isis fast-reroute lfa [level-1 | level-2] exclude interface IFNAME
  - isis fast-reroute remote-lfa maximum-metric (1-16777215) [level-1 | level-2]
  - isis fast-reroute remote-lfa tunnel mpls-ldp [level-1 | level-2]
  - isis fast-reroute ti-lfa [level-1|level-2] [node-protection [link-fallback]]
  - isis hello padding
  - isis hello padding during-adjacency-formation
  - isis hello-interval [level-1 | level-2] (1-600)
  - isis hello-multiplier [level-1 | level-2] (2-100)
  - isis metric [level-1 | level-2] [(0-255) | (0-16777215)]
  - isis network point-to-point
  - isis passive
  - isis password [clear | md5] <password>
  - isis priority (0-127) [level-1 | level-2]
  - isis psnp-interval (1-120) [level-1 | level-2]
  - isis three-way-handshake
  - join-prune-interval (1-65535), [1]
  - keep-alive-timer (1-65535), [1]
  - l2rd NVE-ID-VALUE
  - label vpn export (0..1048575)|auto
  - label vpn export allocation-mode per-vrf|per-nexthop
  - labels LABEL-LIST
  - line vty
  - link-detect
  - link-params
  - list
  - local-id-block explicit start START end END
  - local-id-block start START
  - local-install <IFNAME | any>
  - locator NAME, [1], [2]
  - locators
  - log commands
  - log daemon DAEMON file [FILENAME [LEVEL]]
  - log extended EXTLOGNAME
  - log facility [FACILITY]
  - log file [FILENAME [LEVEL]]
  - log filter-text WORD
  - log filtered-file [FILENAME [LEVEL]]
  - log immediate-mode
  - log monitor [LEVEL]
  - log record-priority
  - log stdout LEVEL
  - log syslog [LEVEL]
  - log timestamp precision [(0-6)]
  - log trap LEVEL
  - log unique-id
  - log-adjacency-changes, [1]
  - log-adjacency-changes [detail]
  - log-pdu-drops
  - log-session-changes
  - logical-network-id VALUE
  - logmsg LEVEL MESSAGE
  - lsp-gen-interval (1-120)
  - lsp-gen-interval [level-1 | level-2] (1-120)
  - lsp-mtu (128-4352)
  - lsp-refresh-interval (1-65235)
  - lsp-refresh-interval [level-1 | level-2] (1-65235)
  - mac-vrf soo <site-of-origin-string>
  - match alias WORD
  - match as-path AS_PATH
  - match as-path WORD
  - match community COMMUNITY_LIST [<exact-match|any>]
  - match community WORD exact-match [exact-match]
  - match community-limit (0-65535)
  - match dscp (DSCP|0-63)
  - match dst-ip PREFIX
  - match dst-port (1-65535)
  - match ecn (0-3)
  - match evpn route-type ROUTE_TYPE_NAME
  - match evpn vni NUMBER
  - match extcommunity WORD [exact-match|any]
  - match extcommunity-limit (0-65535)
  - match interface WORD, [1]
  - match ip address ACCESS_LIST
  - match ip address prefix-len 0-32
  - match ip address prefix-list PREFIX_LIST
  - match ip address prefix-list WORD
  - match ip address WORD
  - match ip next-hop ACCESS_LIST
  - match ip next-hop address IPV4_ADDR
  - match ip next-hop prefix-list PREFIX_LIST
  - match ip next-hop prefix-list WORD
  - match ip next-hop WORD
  - match ip-protocol PROTOCOL
  - match ipv6 address ACCESS_LIST
  - match ipv6 address prefix-len 0-128
  - match ipv6 address prefix-list PREFIX_LIST
  - match ipv6 address prefix-list WORD
  - match ipv6 address WORD
  - match ipv6 next-hop ACCESS_LIST
  - match ipv6 next-hop address IPV6_ADDR
  - match ipv6 next-hop prefix-list PREFIX_LIST
  - match large-community LINE [exact-match]
  - match local-preference METRIC
  - match mark (1-4294967295)
  - match metric (0-4294967295), [1]
  - match metric METRIC
  - match pcp (0-7)
  - match peer A.B.C.D|X:X::X:X
  - match peer INTERFACE_NAME
  - match peer IPV4_ADDR
  - match peer IPV6_ADDR
  - match peer PEER_GROUP_NAME
  - match rpki notfound|invalid|valid
  - match rpki-extcommunity notfound|invalid|valid
  - match source-instance NUMBER
  - match source-protocol PROTOCOL_NAME
  - match src-ip PREFIX
  - match src-peer [IPV4_ADDR|IPV6_ADDR|INTERFACE_NAME|PEER_GROUP_NAME]
  - match src-port (1-65535)
  - match tag <untagged|(1-4294967295)>
  - match vlan (1-4094)
  - match vlan (tagged|untagged|untagged-or-zero)
  - max-bw BANDWIDTH
  - max-lsp-lifetime (360-65535)
  - max-lsp-lifetime [level-1 | level-2] (350-65535)
  - max-metric router-lsa [on-startup (5-86400)|on-shutdown (5-100)]
  - max-metric router-lsa administrative
  - max-rsv-bw BANDWIDTH
  - maximum-paths (1-128)
  - maximum-paths (1-64), [1]
  - maximum-paths ibgp (1-128) [equal-cluster-length]
  - metric (0-4294967295)
  - metric [bound] METRIC VALUE [required] [computed]
  - metric-style [narrow | transition | wide]
  - metric-type [igp|te|delay]
  - mgmt commit abort
  - mgmt commit apply
  - mgmt commit check
  - mgmt delete-config XPATH
  - mgmt load-config FILE <merge|replace>
  - mgmt rollback commit-id WORD
  - mgmt rollback last WORD
  - mgmt save-config <candidate|running> FILE
  - mgmt set-config XPATH VALUE
  - minimum-ttl (1-254)
  - mpls <enable|disable>
  - mpls bgp forwarding
  - mpls bgp l3vpn-multi-domain-switching
  - mpls fec nexthop-resolution
  - mpls label dynamic-block (16-1048575) (16-1048575)
  - mpls ldp
  - mpls lsp INCOMING_LABEL GATEWAY OUTGOING_LABEL|explicit-null|implicit-null
  - mpls-te <on|off>
  - mpls-te export, [1]
  - mpls-te import <ospfv2|ospfv3|isis>
  - mpls-te inter-as area <area-id>|as
  - mpls-te on, [1]
  - mpls-te router-address <A.B.C.D>, [1]
  - mpls-te router-address ipv6 <X:X::X:X>
  - msd (1-32)
  - msdp mesh-group WORD member A.B.C.D
  - msdp mesh-group WORD source A.B.C.D
  - msdp originator-id A.B.C.D
  - msdp peer A.B.C.D password WORD
  - msdp peer A.B.C.D sa-filter ACL_NAME <in|out>
  - msdp peer A.B.C.D sa-limit <AMOUNT>
  - msdp peer A.B.C.D source A.B.C.D
  - msdp shutdown
  - msdp timers (1-65535) (1-65535) [(1-65535)]
  - mtrace A.B.C.D [A.B.C.D]
  - multicast <enable|disable>
  - name NAME
  - neigbor A.B.C.D|X.X::X.X|peer-group route-map WORD in|out
  - neighbor <A.B.C.D> as (0-65535)
  - neighbor <A.B.C.D|X:X::X:X|WORD> accept-own
  - neighbor <A.B.C.D|X:X::X:X|WORD> addpath-rx-paths-limit (1-65535)
  - neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-all-paths
  - neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-best-selected (1-6)
  - neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-bestpath-per-AS
  - neighbor <A.B.C.D|X:X::X:X|WORD> allowas-in [<(1-10)|origin>]
  - neighbor <A.B.C.D|X:X::X:X|WORD> as-override
  - neighbor <A.B.C.D|X:X::X:X|WORD> bfd
  - neighbor <A.B.C.D|X:X::X:X|WORD> bfd check-control-plane-failure
  - neighbor <A.B.C.D|X:X::X:X|WORD> bfd profile BFDPROF
  - neighbor <A.B.C.D|X:X::X:X|WORD> bfd strict [hold-time <seconds>]
  - neighbor <A.B.C.D|X:X::X:X|WORD> disable-addpath-rx
  - neighbor <A.B.C.D|X:X::X:X|WORD> graceful-shutdown
  - neighbor <A.B.C.D|X:X::X:X|WORD> path-attribute discard (1-255)...
  - neighbor <A.B.C.D|X:X::X:X|WORD> path-attribute treat-as-withdraw (1-255)...
  - neighbor <A.B.C.D|X:X::X:X|WORD> soo EXTCOMMUNITY
  - neighbor <A.B.C.D|X:X::X:X|WORD> tcp-mss (1-65535)
  - neighbor A.B.C.D
  - neighbor A.B.C.D [poll-interval (1-65535)] [priority (0-255)]
  - neighbor A.B.C.D activate
  - neighbor A.B.C.D advertise-map NAME [exist-map|non-exist-map] NAME
  - neighbor A.B.C.D graceful-restart
  - neighbor A.B.C.D graceful-restart-disable
  - neighbor A.B.C.D graceful-restart-helper
  - neighbor A.B.C.D password PASSWORD
  - neighbor A.B.C.D route-server-client
  - neighbor A.B.C.D session holdtime HOLDTIME
  - neighbor A.B.C.D ttl-security disable
  - neighbor A.B.C.D ttl-security hops (1-254)
  - neighbor GROUP dampening [(1-45) [(1-20000) (1-20000) (1-255)]]
  - neighbor PEER advertisement-interval (0-600)
  - neighbor PEER aigp
  - neighbor PEER attribute-unchanged [{as-path|next-hop|med}]
  - neighbor PEER capability dynamic
  - neighbor PEER capability extended-nexthop
  - neighbor PEER capability fqdn
  - neighbor PEER capability link-local
  - neighbor PEER capability software-version
  - neighbor PEER dampening [(1-45) [(1-20000) (1-20000) (1-255)]]
  - neighbor PEER default-originate [route-map WORD]
  - neighbor PEER description ...
  - neighbor PEER disable-connected-check
  - neighbor PEER disable-link-bw-encoding-ieee
  - neighbor PEER distribute-list NAME [in|out]
  - neighbor PEER dont-capability-negotiate
  - neighbor PEER ebgp-multihop
  - neighbor PEER enforce-first-as
  - neighbor PEER extended-link-bandwidth
  - neighbor PEER extended-optional-parameters
  - neighbor PEER filter-list NAME [in|out]
  - neighbor PEER interface IFNAME
  - neighbor PEER interface remote-as <internal|external|auto|ASN>
  - neighbor PEER ip-transparent
  - neighbor PEER local-as AS-NUMBER [no-prepend [replace-as [dual-as]]]
  - neighbor PEER local-role LOCAL-ROLE [strict-mode]
  - neighbor PEER maximum-prefix NUMBER [force]
  - neighbor PEER maximum-prefix-out NUMBER
  - neighbor PEER next-hop-self [force]
  - neighbor PEER oad
  - neighbor PEER override-capability
  - neighbor PEER password PASSWORD
  - neighbor PEER peer-group PGNAME
  - neighbor PEER port PORT
  - neighbor PEER prefix-list NAME [in|out]
  - neighbor PEER remote-as ASN
  - neighbor PEER remote-as auto
  - neighbor PEER remote-as external
  - neighbor PEER remote-as internal
  - neighbor PEER route-map NAME [in|out]
  - neighbor PEER route-reflector-client
  - neighbor PEER send-community <both|all|extended|standard|large>
  - neighbor PEER send-community extended rpki
  - neighbor PEER send-nexthop-characteristics
  - neighbor PEER sender-as-path-loop-detection
  - neighbor PEER shutdown [message MSG...] [rtt (1-65535) [count (1-255)]]
  - neighbor PEER solo
  - neighbor PEER strict-capability-match
  - neighbor PEER timers (0-65535) (0-65535)
  - neighbor PEER timers connect (1-65535)
  - neighbor PEER timers delayopen (1-240)
  - neighbor PEER ttl-security hops NUMBER
  - neighbor PEER update-source <IFNAME|ADDRESS>
  - neighbor PEER weight WEIGHT
  - neighbor PEER-GROUP route-server-client
  - neighbor WORD peer-group
  - neighbor X:X::X:X route-server-client
  - net XX.XXXX. ... .XXX.XX, [1]
  - network A.B.C.D/M
  - network A.B.C.D/M area (0-4294967295)
  - network A.B.C.D/M area A.B.C.D
  - network IFNAME, [1], [2]
  - network NETWORK, [1], [2]
  - nexthop [A.B.C.D|X:X::X:XX] [interface [onlink]] [nexthop-vrf NAME] [label LABELS]
  - nexthop vpn export A.B.C.D|X:X::X:X
  - nexthop-group NAME
  - nhrp event socket SOCKET
  - nhrp multicast-nflog-group (1-65535)
  - nhrp nflog-group (1-65535)
  - no affinity exclude-any NAME
  - no affinity include-all NAME
  - no affinity include-any NAME
  - no affinity-map NAME
  - no aggregation timer (5-1800)
  - no autorp discovery
  - no isis affinity flex-algo NAME
  - no metric-type
  - no msd [(1-32)]
  - no socket-per-interface
  - no summary-address X:X::X:X/M [tag (1-4294967295)] [{metric (0-16777215) | metric-type (1-2)}]
  - no summary-address X:X::X:X/M no-advertise
  - no vty login
  - objective-function OBJFUN1 [required]
  - offset-list ACCESS-LIST (in|out)
  - offset-list ACCESS-LIST (in|out) IFNAME
  - on-match goto N
  - on-match next
  - openfabric csnp-interval (1-600)
  - openfabric hello-interval (1-600)
  - openfabric hello-multiplier (2-100)
  - openfabric metric (0-16777215)
  - openfabric passive
  - openfabric password [clear | md5] <password>
  - openfabric psnp-interval (1-120)
  - ordered-control
  - ospf abr-type TYPE
  - ospf opaque-lsa
  - ospf rfc1583compatibility
  - ospf router-id A.B.C.D
  - ospf6 router-id A.B.C.D
  - packet-loss PERCENTAGE
  - packets (1-255), [1]
  - passive-interface (IFNAME|default), [1]
  - passive-interface default
  - passive-mode
  - password PASSWORD
  - pbr nexthop-resolve
  - pbr table range (10000-4294966272) (10000-4294966272)
  - pbr-map NAME seq (1-700)
  - pbr-policy NAME
  - pcc
  - pce address <A.B.C.D>
  - pce domain as (0-65535)
  - pce flag BITPATTERN
  - pce NAME
  - pce neighbor as (0-65535)
  - pce scope BITPATTERN
  - pce-config NAME
  - pce-initiated
  - pcep
  - peer 200::A bfd-mode sbfd-echo bfd-name a-b-d local-address 200::A srv6-source-ipv6 200::A srv6-encap-data 100::B 100::D
  - peer 200::D bfd-mode sbfd-init bfd-name a-b-d multihop local-address 200::A remote-discr 456 srv6-source-ipv6 200::A srv6-encap-data 100::B 100::D
  - peer 200::D bfd-mode sbfd-init bfd-name a-d local-address 200::A remote-discr 456
  - peer <A.B.C.D|X:X::X:X> [{multihop|local-address <A.B.C.D|X:X::X:X>|interface IFNAME|vrf NAME}]
  - peer WORD [precedence (1-255)]
  - policy color COLOR endpoint ENDPOINT
  - prefix vn|un A.B.C.D/M|X:X::X:X/M
  - prefix X:X::X:X/M [block-len (16-64)] [node-len (16-64)] [func-bits (0-64)]
  - priority (0-255)
  - priority PRIORITY
  - proactive-arp
  - profile BFDPROF
  - profile WORD
  - purge-originator, [1]
  - rd ROUTE-DISTINGUISHER
  - rd vpn export AS:NN|IP:nn
  - read-quanta (1-10)
  - receive-interval (10-4294967)
  - redistribute <babel|bgp|connected|eigrp|isis|kernel|openfabric|ospf|rip|sharp|static|table> [metric-type (1-2)] [metric (0-16777214)] [route-map WORD]
  - redistribute <babel|bgp|connected|eigrp|isis|kernel|openfabric|ospf|sharp|static|table> [metric (0-16)] [route-map WORD]
  - redistribute <babel|bgp|connected|isis|kernel|openfabric|ospf|rip|sharp|static|table> [metric (1-4294967295) (0-4294967295) (0-255) (1-255) (1-65535)]
  - redistribute <babel|bgp|connected|isis|kernel|openfabric|ripng|sharp|static|table> [metric-type (1-2)] [metric (0-16777214)] [route-map WORD]
  - redistribute <babel|connected|eigrp|isis|kernel|openfabric|ospf|ospf6|rip|ripng|sharp|static> [metric (0-4294967295)] [route-map WORD]
  - redistribute <ipv4 | ipv6> table (1-65535) <level-1 | level-2> [metric (0-16777215)|route-map WORD]
  - redistribute <ipv4|ipv6> KIND
  - redistribute <table|table-direct> (1-65535)] [metric (0-4294967295)] [route-map WORD]
  - redistribute vnc-direct
  - register-accept-list PLIST
  - register-suppress-time (1-65535), [1]
  - res-bw BANDWIDTH
  - resilient buckets (1-256) idle-timer (1-4294967295) unbalanced-timer (1-4294967295)
  - response-lifetime LIFETIME|infinite
  - rfp example-config-value VALUE
  - route A.B.C.D/M
  - route NETWORK
  - route-map ROUTE-MAP-NAME (permit|deny) ORDER
  - route-map ROUTE-MAP-NAME optimization
  - route-map vpn import|export MAP
  - route-target <import|export|both> <RTLIST|auto>
  - router babel
  - router bgp AS-NUMBER view NAME
  - router bgp ASN
  - router bgp ASN as-notation dot|dot+|plain
  - router bgp ASN vrf VRFNAME
  - router eigrp (1-65535) [vrf NAME]
  - router isis WORD [vrf NAME]
  - router openfabric WORD
  - router ospf [{(1-65535)|vrf NAME}]
  - router ospf6 [vrf NAME]
  - router pim [vrf NAME]
  - router pim6 [vrf NAME]
  - router rip [vrf NAME]
  - router ripng [vrf NAME]
  - router-id A.B.C.D
  - router-info [as | area]
  - rp A.B.C.D A.B.C.D/M
  - rp keep-alive-timer (1-65535), [1]
  - rp X:X::X:X prefix-list WORD
  - rp X:X::X:X Y:Y::Y:Y/M
  - rpf-lookup-mode MODE [group-list PREFIX_LIST] [source-list PREFIX_LIST]
  - rpki
  - rpki cache ssh HOST PORT SSH_USERNAME SSH_PRIVKEY_PATH [KNOWN_HOSTS_PATH] [source A.B.C.D] preference (1-255)
  - rpki cache tcp HOST PORT [source A.B.C.D] preference (1-255)
  - rpki expire_interval (600-172800)
  - rpki polling_period (1-3600)
  - rpki retry_interval (1-7200)
  - rt both RT-LIST
  - rt both RT-TARGET
  - rt export RT-LIST
  - rt export RT-TARGET
  - rt import RT-LIST
  - rt import RT-TARGET
  - rt redirect import RTLIST...
  - rt vpn import|export|both RTLIST...
  - Sample output:
  - sbfd reflector source-address 200::D discriminator 456, [1]
  - segment-list NAME
  - segment-routing, [1], [2]
  - segment-routing global-block (16-1048575) (16-1048575) [local-block (16-1048575) (16-1048575)], [1]
  - segment-routing node-msd (1-16), [1]
  - segment-routing on, [1]
  - segment-routing prefix <A.B.C.D/M|X:X::X:X/M> [algorithm (128-255)] <absolute (16-1048575)|index (0-65535) [no-php-flag|explicit-null] [n-flag-clear]
  - segment-routing prefix A.B.C.D/M [index (0-65535)|no-php-flag|explicit-null]
  - segment-routing srv6, [1]
  - send-v6-secondary
  - service advanced-vty
  - service cputime-stats
  - service cputime-warning (1-4294967295)
  - service integrated-vtysh-config
  - service password-encryption
  - service terminal-length (0-512)
  - service walltime-warning (1-4294967295)
  - set aigp-metric <igp-metric|(0-4294967295)>
  - set as-path exclude all
  - set as-path exclude AS-NUMBER...
  - set as-path exclude as-path-access-list WORD
  - set as-path prepend AS-PATH
  - set as-path prepend AS_PATH
  - set as-path prepend last-as NUM
  - set as-path replace <any|ASN> [<ASN>]
  - set as-path replace as-path-access-list WORD [<ASN>]
  - set comm-list WORD delete
  - set community <none|COMMUNITY> additive
  - set community COMMUNITY
  - set distance (1-255)
  - set dscp DSCP
  - set dst-ip [A.B.C.D/M|X:X::X:X/M]
  - set dst-port (1-65535)
  - set ecn (0-3)
  - set evpn gateway-ip <ipv4|ipv6> <addr>
  - set extcommunity bandwidth <(1-25600) | cumulative | num-multipaths> [non-transitive]
  - set extcommunity none
  - set extcommunity nt EXTCOMMUNITY
  - set extcommunity rt EXTCOMMUNITY
  - set extcommunity soo EXTCOMMUNITY
  - set extcomumnity color EXTCOMMUNITY
  - set extended-comm-list <EXTCOMMUNITY_LIST_NAME> delete
  - set ip next-hop A.B.C.D
  - set ip next-hop IPV4_ADDRESS
  - set ip next-hop peer-address
  - set ip next-hop unchanged
  - set ipv6 next-hop global IPV6_ADDRESS
  - set ipv6 next-hop local IPV6_ADDRESS, [1]
  - set ipv6 next-hop peer-address
  - set ipv6 next-hop prefer-global
  - set l3vpn next-hop encapsulation gre, [1]
  - set large-community LARGE-COMMUNITY
  - set large-community LARGE-COMMUNITY additive
  - set large-community LARGE-COMMUNITY LARGE-COMMUNITY
  - set local-preference +LOCAL_PREF
  - set local-preference -LOCAL_PREF
  - set local-preference LOCAL_PREF
  - set max-metric <(0-4294967295)>
  - set metric (0-4294967295)
  - set metric (1-16)
  - set metric <[+|-](1-4294967295)|rtt|+rtt|-rtt|igp|aigp>
  - set metric [+|-](0-4294967295), [1]
  - set min-metric <(0-4294967295)>
  - set nexthop [A.B.C.D|X:X::X:XX|blackhole] [interface] [nexthop-vrf NAME]
  - set nexthop-group NAME
  - set origin ORIGIN <egp|igp|incomplete>
  - set pcp (0-7)
  - set queue-id (1-65535)
  - set sr-te color (1-4294967295)
  - set src ADDRESS
  - set src-ip [A.B.C.D/M|X:X::X:X/M]
  - set src-port (1-65535)
  - set table (1-4294967295)
  - set tag <untagged|(1-4294967295)>, [1]
  - set vlan (1-4094)
  - set vrf unchanged|NAME
  - set weight WEIGHT
  - set-overload-bit, [1]
  - set-overload-bit on-startup (0-86400)
  - sharp create session (1-1024)
  - sharp data nexthop
  - sharp data route
  - sharp import-te
  - sharp install routes A.B.C.D <nexthop <E.F.G.H|X:X::X:X>|nexthop-group NAME> (1-1000000) [instance (0-255)] [repeat (2-1000)] [opaque WORD]
  - sharp install seg6-routes [vrf NAME] <A.B.C.D|X:X::X:X> nexthop-seg6 X:X::X:X encap X:X::X:X (1-1000000)
  - sharp install seg6local-routes [vrf NAME] X:X::X:X nexthop-seg6local NAME ACTION ARGS.. (1-1000000)
  - sharp interface IFNAME protodown
  - sharp label <ipv4|ipv6> vrf NAME label (0-1000000)
  - sharp lsp [update] (0-100000) nexthop-group NAME [prefix A.B.C.D/M TYPE [instance (0-255)]]
  - sharp neigh discover [vrf NAME] <A.B.C.D|X:X::X:X> IFNAME
  - sharp remove lsp (0-100000) nexthop-group NAME [prefix A.B.C.D/M TYPE [instance (0-255)]]
  - sharp remove routes A.B.C.D (1-1000000)
  - sharp remove session (1-1024)
  - sharp send opaque <reg | unreg> PROTOCOL [{instance (0-1000) | session (1-1000)}] type (1-1000)
  - sharp send opaque type (1-255) (1-1000)
  - sharp send opaque unicast type (1-255) PROTOCOL [{instance (0-1000) | session (1-1000)}] (1-1000)
  - sharp srv6-manager get-locator-chunk
  - sharp srv6-manager release-locator-chunk
  - sharp watch <nexthop <A.B.C.D|X:X::X:X>|import <A.B.C.D/M:X:X::X:X/M> [connected]
  - sharp watch [vrf NAME] redistribute ROUTETYPE
  - sharp watch [vrf VRF_NAME] neighbor
  - show <ip|ipv6> access-list [json]
  - show <ip|ipv6> access-list WORD [json]
  - show <ip|ipv6> route summary [vrf VRF] [table TABLENO] [prefix]
  - show <ip|ipv6> zebra route dump [<vrf> VRFNAME]
  - show [ip] bgp <ipv4|ipv6> [all] community [wide|json]
  - show [ip] bgp <ipv4|ipv6> [all] community COMMUNITY [wide|json]
  - show [ip] bgp <ipv4|ipv6> [all] community COMMUNITY exact-match [wide|json]
  - show [ip] bgp <ipv4|ipv6> community-list WORD [json]
  - show [ip] bgp <ipv4|ipv6> community-list WORD exact-match [json]
  - show [ip] bgp <ipv4|ipv6> large-community
  - show [ip] bgp <ipv4|ipv6> large-community LARGE-COMMUNITY
  - show [ip] bgp <ipv4|ipv6> large-community LARGE-COMMUNITY exact-match
  - show [ip] bgp <ipv4|ipv6> large-community LARGE-COMMUNITY json
  - show [ip] bgp <ipv4|ipv6> large-community-list WORD
  - show [ip] bgp <ipv4|ipv6> large-community-list WORD exact-match
  - show [ip] bgp <ipv4|ipv6> large-community-list WORD json
  - show [ip] bgp <view|vrf> all nexthop [json]
  - show [ip] bgp [<view|vrf> VIEWVRFNAME] [afi] [safi] detail [json]
  - show [ip] bgp [<view|vrf> VIEWVRFNAME] import-check-table [detail] [json]
  - show [ip] bgp [<view|vrf> VIEWVRFNAME] nexthop [<A.B.C.D|X:X::X:X>] [detail] [json]
  - show [ip] bgp [<view|vrf> VIEWVRFNAME] nexthop ipv4 [A.B.C.D] [detail] [json]
  - show [ip] bgp [<view|vrf> VIEWVRFNAME] nexthop ipv6 [X:X::X:X] [detail] [json]
  - show [ip] bgp [afi] [safi] [all] <A.B.C.D/M|X:X::X:X/M> longer-prefixes [wide|json]
  - show [ip] bgp [afi] [safi] [all] access-list WORD [wide|json]
  - show [ip] bgp [afi] [safi] [all] cidr-only [wide|json]
  - show [ip] bgp [afi] [safi] [all] detail-routes [internal]
  - show [ip] bgp [afi] [safi] [all] filter-list WORD [wide|json]
  - show [ip] bgp [afi] [safi] [all] neighbors A.B.C.D [advertised-routes|received-routes|filtered-routes] [<A.B.C.D/M|X:X::X:X/M> | detail] [json|wide]
  - show [ip] bgp [afi] [safi] [all] prefix-list WORD [wide|json]
  - show [ip] bgp [afi] [safi] [all] route-map WORD [wide|json]
  - show [ip] bgp [afi] [safi] [all] self-originate [wide|json]
  - show [ip] bgp [all] summary [wide] [json]
  - show [ip] bgp ipv4 vpn
  - show [ip] bgp ipv6 vpn
  - show [ip] bgp peer-group [json]
  - show [ip] bgp regexp LINE
  - show [ip] bgp view NAME
  - show [ip] router-id [vrf NAME]
  - show [ip|ipv6] nhrp cache [json]
  - show [ip|ipv6] nhrp nhs [json]
  - show [ip|ipv6] nhrp opennhrp [json]
  - show [ip|ipv6] route
  - show [ip|ipv6] route [PREFIX] [nexthop-group]
  - show [ip|ipv6] route [vrf NAME|all|table TABLENO] [A.B.C.D|A.B.C.D/M|X:X::X:X|X:X::X:X/M] [json] [nexthop-group]
  - show [ip|ipv6] route summary
  - show [ip|ipv6] rpf
  - show [ip|ipv6] rpf ADDR
  - show babel interface
  - show babel interface IFNAME
  - show babel neighbor
  - show babel parameters
  - show babel route
  - show babel route A.B.C.D
  - show babel route A.B.C.D/M
  - show babel route X:X::X:X
  - show babel route X:X::X:X/M
  - show bfd [vrf NAME] peer <WORD|<A.B.C.D|X:X::X:X> [{multihop|local-address <A.B.C.D|X:X::X:X>|interface IFNAME}]> [json]
  - show bfd [vrf NAME] peers [json]
  - show bfd [vrf NAME] peers brief [json]
  - show bfd bfd-name a-b-d
  - show bfd distributed
  - show bfd peers
  - show bfd peers counters
  - show bfd static route [json]
  - show bgp <afi> <safi> neighbors WORD bestpath-routes [detail] [json] [wide]
  - show bgp [<ipv4|ipv6> <unicast|multicast|vpn|labeled-unicast|flowspec> | l2vpn evpn]
  - show bgp [<ipv4|ipv6> vpn | l2vpn evpn [route]] rd <all|RD>
  - show bgp [<ipv4|ipv6>] [<view|vrf> VRF] neighbors [<A.B.C.D|X:X::X:X|WORD>] graceful-restart [json]
  - show bgp [<view|vrf> VIEWVRFNAME] [afi] [safi] neighbors PEER received prefix-filter [json]
  - show bgp [afi] [safi] [all] [wide|json]
  - show bgp [afi] [safi] [all] alias WORD [wide|json]
  - show bgp [afi] [safi] [all] dampening dampened-paths [wide|json]
  - show bgp [afi] [safi] [all] dampening flap-statistics [wide|json]
  - show bgp [afi] [safi] [all] dampening parameters [json]
  - show bgp [afi] [safi] [all] summary [json]
  - show bgp [afi] [safi] [all] summary established [json]
  - show bgp [afi] [safi] [all] summary failed [json]
  - show bgp [afi] [safi] [all] summary neighbor [PEER] [json]
  - show bgp [afi] [safi] [all] summary remote-as <internal|external|ASN> [json]
  - show bgp [afi] [safi] [all] summary terse [json]
  - show bgp [afi] [safi] [all] version (1-4294967295) [wide|json]
  - show bgp [afi] [safi] [neighbor [PEER] [routes|advertised-routes|received-routes] [<A.B.C.D/M|X:X::X:X/M> | detail] [json]
  - show bgp [afi] [safi] statistics
  - show bgp [all] [wide|json [detail]]
  - show bgp [vrf NAME] [afi] [safi] <A.B.C.D|A.B.C.D/M|X:X::X:X|X:X::X:X/M> rpki <valid|invalid|notfound>
  - show bgp [vrf NAME] [afi] [safi] rpki <valid|invalid|notfound>
  - show bgp as-path-access-list [json]
  - show bgp as-path-access-list WORD [json]
  - show bgp attribute-info [summary]
  - show bgp community-list [NAME detail]
  - show bgp extcommunity-list [NAME detail]
  - show bgp ipv4 flowspec [detail | A.B.C.D]
  - show bgp ipv4 vpn summary
  - show bgp ipv4|ipv6 regexp LINE
  - show bgp ipv6 flowspec [detail | A:B::C:D]
  - show bgp ipv6 vpn summary
  - show bgp l2vpn evpn rd <all|RD> [overlay | tags]
  - show bgp l2vpn evpn route [detail] [type <ead|1|macip|2|multicast|3|es|4|prefix|5>] self-originate [json]
  - show bgp l2vpn evpn route [type <macip|2|multicast|3|es|4|prefix|5>]
  - show bgp l2vpn evpn route rd <all|RD> mac <MAC> [ip <MAC>] [json]
  - show bgp labelpool <chunks|inuse|ledger|requests|summary> [json]
  - show bgp large-community-list
  - show bgp large-community-list NAME detail
  - show bgp listeners
  - show bgp router [json]
  - show bgp segment-routing srv6
  - show bgp statistics-all
  - show bgp update-groups [advertise-queue|advertised-routes|packet-queue]
  - show bgp update-groups statistics
  - show bgp vni <all|VNI> [vtep VTEP] [type <ead|1|macip|2|multicast|3>] [<detail|json>]
  - show bgp vrfs [<VRFNAME$vrf_name>] [json]
  - show bgp X:X::X:X [json]
  - show configuration running [<json|xml> [translate WORD]] [with-defaults] DAEMON
  - show debug
  - show debugging eigrp
  - show debugging isis
  - show debugging label-table [json]
  - show debugging openfabric
  - show debugging ospf
  - show debugging rip
  - show debugging ripng
  - show dmvpn [json]
  - show dplane dpdk counters
  - show dplane dpdk pbr flows
  - show dplane dpdk port [detail]
  - show event cpu [r|w|t|e|x]
  - show event poll
  - show event timers
  - show evpn access-vlan [IFNAME VLAN-ID | detail] [json]
  - show evpn mac vni (1-16777215) detail [json]
  - show fpm counters [json]
  - show fpm status [json]
  - show history
  - show interface [NAME] [{vrf all|brief}] [json]
  - show interface [NAME] [{vrf all|brief}] [nexthop-group]
  - show interface [NAME] [{vrf VRF|brief}] [json]
  - show interface [NAME] [{vrf VRF|brief}] [nexthop-group]
  - show ip bgp [all] [wide|json [detail]]
  - show ip bgp A.B.C.D [json]
  - show ip bgp large-community-info
  - show ip eigrp [vrf NAME] interface
  - show ip eigrp [vrf NAME] neighbor
  - show ip eigrp [vrf NAME] topology
  - show ip forward
  - show ip igmp [vrf NAME] groups [INTERFACE [GROUP]] [detail] [json]
  - show ip igmp [vrf NAME] join [json]
  - show ip igmp [vrf NAME] proxy [json]
  - show ip igmp [vrf NAME] sources [json]
  - show ip igmp groups retransmissions
  - show ip igmp interface
  - show ip igmp sources retransmissions
  - show ip igmp statistics
  - show ip mroute [vrf NAME] [A.B.C.D [A.B.C.D]] [fill] [json]
  - show ip mroute [vrf NAME] count [json]
  - show ip mroute [vrf NAME] summary [json]
  - show ip mroute vrf all count [json]
  - show ip mroute vrf all summary [json]
  - show ip msdp mesh-group
  - show ip msdp peer
  - show ip multicast
  - show ip multicast count [vrf NAME] [json]
  - show ip multicast count vrf all [json]
  - show ip neigh
  - show ip nht [vrf NAME] [A.B.C.D|X:X::X:X] [mrib] [json]
  - show ip nht route-map [vrf <NAME|all>] [json]
  - show ip ospf (1-65535) reachable-routers
  - show ip ospf [vrf <NAME|all>] [json]
  - show ip ospf [vrf <NAME|all>] border-routers [json]
  - show ip ospf [vrf <NAME|all>] database (asbr-summary|external|network|router|summary|nssa-external|opaque-link|opaque-area|opaque-as) [LINK-STATE-ID] [adv-router A.B.C.D] [json]
  - show ip ospf [vrf <NAME|all>] database (asbr-summary|external|network|router|summary|nssa-external|opaque-link|opaque-area|opaque-as) [LINK-STATE-ID] [self-originate] [json]
  - show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external)
  - show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external) adv-router ADV-ROUTER
  - show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external) LINK-STATE-ID
  - show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external) LINK-STATE-ID adv-router ADV-ROUTER
  - show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external) LINK-STATE-ID self-originate
  - show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external) self-originate
  - show ip ospf [vrf <NAME|all>] database [self-originate] [json]
  - show ip ospf [vrf <NAME|all>] database detail [LINK-STATE-ID] [adv-router A.B.C.D] [json]
  - show ip ospf [vrf <NAME|all>] database detail [LINK-STATE-ID] [self-originate] [json]
  - show ip ospf [vrf <NAME|all>] database max-age [json]
  - show ip ospf [vrf <NAME|all>] neighbor A.B.C.D [detail] [json]
  - show ip ospf [vrf <NAME|all>] neighbor INTERFACE [json]
  - show ip ospf [vrf <NAME|all>] neighbor INTERFACE detail [json]
  - show ip ospf [vrf <NAME|all>] reachable-routers
  - show ip ospf [vrf <NAME|all>] summary-address [detail] [json]
  - show ip ospf [{(1-65535)|vrf <NAME|all>}] graceful-restart helper [detail] [json]
  - show ip ospf database segment-routing <adv-router ADVROUTER|self-originate> [json]
  - show ip ospf interface [INTERFACE] [json]
  - show ip ospf mpls-te database [verbose|json]
  - show ip ospf mpls-te database edge [A.B.C.D] [verbose|json]
  - show ip ospf mpls-te database subnet [A.B.C.D/M] [verbose|json]
  - show ip ospf mpls-te database vertex [self-originate|adv-router ADV-ROUTER] [verbose|json]
  - show ip ospf mpls-te interface
  - show ip ospf mpls-te interface INTERFACE
  - show ip ospf mpls-te router
  - show ip ospf neighbor [json]
  - show ip ospf neighbor detail [json]
  - show ip ospf route [detail] [json]
  - show ip ospf router-info
  - show ip ospf router-info pce
  - show ip pim [vrf NAME] autorp [json]
  - show ip pim [vrf NAME] mlag upstream [A.B.C.D [A.B.C.D]] [json]
  - show ip pim [vrf NAME] nexthop-lookup ADDR [GROUP]
  - show ip pim [vrf NAME] rp-info [A.B.C.D/M] [json]
  - show ip pim [vrf NAME] upstream [A.B.C.D [A.B.C.D]] [json]
  - show ip pim assert
  - show ip pim assert-internal
  - show ip pim assert-metric
  - show ip pim assert-winner-metric
  - show ip pim bsm-database [vrf NAME] [json]
  - show ip pim bsr [vrf NAME] [json]
  - show ip pim bsr candidate-bsr [vrf NAME] [json]
  - show ip pim bsr candidate-rp [vrf NAME] [json]
  - show ip pim bsr candidate-rp-database [vrf NAME] [json]
  - show ip pim bsr groups [vrf NAME] [json]
  - show ip pim bsr rp-info [vrf NAME] [json]
  - show ip pim group-type
  - show ip pim interface
  - show ip pim join
  - show ip pim local-membership
  - show ip pim mlag [vrf NAME|all] interface [detail|WORD] [json]
  - show ip pim mlag summary
  - show ip pim mlag summary [json]
  - show ip pim neighbor
  - show ip pim nexthop
  - show ip pim nexthop-lookup
  - show ip pim rpf
  - show ip pim secondary
  - show ip pim state
  - show ip pim upstream-join-desired
  - show ip pim upstream-rpf
  - show ip prefix-list [json]
  - show ip prefix-list [NAME]
  - show ip prefix-list detail [json]
  - show ip prefix-list detail NAME [json]
  - show ip prefix-list NAME [json]
  - show ip prefix-list NAME A.B.C.D/M
  - show ip prefix-list NAME A.B.C.D/M first-match
  - show ip prefix-list NAME A.B.C.D/M longer
  - show ip prefix-list NAME seq NUM [json]
  - show ip prefix-list summary [json]
  - show ip prefix-list summary NAME [json]
  - show ip protocol
  - show ip rip [vrf NAME]
  - show ip rip [vrf NAME] status
  - show ip route table TABLEID
  - show ip route vrf VRF
  - show ip route vrf VRF table TABLENO
  - show ip route vrf VRF tables
  - show ipv6 forward
  - show ipv6 mld [vrf NAME] groups [json]
  - show ipv6 mld [vrf NAME] interface [IFNAME] [detail|json]
  - show ipv6 mld [vrf NAME] joins [{interface IFNAME|groups X:X::X:X/M|sources X:X::X:X/M|detail}] [json]
  - show ipv6 mld [vrf NAME] statistics [interface IFNAME] [json]
  - show ipv6 mroute [vrf NAME] [X:X::X:X [X:X::X:X]] [fill] [json]
  - show ipv6 mroute [vrf NAME] count [json]
  - show ipv6 mroute [vrf NAME] summary [json]
  - show ipv6 mroute vrf all count [json]
  - show ipv6 mroute vrf all summary [json]
  - show ipv6 multicast
  - show ipv6 multicast count [vrf NAME] [json]
  - show ipv6 multicast count vrf all [json]
  - show ipv6 nd ra-interfaces [vrf <VRFNAME|all>]
  - show ipv6 ospf6 [vrf <NAME|all>] [json]
  - show ipv6 ospf6 [vrf <NAME|all>] database <router|network|inter-prefix|inter-router|as-external|group-membership|type-7|link|intra-prefix> [json]
  - show ipv6 ospf6 [vrf <NAME|all>] database [<detail|dump|internal>] [json]
  - show ipv6 ospf6 [vrf <NAME|all>] database adv-router A.B.C.D linkstate-id A.B.C.D [json]
  - show ipv6 ospf6 [vrf <NAME|all>] database self-originated [json]
  - show ipv6 ospf6 [vrf <NAME|all>] interface [IFNAME] prefix [detail|<X:X::X:X|X:X::X:X/M> [<match|detail>]] [json]
  - show ipv6 ospf6 [vrf <NAME|all>] interface [json]
  - show ipv6 ospf6 [vrf <NAME|all>] interface traffic [json]
  - show ipv6 ospf6 [vrf <NAME|all>] neighbor [json]
  - show ipv6 ospf6 [vrf <NAME|all>] redistribute [json]
  - show ipv6 ospf6 [vrf <NAME|all>] route [<intra-area|inter-area|external-1|external-2|X:X::X:X|X:X::X:X/M|detail|summary>] [json]
  - show ipv6 ospf6 [vrf <NAME|all>] route X:X::X:X/M match [detail] [json]
  - show ipv6 ospf6 [vrf <NAME|all>] spf tree [json]
  - show ipv6 ospf6 graceful-restart helper [detail] [json]
  - show ipv6 ospf6 summary-address [detail] [json]
  - show ipv6 ospf6 zebra [json]
  - show ipv6 pim [vrf NAME] group-type [json]
  - show ipv6 pim [vrf NAME] interface traffic [WORD] [json]
  - show ipv6 pim [vrf NAME] join [X:X::X:X [X:X::X:X]] [json]
  - show ipv6 pim [vrf NAME] local-membership [json]
  - show ipv6 pim [vrf NAME] neighbor [detail|WORD] [json]
  - show ipv6 pim [vrf NAME] nexthop
  - show ipv6 pim [vrf NAME] nexthop-lookup X:X::X:X X:X::X:X
  - show ipv6 pim [vrf NAME] rp-info [json]
  - show ipv6 pim [vrf NAME] rpf [json]
  - show ipv6 pim [vrf NAME] secondary
  - show ipv6 pim [vrf NAME] state [X:X::X:X [X:X::X:X]] [json]
  - show ipv6 pim [vrf NAME] upstream [X:X::X:X [Y:Y::Y:Y]] [json]
  - show ipv6 pim [vrf NAME] upstream-join-desired [json]
  - show ipv6 pim [vrf NAME] upstream-rpf [json]
  - show ipv6 pim bsm-database [vrf NAME] [json]
  - show ipv6 pim bsr [vrf NAME] [json]
  - show ipv6 pim bsr candidate-bsr [vrf NAME] [json]
  - show ipv6 pim bsr candidate-rp [vrf NAME] [json]
  - show ipv6 pim bsr candidate-rp-database [vrf NAME] [json]
  - show ipv6 pim bsr groups [vrf NAME] [json]
  - show ipv6 pim bsr rp-info [vrf NAME] [json]
  - show ipv6 pim interface
  - show ipv6 pim vrf all join [json]
  - show ipv6 pim vrf all neighbor [detail|WORD] [json]
  - show ipv6 pim vrf all rp-info [json]
  - show ipv6 pim vrf all rpf [json]
  - show ipv6 pim vrf all state [X:X::X:X [X:X::X:X]] [json]
  - show ipv6 pim vrf all upstream [json]
  - show ipv6 ripng [vrf NAME] status
  - show ipv6 route ospf6
  - show ipv6 router-id [vrf NAME]
  - show isis [vrf <NAME|all>] database [detail] [LSPID] [json]
  - show isis [vrf <NAME|all>] fast-reroute summary [level-1|level-2]
  - show isis [vrf <NAME|all>] hostname
  - show isis [vrf <NAME|all>] interface [detail] [IFNAME] [json]
  - show isis [vrf <NAME|all>] mpls-te database [detail|json]
  - show isis [vrf <NAME|all>] mpls-te database edge [A.B.C.D|X:X::X:X] [detail|json]
  - show isis [vrf <NAME|all>] mpls-te database subnet [A.B.C.D/M|X:X::X:X/M] [detail|json]
  - show isis [vrf <NAME|all>] mpls-te database vertex [WORD] [detail|json]
  - show isis [vrf <NAME|all>] neighbor [detail] [SYSTEMID] [json]
  - show isis [vrf <NAME|all>] route [level-1|level-2] [prefix-sid] [backup] [algorithm [(128-255)]]
  - show isis [vrf <NAME|all>] summary [json]
  - show isis [vrf <NAME|all>] topology [level-1|level-2] [algorithm [(128-255)]]
  - show isis flex-algo [(128-255)]
  - show isis mpls-te interface
  - show isis mpls-te interface INTERFACE
  - show isis mpls-te router
  - show isis segment-routing node [algorithm [(128-255)]]
  - show isis segment-routing srv6 node
  - show log-filter
  - show logging
  - show memory [DAEMON]
  - show memory vnc
  - show mgmt backend-adapter all
  - show mgmt backend-yang-xpath-registry
  - show mgmt commit-history
  - show mgmt datastore-contents [candidate|operation|running] [xpath WORD] [file WORD] json|xml
  - show mgmt frontend-adapter all [detail]
  - show mgmt get-data [candidate|operation|running] XPATH
  - show mgmt transaction all
  - show motd
  - show mpls ldp discovery [detail]
  - show mpls ldp ipv4 discovery [detail]
  - show mpls ldp ipv4 interface
  - show mpls ldp ipv4|ipv6 binding
  - show mpls ldp ipv6 discovery [detail]
  - show mpls ldp ipv6 interface
  - show mpls ldp neighbor [A.B.C.D]
  - show mpls ldp neighbor [A.B.C.D] capabilities
  - show mpls ldp neighbor [A.B.C.D] detail
  - show mpls table
  - show nexthop-group rib [ID] [vrf NAME] [singleton [ip|ip6]] [type] [json]
  - show openfabric database
  - show openfabric database <LSP id> [detail]
  - show openfabric database [detail]
  - show openfabric database detail <LSP id>
  - show openfabric hostname
  - show openfabric interface
  - show openfabric interface <interface name>
  - show openfabric interface detail
  - show openfabric neighbor
  - show openfabric neighbor <System Id>
  - show openfabric neighbor detail
  - show openfabric summary
  - show openfabric topology
  - show pbr interface [NAME] [json]
  - show pbr ipset IPSETNAME | iptable
  - show pbr map [NAME] [detail] [json]
  - show pbr nexthop-groups [NAME] [json]
  - show pbr rule
  - show route-map [WORD] [json]
  - show rpki as-number ASN [vrf NAME] [json]
  - show rpki cache-connection [vrf NAME] [json]
  - show rpki cache-server [vrf NAME] [json]
  - show rpki configuration [vrf NAME] [json]
  - show rpki prefix <A.B.C.D/M|X:X::X:X/M> [ASN] [vrf NAME] [json]
  - show rpki prefix-table [vrf NAME] [json]
  - show segment-routing srv6 [locator NAME] sid [X:X::X:X] [json]
  - show segment-routing srv6 locator [json]
  - show segment-routing srv6 locator NAME detail [json]
  - show segment-routing srv6 manager [json]
  - show sharp cspf source <A.B.C.D|X:X:X:X> destination <A.B.C.D|X:X:X:X> <metric|te-metric|delay> (0-16777215) [rsv-bw (0-7) BANDWIDTH]
  - show sharp segment-routing srv6
  - show sharp ted [<vertex [A.B.C.D]|edge [A.B.C.D]|subnet [A.B.C.D/M]>] [verbose|json]
  - show sharp ted [verbose|json]
  - show sr-te pcep counters
  - show sr-te pcep pcc
  - show sr-te pcep pce-config [NAME]
  - show sr-te pcep session [NAME] [json]
  - show sr-te policy [detail]
  - show version
  - show vnc nves
  - show vnc nves vn|un ADDRESS
  - show vnc queries
  - show vnc queries PREFIX
  - show vnc registrations [all|local|remote|holddown|imported]
  - show vnc registrations [all|local|remote|holddown|imported] PREFIX
  - show vnc responses [active|removed]
  - show vnc responses [active|removed] PREFIX
  - show vnc summary
  - show vrf [<NAME$vrf_name|all$vrf_all>] vni [json]
  - show vrrp [interface INTERFACE] [(1-255)] [json]
  - show watchfrr
  - show yang operational-data XPATH [{format <json|xml>|translate TRANSLATOR|with-config}] DAEMON
  - show zebra
  - show zebra client [summary]
  - show zebra dplane [detailed]
  - show zebra dplane providers
  - show zebra fpm stats
  - show zebra router table summary
  - shutdown, [1]
  - sid vpn per-vrf export <(1..1048575)|auto|explicit X:X::X:X>
  - sid X:X::X:X/M locator NAME behavior <uN|uA|uDT4|uDT6|uDT46> [vrf VRF] [interface IFNAME [nexthop X:X::X:X]]
  - socket buffer <send | recv | all> (1-4000000000)
  - source-address [ip A.B.C.D | ipv6 X:X::X:X] [port PORT]
  - source-address X:X::X:X
  - spf prefix-priority [critical | high | medium] WORD
  - spf-interval (1-120)
  - spf-interval [level-1 | level-2] (1-120)
  - spt-switchover infinity-and-beyond [prefix-list PLIST], [1]
  - sr-draft07
  - srv6, [1]
  - ssm prefix-list WORD, [1]
  - ssmpingd [X:X::X:X]
  - static-sids
  - strip vlan
  - structured-data <code-location|version|unique-id|error-category|format-args>
  - summary-address A.B.C.D/M [tag (1-4294967295)]
  - summary-address A.B.C.D/M no-advertise
  - summary-address X:X::X:X/M [tag (1-4294967295)] [{metric (0-16777215) | metric-type (1-2)}]
  - summary-address X:X::X:X/M no-advertise
  - table-map ROUTE-MAP-NAME
  - tcp-md5-auth WORD
  - terminal length (0-512)
  - terminal monitor [DAEMON]
  - terminal paginate
  - timer [keep-alive (1-63)] [min-peer-keep-alive (1-255)] [max-peer-keep-alive (1-255)] [dead-timer (4-255)] [min-peer-dead-timer (4-255)] [max-peer-dead-timer (4-255)] [pcep-request (1-120)] [session-timeout-interval (1-120)] [delegation-timeout (1-60)]
  - timers basic UPDATE TIMEOUT GARBAGE
  - timers lsa min-arrival (0-5000)
  - timers throttle lsa all (0-5000)
  - timers throttle spf (0-600000) (0-600000) (0-600000), [1]
  - timestamp local-time
  - timestamp precision (0-9)
  - traffic-eng
  - transmit-interval (10-4294967)
  - ttl-security disable
  - unrsv-bw (0-7) BANDWIDTH
  - update-delay MAX-DELAY
  - update-delay MAX-DELAY ESTABLISH-WAIT
  - use-bw BANDWIDTH
  - use-es-l3nhg
  - username USERNAME nopassword
  - version VERSION
  - vnc defaults
  - vnc export bgp|zebra group-nve group GROUP-NAME
  - vnc export bgp|zebra group-nve no group GROUP-NAME
  - vnc l2-group NAME
  - vnc nve-group NAME
  - vnc redistribute bgp-direct (ipv4|ipv6) prefix-list LIST-NAME
  - vnc redistribute bgp-direct no (ipv4|ipv6) prefix-list
  - vnc redistribute bgp-direct no route-map
  - vnc redistribute bgp-direct route-map MAP-NAME
  - vnc redistribute ipv4|ipv6 bgp-direct-to-nve-groups view VIEWNAME
  - vnc redistribute ipv4|ipv6 bgp|bgp-direct|ipv6 bgp-direct-to-nve-groups|connected|kernel|ospf|rip|static
  - vnc redistribute lifetime LIFETIME|infinite
  - vnc redistribute mode plain|nve-group|resolve-nve
  - vnc redistribute nve-group GROUP-NAME
  - vnc redistribute resolve-nve roo-ec-local-admin 0-65536
  - vrf VRF
  - vrrp (1-255) [version (2-3)]
  - vrrp (1-255) advertisement-interval (10-40950)
  - vrrp (1-255) checksum-with-ipv4-pseudoheader
  - vrrp (1-255) ip A.B.C.D
  - vrrp (1-255) ipv6 X:X::X:X
  - vrrp (1-255) preempt
  - vrrp (1-255) priority (1-254)
  - vrrp (1-255) shutdown
  - vrrp autoconfigure [version (2-3)]
  - vrrp default <advertisement-interval (1-4096)|preempt|priority (1-254)|checksum-with-ipv4-pseudoheader|shutdown>
  - watchfrr ignore DAEMON
  - who
  - wide-local-id-block explicit start START
  - wide-local-id-block start START end END
  - write file
  - write integrated
  - write terminal
  - write-multiplier (1-100), [1]
  - write-quanta (1-64)
  - zebra dplane limit [NUMBER]
  - zebra nexthop-group keep (1-3600)
  - zebra on-rib-process script SCRIPT
  - zebra protodown reason-bit (0-31)
  - zebra route-map delay-timer (0-600)

- Configuration options
- configure [terminal]
  - configuration command
- configure command line option
  - --disable-babeld
  - --disable-backtrace
  - --disable-bfdd
  - --disable-bgp-announce
  - --disable-bgp-bmp
  - --disable-bgp-vnc
  - --disable-bgpd
  - --disable-doc
  - --disable-eigrpd
  - --disable-fabricd
  - --disable-isisd
  - --disable-ldpd
  - --disable-nhrpd
  - --disable-ospf6d
  - --disable-ospfapi
  - --disable-ospfclient
  - --disable-ospfd
  - --disable-pbrd
  - --disable-pimd
  - --disable-ripd
  - --disable-ripngd
  - --disable-snmp
  - --disable-staticd
  - --disable-version-build-config
  - --disable-vrrpd
  - --disable-vtysh
  - --disable-watchfrr
  - --disable-zebra
  - --enable-backtrace
  - --enable-ccls
  - --enable-config-rollbacks
  - --enable-datacenter
  - --enable-dev-build
  - --enable-doc-html
  - --enable-fpm
  - --enable-fpm-listener
  - --enable-gcc-rdynamic
  - --enable-gcov
  - --enable-group
  - --enable-grpc
  - --enable-irdp
  - --enable-isis-topology
  - --enable-multipath
  - --enable-numeric-version
  - --enable-pcre2posix
  - --enable-pcreposix
  - --enable-realms
  - --enable-rpath
  - --enable-scripting
  - --enable-sharpd
  - --enable-snmp
  - --enable-sysrepo
  - --enable-tcmalloc
  - --enable-user
  - --enable-vty-group
  - --enable-werror
  - --enable-zeromq
  - --localstatedir
  - --prefix
  - --runstatedir
  - --sysconfdir
  - --with-libpam
  - --with-pkg-extra-version
  - --with-pkg-git-version
  - --with-scriptdir
  - --with-service-timeout
  - --with-vici-socket
  - --with-yangmodelsdir
  - net.ipv4.conf.{all,default,<interface>}.arp_accept
  - net.ipv4.conf.{all,default,<interface>}.arp_ignore
  - net.ipv4.conf.{all,default,<interface>}.arp_notify
  - net.ipv4.conf.{all,default,<interface>}.bc_forwarding
  - net.ipv4.conf.{all,default,<interface>}.forwarding
  - net.ipv4.ip_forward
  - net.ipv6.conf.all.keep_addr_on_down
  - net.ipv6.conf.all.use_oif_addrs_only
  - net.ipv6.conf.{all,default,<interface>}.forwarding
  - net.ipv6.conf.{all,default,<interface>}.ndisc_notify
  - net.ipv6.route.skip_notify_on_dev_down
- contact
  - bug reports
  - mailing lists
- continue (1-65535)
  - configuration command
- copy FILENAME running-config
  - configuration command

## D

- debug babel KIND
  - configuration command
- debug bfd distributed
  - configuration command
- debug bfd network
  - configuration command
- debug bfd peer
  - configuration command
- debug bfd zebra
  - configuration command
- debug bgp aggregate [prefix <A.B.C.D/M|X:X::X:X/M>]
  - configuration command
- debug bgp allow-martian
  - configuration command
- debug bgp bestpath <A.B.C.D/M|X:X::X:X/M>
  - configuration command
- debug bgp bfd
  - configuration command
- debug bgp conditional-advertisement
  - configuration command
- debug bgp flowspec
  - configuration command
- debug bgp keepalives
  - configuration command
- debug bgp neighbor-events
  - configuration command
- debug bgp nht
  - configuration command
- debug bgp pbr [error]
  - configuration command
- debug bgp update-groups
  - configuration command
- debug bgp updates <in|out> [<A.B.C.D|X:X::X:X|WORD> [prefix-list WORD]]
  - configuration command
- debug bgp updates [detail]
  - configuration command
- debug bgp zebra
  - configuration command
- debug eigrp packets
  - configuration command
- debug eigrp transmit
  - configuration command
- debug igmp
  - configuration command
- debug isis adj-packets
  - configuration command
- debug isis events
  - configuration command
- debug isis lfa
  - configuration command
- debug isis packet-dump
  - configuration command
- debug isis route-events
  - configuration command
- debug isis snp-packets
  - configuration command
- debug isis spf-events
  - configuration command
- debug isis sr-events
  - configuration command
- debug isis te-events
  - configuration command
- debug isis update-packets
  - configuration command
- debug mgmt backend
  - configuration command
- debug mgmt client backend
  - configuration command
- debug mgmt client frontend
  - configuration command
- debug mgmt datastore
  - configuration command
- debug mgmt frontend
  - configuration command
- debug mgmt transaction
  - configuration command
- debug mld
  - configuration command
- debug mld events
  - configuration command
- debug mld packets
  - configuration command
- debug mld trace [detail]
  - configuration command
- debug mpls ldp KIND
  - configuration command
- debug mroute
  - configuration command
- debug mroute6
  - configuration command
- debug mroute6 detail
  - configuration command
- debug mtrace
  - configuration command
- debug openfabric adj-packets
  - configuration command
- debug openfabric checksum-errors
  - configuration command
- debug openfabric events
  - configuration command
- debug openfabric local-updates
  - configuration command
- debug openfabric lsp-gen
  - configuration command
- debug openfabric lsp-sched
  - configuration command
- debug openfabric packet-dump
  - configuration command
- debug openfabric protocol-errors
  - configuration command
- debug openfabric route-events
  - configuration command
- debug openfabric snp-packets
  - configuration command
- debug openfabric spf-events
  - configuration command
- debug openfabric spf-statistics
  - configuration command
- debug openfabric spf-triggers
  - configuration command
- debug openfabric update-packets
  - configuration command
- debug ospf [(1-65535)] bfd
  - configuration command
- debug ospf [(1-65535)] client-api
  - configuration command
- debug ospf [(1-65535)] default-information
  - configuration command
- debug ospf [(1-65535)] event
  - configuration command
- debug ospf [(1-65535)] graceful-restart
  - configuration command, [1]
- debug ospf [(1-65535)] ism [status|events|timers]
  - configuration command
- debug ospf [(1-65535)] ldp-sync
  - configuration command
- debug ospf [(1-65535)] lsa [aggregate|flooding|generate|install|refresh]
  - configuration command
- debug ospf [(1-65535)] nsm [status|events|timers]
  - configuration command
- debug ospf [(1-65535)] nssa
  - configuration command
- debug ospf [(1-65535)] packet (hello|dd|ls-request|ls-update|ls-ack|all) (send|recv) [detail]
  - configuration command
- debug ospf [(1-65535)] sr
  - configuration command
- debug ospf [(1-65535)] te
  - configuration command
- debug ospf [(1-65535)] ti-lfa
  - configuration command
- debug ospf [(1-65535)] zebra [interface|redistribute]
  - configuration command
- debug ospf6 abr
  - configuration command
- debug ospf6 asbr
  - configuration command
- debug ospf6 authentication [<tx|rx>]
  - configuration command
- debug ospf6 border-routers {router-id [A.B.C.D] | area-id [A.B.C.D]}
  - configuration command
- debug ospf6 flooding
  - configuration command
- debug ospf6 graceful-restart
  - configuration command
- debug ospf6 interface
  - configuration command
- debug ospf6 lsa
  - configuration command
- debug ospf6 lsa aggregation
  - configuration command
- debug ospf6 message
  - configuration command
- debug ospf6 neighbor
  - configuration command
- debug ospf6 nssa
  - configuration command
- debug ospf6 route
  - configuration command
- debug ospf6 spf
  - configuration command
- debug ospf6 zebra
  - configuration command
- debug pathd pcep [basic|path|message|pceplib]
  - configuration command
- debug pathd policy
  - configuration command
- debug pbr events|map|nht|zebra
  - configuration command
- debug pim autorp
  - configuration command

- debug pim bsm
  - configuration command
- debug pim events
  - configuration command
- debug pim graft
  - configuration command
- debug pim nht
  - configuration command
- debug pim nht detail
  - configuration command
- debug pim packet-dump
  - configuration command
- debug pim packets
  - configuration command
- debug pim state-refresh
  - configuration command
- debug pim trace
  - configuration command
- debug pim zebra
  - configuration command
- debug pimv6 bsm
  - configuration command
- debug pimv6 events
  - configuration command
- debug pimv6 nht
  - configuration command
- debug pimv6 nht detail
  - configuration command
- debug pimv6 packet-dump
  - configuration command
- debug pimv6 packets
  - configuration command
- debug pimv6 trace
  - configuration command
- debug pimv6 zebra
  - configuration command
- debug prefix-list NAME match <A.B.C.D/M|X:X::X:X/M> [address-mode]
  - configuration command
- debug rip events
  - configuration command
- debug rip packet
  - configuration command
- debug rip zebra
  - configuration command
- debug ripng events
  - configuration command
- debug ripng packet
  - configuration command
- debug ripng zebra
  - configuration command
- debug routemap [detail]
  - configuration command
- debug rpki
  - configuration command
- debug unique-id XXXXX-XXXXX backtrace
  - configuration command
- debug vrrp [{protocol|autoconfigure|packets|sockets|ndisc|arp|zebra}]
  - configuration command
- debug zebra dplane [detailed]
  - configuration command
- debug zebra events
  - configuration command
- debug zebra evpn mh <es|mac|neigh|nh>
  - configuration command
- debug zebra fpm
  - configuration command
- debug zebra kernel
  - configuration command
- debug zebra kernel msgdump [<recv|send>]
  - configuration command
- debug zebra mlag
  - configuration command
- debug zebra mpls [detailed]
  - configuration command
- debug zebra nexthop [detail]
  - configuration command
- debug zebra nht [detailed]
  - configuration command
- debug zebra packet [<recv|send>] [detail]
  - configuration command
- debug zebra pbr
  - configuration command
- debug zebra pseudowires
  - configuration command
- debug zebra rib [detailed]
  - configuration command
- debug zebra srv6
  - configuration command
- debug zebra vxlan
  - configuration command
- default-information originate
  - configuration command, [1]
- default-information originate <ipv4 | ipv6> <level-1 | level-2> [always] [metric (0-16777214)|route-map WORD]
  - configuration command
- default-information originate [{always|metric (0-16777214)|metric-type (1-2)|route-map WORD}]
  - configuration command
- default-information originate always
  - configuration command
- default-information originate always metric (0-16777214)
  - configuration command
- default-information originate always metric (0-16777214) metric-type (1|2)
  - configuration command
- default-information originate always metric (0-16777214) metric-type (1|2) route-map WORD
  - configuration command
- default-information originate metric (0-16777214)
  - configuration command
- default-information originate metric (0-16777214) metric-type (1|2)
  - configuration command
- default-information originate metric (0-16777214) metric-type (1|2) route-map WORD
  - configuration command
- default-metric (0-16777214)
  - configuration command
- default-metric (1-16)
  - configuration command
- delay (0-16777215) [min (0-16777215) | max (0-16777215)]
  - configuration command
- delay-variation (0-16777215)
  - configuration command
- description DESCRIPTION ...
  - configuration command
- destination <stdout|stderr|fd <(0-63)|envvar WORD>> [format FORMAT]
  - configuration command
- destination file PATH [create [{user WORD|group WORD|mode PERMS}]|no-create] [format FORMAT]
  - configuration command
- destination journald
  - configuration command
- destination none
  - configuration command
- destination syslog [supports-rfc5424]
  - configuration command
- destination unix PATH [format FORMAT]
  - configuration command
- detect-multiplier (1-255)
  - configuration command
- disable-ead-evi-rx
  - configuration command
- disable-ead-evi-tx
  - configuration command
- disable-establish-hello
  - configuration command
- disadvantages
  - Link-state routing protocol
- discovery hello holdtime HOLDTIME
  - configuration command
- discovery hello interval INTERVAL
  - configuration command
- discovery transport-address A.B.C.D | A:B::C:D
  - configuration command
- Displays the DPDK stats per-PBR entry.
  - configuration command
- Displays the ZAPI message handler counters
  - configuration command
- distance (1-255)
  - configuration command, [1]
- distance (1-255) A.B.C.D/M
  - configuration command, [1]
- distance (1-255) A.B.C.D/M ACCESS-LIST
  - configuration command
- distance (1-255) A.B.C.D/M WORD
  - configuration command
- distance bgp (1-255) (1-255) (1-255)
  - configuration command
- distance ospf (intra-area|inter-area|external) (1-255)
  - configuration command
- distance-vector
- Distance-vector routing protocol
  - OSPF
- distribute-list [prefix] LIST <in|out> IFNAME
  - configuration command, [1]
- distribute-list NAME out <kernel|connected|static|rip|isis|bgp|eigrp|nhrp|table|vnc|babel|openfabric>
  - configuration command
- Distribution configuration
- domain-password [clear | md5] <password>
  - configuration command, [1]
- domainname DOMAINNAME
  - configuration command
- DUAL
- dual-stack transport-connection prefer ipv4
  - configuration command
- dump bgp all PATH [INTERVAL]
  - configuration command
- dump bgp all-et PATH [INTERVAL]
  - configuration command
- dump bgp routes-mrt PATH
  - configuration command
- dump bgp routes-mrt PATH INTERVAL
  - configuration command
- dump bgp updates PATH [INTERVAL]
  - configuration command
- dump bgp updates-et PATH [INTERVAL]
  - configuration command

## E

- ead-es-frag evi-limit (1-1000)
  - configuration command
- echo receive-interval <disabled|(10-4294967)>
  - configuration command
- echo transmit-interval (10-4294967)
  - configuration command
- echo-mode
  - configuration command
- ecmp
  - configuration command
- ecmp rebalance
  - configuration command
- embedded-rp
  - configuration command
- embedded-rp group-list PREFIX_LIST_NAME
  - configuration command
- embedded-rp limit (1-4294967295)
  - configuration command
- enable password PASSWORD
  - configuration command
- enable-resolve-overlay-index
  - configuration command
- encap-behavior <H_Encaps|H_Encaps_Red>
  - configuration command
- encapsulation
  - configuration command
- environment variable
  - VTYSH_PAGER
- evpn mh es-df-pref (1-16777215)
  - configuration command

- evpn mh es-id <(1-16777215)|ESINAME>
  - configuration command
- evpn mh es-sys-mac X:X:X:X:X:X
  - configuration command
- evpn mh mac-holdtime (0-86400)
  - configuration command
- evpn mh neigh-holdtime (0-86400)
  - configuration command
- evpn mh redirect-off
  - configuration command
- evpn mh startup-delay (0-3600)
  - configuration command
- evpn mh uplink
  - configuration command
- exec-timeout MINUTE [SECOND]
  - configuration command
- exec-timeout TIMEOUT
  - configuration command
- Exit Policy
- exit-vnc
  - configuration command
- export bgp|zebra ipv4|ipv6 prefix-list LIST-NAME
  - configuration command
- export bgp|zebra mode none|group-nve|registering-nve|ce
  - configuration command
- export bgp|zebra no ipv4|ipv6 prefix-list
  - configuration command
- export bgp|zebra no route-map
  - configuration command
- export bgp|zebra route-map MAP-NAME
  - configuration command

## F

- fabric-tier (0-14)
  - configuration command
- fabricd command line option
  - --dummy_as_loopback
- facility FACILITY
  - configuration command
- fast-reroute lfa tiebreaker [downstream | lowest-backup-metric | node-protecting] index (1-255) [level-1 | level-2]
  - configuration command
- fast-reroute load-sharing disable [level-1 | level-2]
  - configuration command
- fast-reroute priority-limit [critical | high | medium] [level-1 | level-2]
  - configuration command
- fast-reroute remote-lfa prefix-list [WORD] [level-1 | level-2]
  - configuration command
- fast-reroute ti-lfa [node-protection]
  - configuration command
- find REGEX...
  - configuration command
- flex-algo (128-255)
  - configuration command

- format NAME
  - configuration command, [1]
- formats
  - configuration command
- fpm address <A.B.C.D|X:X::X:X> [port (1-65535)]
  - configuration command
- fpm connection ip A.B.C.D port (1-65535)
  - configuration command
- fpm use-next-hop-groups
  - configuration command
- fpm use-route-replace
  - configuration command
- FRR
  - architecture
  - operating systems
  - platforms
  - rfcs
- FRR Least-Privileges
- FRR Privileges

## G

- graceful-restart [grace-period (1-1800)]
  - configuration command, [1]
- graceful-restart helper enable [A.B.C.D]
  - configuration command, [1]
- graceful-restart helper planned-only
  - configuration command, [1]
- graceful-restart helper strict-lsa-checking
  - configuration command, [1]

- graceful-restart helper supported-grace-time (10-1800)
  - configuration command, [1]
- graceful-restart prepare ip ospf
  - configuration command
- graceful-restart prepare ipv6 ospf
  - configuration command

## H

- Hello protocol
  - OSPF
- hostname dynamic
  - configuration command

- hostname HOSTNAME
  - configuration command
- How to install FRR

## I

- import vrf VRFNAME
  - configuration command
- import|export vpn
  - configuration command
- index INDEX mpls label LABEL
  - configuration command
- index INDEX nai adjacency A.B.C.D A.B.C.D
  - configuration command
- index INDEX nai prefix A.B.C.D/M algorithm <0|1>
  - configuration command
- index INDEX nai prefix A.B.C.D/M iface (0-65535)
  - configuration command
- Installing FRR
- interface IFACE
  - configuration command
- interface IFNAME
  - configuration command
- interface IFNAME vrf VRF
  - configuration command
- interface NAME
  - configuration command
- ip access-list NAME
  - configuration command
- ip address ADDRESS/PREFIX
  - configuration command
- ip address LOCAL-ADDR peer PEER-ADDR/PREFIX
  - configuration command
- ip igmp
  - configuration command
- ip igmp generate-query-once [version (2-3)]
  - configuration command
- ip igmp immediate-leave
  - configuration command
- ip igmp join-group A.B.C.D [A.B.C.D]
  - configuration command
- ip igmp last-member-query-count (1-255)
  - configuration command
- ip igmp last-member-query-interval (1-65535)
  - configuration command
- ip igmp max-groups (0-4294967295)
  - configuration command
- ip igmp max-sources (0-4294967295)
  - configuration command
- ip igmp proxy
  - configuration command
- ip igmp query-interval (1-65535)
  - configuration command
- ip igmp query-max-response-time (1-65535)
  - configuration command
- ip igmp require-router-alert
  - configuration command
- ip igmp static-group A.B.C.D [A.B.C.D]
  - configuration command
- ip igmp version (2-3)
  - configuration command
- ip igmp watermark-warn (1-65535)
  - configuration command
- ip import-table (1-252) [mrib] [distance (1-255)] [route-map RMAP_NAME]
  - configuration command
- ip mroute INTERFACE A.B.C.D [A.B.C.D]
  - configuration command
- ip mroute PREFIX NEXTHOP [DISTANCE]
  - configuration command
- ip multicast boundary ACCESS-LIST
  - configuration command
- ip multicast boundary oil WORD
  - configuration command
- ip nhrp authentication PASSWORD
  - configuration command
- ip nhrp holdtime (1-65000)
  - configuration command
- ip nhrp map A.B.C.D|X:X::X:X A.B.C.D|local
  - configuration command
- ip nhrp map multicast A.B.C.D|X:X::X:X A.B.C.D|dynamic
  - configuration command
- ip nhrp mtu
  - configuration command
- ip nhrp network-id (1-4294967295)
  - configuration command
- ip nhrp nhs A.B.C.D nbma A.B.C.D|FQDN
  - configuration command
- ip nhrp nhs dynamic nbma A.B.C.D
  - configuration command
- ip nhrp redirect
  - configuration command
- ip nhrp registration no-unique
  - configuration command
- ip nhrp shortcut
  - configuration command
- ip nht resolve-via-default
  - configuration command
- ip ospf area (A.B.C.D|(0-4294967295))
  - configuration command
- ip ospf area AREA [ADDR]
  - configuration command
- ip ospf authentication key-chain KEYCHAIN
  - configuration command
- ip ospf authentication message-digest
  - configuration command
- ip ospf authentication-key AUTH_KEY
  - configuration command
- ip ospf bfd
  - configuration command
- ip ospf bfd profile BFDPROF
  - configuration command
- ip ospf capability opaque [A.B.C.D]
  - configuration command
- ip ospf cost (1-65535)
  - configuration command
- ip ospf dead-interval (1-65535)
  - configuration command
- ip ospf dead-interval minimal hello-multiplier (2-20)
  - configuration command
- ip ospf graceful-restart hello-delay (1-1800)
  - configuration command
- ip ospf hello-interval (1-65535)
  - configuration command
- ip ospf message-digest-key KEYID md5 KEY
  - configuration command
- ip ospf neighbor-filter NAME [A.B.C.D]
  - configuration command
- ip ospf network (broadcast|non-broadcast|point-to-multipoint [delay-reflood|non-broadcast]|point-to-point [dmvpn])
  - configuration command
- ip ospf passive [A.B.C.D]
  - configuration command
- ip ospf prefix-suppression [A.B.C.D]
  - configuration command
- ip ospf priority (0-255)
  - configuration command
- ip ospf retransmit-interval (1-65535)
  - configuration command
- ip ospf retransmit-window (20-1000)
  - configuration command
- ip ospf transmit-delay (1-65535) [A.B.C.D]
  - configuration command
- ip pim [sm | dm | sm-dm]
  - configuration command
- ip pim active-active
  - configuration command
- ip pim allowed-neighbors prefix-list PREFIX_LIST
  - configuration command
- ip pim bfd [profile BFDPROF]
  - configuration command
- ip pim bsm
  - configuration command
- ip pim dm prefix-list PREFIX_LIST
  - configuration command
- ip pim drpriority (0-4294967295)
  - configuration command
- ip pim hello (1-65535) (1-65535)
  - configuration command
- ip pim passive
  - configuration command
- ip pim ssm prefix-list PREFIX_LIST
  - configuration command
- ip pim unicast-bsm
  - configuration command
- ip pim use-source A.B.C.D
  - configuration command
- ip prefix-list NAME (permit|deny) PREFIX [le LEN] [ge LEN]
  - configuration command
- ip prefix-list NAME description DESC
  - configuration command
- ip prefix-list NAME seq NUMBER (permit|deny) PREFIX [le LEN] [ge LEN]
  - configuration command
- ip protocol PROTOCOL route-map ROUTEMAP
  - configuration command
- ip rip authentication key-chain KEY-CHAIN
  - configuration command
- ip rip authentication mode md5
  - configuration command
- ip rip authentication mode text
  - configuration command
- ip rip authentication string STRING
  - configuration command
- ip rip bfd
  - configuration command
- ip rip bfd profile BFD_PROFILE_NAME
  - configuration command
- ip rip receive version VERSION
  - configuration command
- ip rip send version VERSION
  - configuration command
- ip rip split-horizon [poisoned-reverse]
  - configuration command
- ip route A.B.C.D <A.B.C.D|nexthop> segments U:U::U:U/Y:Y::Y:Y/Z:Z::Z:Z [encap-behavior BEHAVIOR]
  - configuration command
- ip route A.B.C.D/M A.B.C.D bfd [{multi-hop|source A.B.C.D|profile BFDPROF}]
  - configuration command
- ip route NETWORK (Null0|blackhole|reject) [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - configuration command
- ip route NETWORK GATEWAY [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - configuration command
- ip route NETWORK GATEWAY IFNAME [DISTANCE] [onlink] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - configuration command

- ip route NETWORK IFNAME [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - configuration command
- ip route NETWORK MASK GATEWAY|INTERFACE label LABEL
  - configuration command
- ip router openfabric WORD
  - configuration command
- ip table range <STARTTABLENO> <ENDTABLENO>
  - configuration command
- ipv6 access-list NAME
  - configuration command
- ipv6 address ADDRESS/PREFIX
  - configuration command
- ipv6 mld
  - configuration command
- ipv6 mld immediate-leave
  - configuration command
- ipv6 mld join X:X::X:X [Y:Y::Y:Y]
  - configuration command
- ipv6 mld last-member-query-count (1-255)
  - configuration command
- ipv6 mld last-member-query-interval (1-65535)
  - configuration command
- ipv6 mld max-groups (0-4294967295)
  - configuration command
- ipv6 mld max-sources (0-4294967295)
  - configuration command
- ipv6 mld query-interval (1-65535)
  - configuration command
- ipv6 mld query-max-response-time (1-65535)
  - configuration command
- ipv6 mld require-router-alert
  - configuration command
- ipv6 mld version (1-2)
  - configuration command
- ipv6 mroute INTERFACE X:X::X:X [Y:Y::Y:Y]
  - configuration command
- ipv6 multicast boundary oil WORD
  - configuration command
- ipv6 nd adv-interval-option
  - configuration command
- ipv6 nd dnssl domain-name-suffix [lifetime]
  - configuration command
- ipv6 nd home-agent-config-flag
  - configuration command
- ipv6 nd home-agent-lifetime [(0-65520)]
  - configuration command
- ipv6 nd home-agent-preference [(0-65535)]
  - configuration command
- ipv6 nd managed-config-flag
  - configuration command
- ipv6 nd mtu [(1-65535)]
  - configuration command
- ipv6 nd nat64 [X:X::X:X/M] [lifetime (0-65535)]
  - configuration command
- ipv6 nd other-config-flag
  - configuration command
- ipv6 nd prefix ipv6prefix [valid-lifetime] [preferred-lifetime] [off-link] [no-autoconfig] [router-address]
  - configuration command
- ipv6 nd ra-fast-retrans
  - configuration command
- ipv6 nd ra-hop-limit [(0-255)]
  - configuration command
- ipv6 nd ra-interval [(1-1800)]
  - configuration command
- ipv6 nd ra-interval [msec (70-1800000)]
  - configuration command
- ipv6 nd ra-lifetime [(0-9000)]
  - configuration command
- ipv6 nd ra-retrans-interval [(0-4294967295)]
  - configuration command
- ipv6 nd rdnss ipv6address [lifetime]
  - configuration command
- ipv6 nd reachable-time [(1-3600000)]
  - configuration command
- ipv6 nd router-preference [(high|medium|low)]
  - configuration command
- ipv6 nd suppress-ra
  - configuration command
- ipv6 nht resolve-via-default
  - configuration command
- ipv6 ospf6 area <A.B.C.D|(0-4294967295)>
  - configuration command
- ipv6 ospf6 authentication key-id (1-65535) hash-algo <md5|hmac-sha-256> key WORD
  - configuration command
- ipv6 ospf6 authentication key-id (1-65535) hash-algo <md5|hmac-sha-256|hmac-sha-1|hmac-sha-384|hmac-sha-512> key WORD
  - configuration command
- ipv6 ospf6 authentication keychain KEYCHAIN_NAME
  - configuration command
- ipv6 ospf6 bfd [profile BFDPROF]
  - configuration command
- ipv6 ospf6 cost COST
  - configuration command
- ipv6 ospf6 dead-interval DEADINTERVAL
  - configuration command
- ipv6 ospf6 graceful-restart hello-delay HELLODELAYINTERVAL
  - configuration command
- ipv6 ospf6 hello-interval HELLOINTERVAL
  - configuration command
- ipv6 ospf6 neighbor X:X::X:X
  - configuration command
- ipv6 ospf6 neighbor X:X::X:X cost (1-65535)
  - configuration command
- ipv6 ospf6 neighbor X:X::X:X poll-interval (1-65535)
  - configuration command
- ipv6 ospf6 network (broadcast|point-to-point|point-to-multipoint)
  - configuration command
- ipv6 ospf6 p2p-p2mp config-neighbors-only
  - configuration command
- ipv6 ospf6 p2p-p2mp connected-prefixes <include|exclude>
  - configuration command
- ipv6 ospf6 p2p-p2mp disable-multicast-hello
  - configuration command
- ipv6 ospf6 priority PRIORITY
  - configuration command
- ipv6 ospf6 retransmit-interval RETRANSMITINTERVAL
  - configuration command
- ipv6 ospf6 transmit-delay TRANSMITDELAY
  - configuration command
- ipv6 pim
  - configuration command
- ipv6 pim active-active
  - configuration command
- ipv6 pim allowed-neighbors prefix-list PREFIX_LIST
  - configuration command
- ipv6 pim bsm
  - configuration command
- ipv6 pim drpriority (0-4294967295)
  - configuration command
- ipv6 pim hello (1-65535) (1-65535)
  - configuration command
- ipv6 pim passive
  - configuration command
- ipv6 pim unicast-bsm
  - configuration command
- ipv6 pim use-source X:X::X:X
  - configuration command
- ipv6 route NETWORK [from SRCPREFIX] (Null0|blackhole|reject) [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - configuration command
- ipv6 route NETWORK [from SRCPREFIX] GATEWAY [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - configuration command
- ipv6 route NETWORK [from SRCPREFIX] GATEWAY IFNAME [DISTANCE] [onlink] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - configuration command
- ipv6 route NETWORK [from SRCPREFIX] IFNAME [DISTANCE] [table TABLENO] [nexthop-vrf VRFNAME] [vrf VRFNAME]
  - configuration command
- ipv6 route X:X::X:X <X:X::X:X|nexthop> segments U:U::U:U/Y:Y::Y:Y/Z:Z::Z:Z [encap-behavior BEHAVIOR]
  - configuration command
- ipv6 route X:X::X:X/M [from X:X::X:X/M] X:X::X:X bfd [{multi-hop|source X:X::X:X|profile BFDPROF}]
  - configuration command
- ipv6 router-id X:X::X:X
  - configuration command
- is-type [level-1 | level-1-2 | level-2-only]
  - configuration command
- isis affinity flex-algo NAME
  - configuration command
- isis bfd
  - configuration command
- isis bfd profile BFDPROF
  - configuration command
- isis circuit-type [level-1 | level-1-2 | level-2]
  - configuration command
- isis csnp-interval (1-600) [level-1 | level-2]
  - configuration command
- isis fast-reroute lfa [level-1 | level-2]
  - configuration command
- isis fast-reroute lfa [level-1 | level-2] exclude interface IFNAME
  - configuration command
- isis fast-reroute remote-lfa maximum-metric (1-16777215) [level-1 | level-2]
  - configuration command
- isis fast-reroute remote-lfa tunnel mpls-ldp [level-1 | level-2]
  - configuration command
- isis fast-reroute ti-lfa [level-1|level-2] [node-protection [link-fallback]]
  - configuration command
- isis hello padding
  - configuration command
- isis hello padding during-adjacency-formation
  - configuration command
- isis hello-interval [level-1 | level-2] (1-600)
  - configuration command
- isis hello-multiplier [level-1 | level-2] (2-100)
  - configuration command
- isis metric [level-1 | level-2] [(0-255) | (0-16777215)]
  - configuration command
- isis network point-to-point
  - configuration command
- isis passive
  - configuration command
- isis password [clear | md5] <password>
  - configuration command
- isis priority (0-127) [level-1 | level-2]
  - configuration command
- isis psnp-interval (1-120) [level-1 | level-2]
  - configuration command
- isis three-way-handshake
  - configuration command

## J

- join-prune-interval (1-65535)
  - configuration command, [1]

## K

- keep-alive-timer (1-65535)
  - configuration command, [1]

## L

- l2rd NVE-ID-VALUE
  - configuration command
- label vpn export (0..1048575)|auto
  - configuration command
- label vpn export allocation-mode per-vrf|per-nexthop
  - configuration command
- labels LABEL-LIST
  - configuration command
- line vty
  - configuration command
- Link State Advertisement
- Link State Announcement
- Link State Database
- link-detect
  - configuration command
- link-params
  - configuration command
- link-state
- Link-state routing protocol
  - advantages
  - disadvantages
  - OSPF
- Linux
  - building
  - configuration
- list
  - configuration command
- local-id-block explicit start START end END
  - configuration command
- local-id-block start START
  - configuration command
- local-install <IFNAME | any>
  - configuration command
- locator NAME
  - configuration command, [1], [2]
- locators
  - configuration command
- log commands
  - configuration command
- log daemon DAEMON file [FILENAME [LEVEL]]
  - configuration command
- log extended EXTLOGNAME
  - configuration command
- log facility [FACILITY]
  - configuration command
- log file [FILENAME [LEVEL]]
  - configuration command

- log filter-text WORD
  - configuration command
- log filtered-file [FILENAME [LEVEL]]
  - configuration command
- log immediate-mode
  - configuration command
- log monitor [LEVEL]
  - configuration command
- log record-priority
  - configuration command
- log stdout LEVEL
  - configuration command
- log syslog [LEVEL]
  - configuration command
- log timestamp precision [(0-6)]
  - configuration command
- log trap LEVEL
  - configuration command
- log unique-id
  - configuration command
- log-adjacency-changes
  - configuration command, [1]
- log-adjacency-changes [detail]
  - configuration command
- log-pdu-drops
  - configuration command
- log-session-changes
  - configuration command
- logical-network-id VALUE
  - configuration command
- logmsg LEVEL MESSAGE
  - configuration command
- LSA
  - OSPF
- LSA flooding
- lsp-gen-interval (1-120)
  - configuration command
- lsp-gen-interval [level-1 | level-2] (1-120)
  - configuration command
- lsp-mtu (128-4352)
  - configuration command
- lsp-refresh-interval (1-65235)
  - configuration command
- lsp-refresh-interval [level-1 | level-2] (1-65235)
  - configuration command

## M

- mac-vrf soo <site-of-origin-string>
  - configuration command
- mailing lists
  - contact
- match alias WORD
  - configuration command
- match as-path AS_PATH
  - configuration command
- match as-path WORD
  - configuration command
- match community COMMUNITY_LIST [<exact-match|any>]
  - configuration command
- match community WORD exact-match [exact-match]
  - configuration command
- match community-limit (0-65535)
  - configuration command
- match dscp (DSCP|0-63)
  - configuration command
- match dst-ip PREFIX
  - configuration command
- match dst-port (1-65535)
  - configuration command
- match ecn (0-3)
  - configuration command
- match evpn route-type ROUTE_TYPE_NAME
  - configuration command
- match evpn vni NUMBER
  - configuration command
- match extcommunity WORD [exact-match|any]
  - configuration command
- match extcommunity-limit (0-65535)
  - configuration command
- match interface WORD
  - configuration command, [1]
- match ip address ACCESS_LIST
  - configuration command
- match ip address prefix-len 0-32
  - configuration command
- match ip address prefix-list PREFIX_LIST
  - configuration command
- match ip address prefix-list WORD
  - configuration command
- match ip address WORD
  - configuration command
- match ip next-hop ACCESS_LIST
  - configuration command
- match ip next-hop address IPV4_ADDR
  - configuration command
- match ip next-hop prefix-list PREFIX_LIST
  - configuration command
- match ip next-hop prefix-list WORD
  - configuration command
- match ip next-hop WORD
  - configuration command
- match ip-protocol PROTOCOL
  - configuration command
- match ipv6 address ACCESS_LIST
  - configuration command
- match ipv6 address prefix-len 0-128
  - configuration command
- match ipv6 address prefix-list PREFIX_LIST
  - configuration command
- match ipv6 address prefix-list WORD
  - configuration command
- match ipv6 address WORD
  - configuration command
- match ipv6 next-hop ACCESS_LIST
  - configuration command
- match ipv6 next-hop address IPV6_ADDR
  - configuration command
- match ipv6 next-hop prefix-list PREFIX_LIST
  - configuration command
- match large-community LINE [exact-match]
  - configuration command
- match local-preference METRIC
  - configuration command
- match mark (1-4294967295)
  - configuration command
- match metric (0-4294967295)
  - configuration command, [1]
- match metric METRIC
  - configuration command
- match pcp (0-7)
  - configuration command
- match peer A.B.C.D|X:X::X:X
  - configuration command
- match peer INTERFACE_NAME
  - configuration command
- match peer IPV4_ADDR
  - configuration command
- match peer IPV6_ADDR
  - configuration command
- match peer PEER_GROUP_NAME
  - configuration command
- match rpki notfound|invalid|valid
  - configuration command
- match rpki-extcommunity notfound|invalid|valid
  - configuration command
- match source-instance NUMBER
  - configuration command
- match source-protocol PROTOCOL_NAME
  - configuration command
- match src-ip PREFIX
  - configuration command
- match src-peer [IPV4_ADDR|IPV6_ADDR|INTERFACE_NAME|PEER_GROUP_NAME]
  - configuration command
- match src-port (1-65535)
  - configuration command

- match tag <untagged|(1-4294967295)>
  - configuration command
- match vlan (1-4094)
  - configuration command
- match vlan (tagged|untagged|untagged-or-zero)
  - configuration command
- Matching Conditions
- Matching Policy
- max-bw BANDWIDTH
  - configuration command
- max-lsp-lifetime (360-65535)
  - configuration command
- max-lsp-lifetime [level-1 | level-2] (350-65535)
  - configuration command
- max-metric router-lsa [on-startup (5-86400)|on-shutdown (5-100)]
  - configuration command
- max-metric router-lsa administrative
  - configuration command
- max-rsv-bw BANDWIDTH
  - configuration command
- maximum-paths (1-128)
  - configuration command
- maximum-paths (1-64)
  - configuration command, [1]
- maximum-paths ibgp (1-128) [equal-cluster-length]
  - configuration command
- metric (0-4294967295)
  - configuration command
- metric [bound] METRIC VALUE [required] [computed]
  - configuration command
- metric-style [narrow | transition | wide]
  - configuration command
- metric-type [igp|te|delay]
  - configuration command
- mgmt commit abort
  - configuration command
- mgmt commit apply
  - configuration command
- mgmt commit check
  - configuration command
- mgmt delete-config XPATH
  - configuration command
- mgmt load-config FILE <merge|replace>
  - configuration command
- mgmt rollback commit-id WORD
  - configuration command
- mgmt rollback last WORD
  - configuration command
- mgmt save-config <candidate|running> FILE
  - configuration command
- mgmt set-config XPATH VALUE
  - configuration command
- minimum-ttl (1-254)
  - configuration command
- mpls <enable|disable>
  - configuration command
- mpls bgp forwarding
  - configuration command
- mpls bgp l3vpn-multi-domain-switching
  - configuration command
- mpls fec nexthop-resolution
  - configuration command
- mpls label dynamic-block (16-1048575) (16-1048575)
  - configuration command
- mpls ldp
  - configuration command
- mpls lsp INCOMING_LABEL GATEWAY OUTGOING_LABEL|explicit-null|implicit-null
  - configuration command
- mpls-te <on|off>
  - configuration command
- mpls-te export
  - configuration command, [1]
- mpls-te import <ospfv2|ospfv3|isis>
  - configuration command
- mpls-te inter-as area <area-id>|as
  - configuration command
- mpls-te on
  - configuration command, [1]
- mpls-te router-address <A.B.C.D>
  - configuration command, [1]
- mpls-te router-address ipv6 <X:X::X:X>
  - configuration command
- msd (1-32)
  - configuration command
- msdp mesh-group WORD member A.B.C.D
  - configuration command
- msdp mesh-group WORD source A.B.C.D
  - configuration command
- msdp originator-id A.B.C.D
  - configuration command
- msdp peer A.B.C.D password WORD
  - configuration command
- msdp peer A.B.C.D sa-filter ACL_NAME <in|out>
  - configuration command
- msdp peer A.B.C.D sa-limit <AMOUNT>
  - configuration command
- msdp peer A.B.C.D source A.B.C.D
  - configuration command
- msdp shutdown
  - configuration command
- msdp timers (1-65535) (1-65535) [(1-65535)]
  - configuration command
- mtrace A.B.C.D [A.B.C.D]
  - configuration command
- multicast <enable|disable>
  - configuration command

## N

- name NAME
  - configuration command
- neigbor A.B.C.D|X.X::X.X|peer-group route-map WORD in|out
  - configuration command
- neighbor <A.B.C.D> as (0-65535)
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> accept-own
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> addpath-rx-paths-limit (1-65535)
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-all-paths
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-best-selected (1-6)
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> addpath-tx-bestpath-per-AS
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> allowas-in [<(1-10)|origin>]
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> as-override
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> bfd
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> bfd check-control-plane-failure
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> bfd profile BFDPROF
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> bfd strict [hold-time <seconds>]
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> disable-addpath-rx
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> graceful-shutdown
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> path-attribute discard (1-255)...
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> path-attribute treat-as-withdraw (1-255)...
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> soo EXTCOMMUNITY
  - configuration command
- neighbor <A.B.C.D|X:X::X:X|WORD> tcp-mss (1-65535)
  - configuration command
- neighbor A.B.C.D
  - configuration command
- neighbor A.B.C.D [poll-interval (1-65535)] [priority (0-255)]
  - configuration command
- neighbor A.B.C.D activate
  - configuration command
- neighbor A.B.C.D advertise-map NAME [exist-map|non-exist-map] NAME
  - configuration command
- neighbor A.B.C.D graceful-restart
  - configuration command
- neighbor A.B.C.D graceful-restart-disable
  - configuration command
- neighbor A.B.C.D graceful-restart-helper
  - configuration command
- neighbor A.B.C.D password PASSWORD
  - configuration command
- neighbor A.B.C.D route-server-client
  - configuration command
- neighbor A.B.C.D session holdtime HOLDTIME
  - configuration command
- neighbor A.B.C.D ttl-security disable
  - configuration command
- neighbor A.B.C.D ttl-security hops (1-254)
  - configuration command
- neighbor GROUP dampening [(1-45) [(1-20000) (1-20000) (1-255)]]
  - configuration command
- neighbor PEER advertisement-interval (0-600)
  - configuration command
- neighbor PEER aigp
  - configuration command
- neighbor PEER attribute-unchanged [{as-path|next-hop|med}]
  - configuration command
- neighbor PEER capability dynamic
  - configuration command
- neighbor PEER capability extended-nexthop
  - configuration command
- neighbor PEER capability fqdn
  - configuration command
- neighbor PEER capability link-local
  - configuration command
- neighbor PEER capability software-version
  - configuration command
- neighbor PEER dampening [(1-45) [(1-20000) (1-20000) (1-255)]]
  - configuration command
- neighbor PEER default-originate [route-map WORD]
  - configuration command
- neighbor PEER description ...
  - configuration command
- neighbor PEER disable-connected-check
  - configuration command
- neighbor PEER disable-link-bw-encoding-ieee
  - configuration command
- neighbor PEER distribute-list NAME [in|out]
  - configuration command
- neighbor PEER dont-capability-negotiate
  - configuration command
- neighbor PEER ebgp-multihop
  - configuration command
- neighbor PEER enforce-first-as
  - configuration command
- neighbor PEER extended-link-bandwidth
  - configuration command
- neighbor PEER extended-optional-parameters
  - configuration command
- neighbor PEER filter-list NAME [in|out]
  - configuration command
- neighbor PEER interface IFNAME
  - configuration command
- neighbor PEER interface remote-as <internal|external|auto|ASN>
  - configuration command
- neighbor PEER ip-transparent
  - configuration command
- neighbor PEER local-as AS-NUMBER [no-prepend [replace-as [dual-as]]]
  - configuration command
- neighbor PEER local-role LOCAL-ROLE [strict-mode]
  - configuration command
- neighbor PEER maximum-prefix NUMBER [force]
  - configuration command
- neighbor PEER maximum-prefix-out NUMBER
  - configuration command
- neighbor PEER next-hop-self [force]
  - configuration command
- neighbor PEER oad
  - configuration command
- neighbor PEER override-capability
  - configuration command

- neighbor PEER password PASSWORD
  - configuration command
- neighbor PEER peer-group PGNAME
  - configuration command
- neighbor PEER port PORT
  - configuration command
- neighbor PEER prefix-list NAME [in|out]
  - configuration command
- neighbor PEER remote-as ASN
  - configuration command
- neighbor PEER remote-as auto
  - configuration command
- neighbor PEER remote-as external
  - configuration command
- neighbor PEER remote-as internal
  - configuration command
- neighbor PEER route-map NAME [in|out]
  - configuration command
- neighbor PEER route-reflector-client
  - configuration command
- neighbor PEER send-community <both|all|extended|standard|large>
  - configuration command
- neighbor PEER send-community extended rpki
  - configuration command
- neighbor PEER send-nexthop-characteristics
  - configuration command
- neighbor PEER sender-as-path-loop-detection
  - configuration command
- neighbor PEER shutdown [message MSG...] [rtt (1-65535) [count (1-255)]]
  - configuration command
- neighbor PEER solo
  - configuration command
- neighbor PEER strict-capability-match
  - configuration command
- neighbor PEER timers (0-65535) (0-65535)
  - configuration command
- neighbor PEER timers connect (1-65535)
  - configuration command
- neighbor PEER timers delayopen (1-240)
  - configuration command
- neighbor PEER ttl-security hops NUMBER
  - configuration command
- neighbor PEER update-source <IFNAME|ADDRESS>
  - configuration command
- neighbor PEER weight WEIGHT
  - configuration command
- neighbor PEER-GROUP route-server-client
  - configuration command
- neighbor WORD peer-group
  - configuration command
- neighbor X:X::X:X route-server-client
  - configuration command
- net XX.XXXX. ... .XXX.XX
  - configuration command, [1]
- net.ipv4.conf.{all,default,<interface>}.arp_accept
  - configure command line option
- net.ipv4.conf.{all,default,<interface>}.arp_ignore
  - configure command line option
- net.ipv4.conf.{all,default,<interface>}.arp_notify
  - configure command line option
- net.ipv4.conf.{all,default,<interface>}.bc_forwarding
  - configure command line option
- net.ipv4.conf.{all,default,<interface>}.forwarding
  - configure command line option
- net.ipv4.ip_forward
  - configure command line option
- net.ipv6.conf.all.keep_addr_on_down
  - configure command line option
- net.ipv6.conf.all.use_oif_addrs_only
  - configure command line option
- net.ipv6.conf.{all,default,<interface>}.forwarding
  - configure command line option
- net.ipv6.conf.{all,default,<interface>}.ndisc_notify
  - configure command line option
- net.ipv6.route.skip_notify_on_dev_down
  - configure command line option
- network A.B.C.D/M
  - configuration command
- network A.B.C.D/M area (0-4294967295)
  - configuration command
- network A.B.C.D/M area A.B.C.D
  - configuration command
- network IFNAME
  - configuration command, [1], [2]
- network NETWORK
  - configuration command, [1], [2]
- nexthop [A.B.C.D|X:X::X:XX] [interface [onlink]] [nexthop-vrf NAME] [label LABELS]
  - configuration command
- nexthop vpn export A.B.C.D|X:X::X:X
  - configuration command
- nexthop-group NAME
  - configuration command
- nhrp event socket SOCKET
  - configuration command
- nhrp multicast-nflog-group (1-65535)
  - configuration command
- nhrp nflog-group (1-65535)
  - configuration command
- no affinity exclude-any NAME
  - configuration command
- no affinity include-all NAME
  - configuration command
- no affinity include-any NAME
  - configuration command
- no affinity-map NAME
  - configuration command
- no aggregation timer (5-1800)
  - configuration command
- no autorp discovery
  - configuration command
- no isis affinity flex-algo NAME
  - configuration command
- no metric-type
  - configuration command
- no msd [(1-32)]
  - configuration command
- no socket-per-interface
  - configuration command
- no summary-address X:X::X:X/M [tag (1-4294967295)] [{metric (0-16777215) | metric-type (1-2)}]
  - configuration command
- no summary-address X:X::X:X/M no-advertise
  - configuration command
- no vty login
  - configuration command

## O

- objective-function OBJFUN1 [required]
  - configuration command
- offset-list ACCESS-LIST (in|out)
  - configuration command
- offset-list ACCESS-LIST (in|out) IFNAME
  - configuration command
- on-match goto N
  - configuration command
- on-match next
  - configuration command
- openfabric csnp-interval (1-600)
  - configuration command
- openfabric hello-interval (1-600)
  - configuration command
- openfabric hello-multiplier (2-100)
  - configuration command
- openfabric metric (0-16777215)
  - configuration command
- openfabric passive
  - configuration command
- openfabric password [clear | md5] <password>
  - configuration command
- openfabric psnp-interval (1-120)
  - configuration command

- operating systems
  - FRR
- Options for configuring
- Options to `./configure`
- ordered-control
  - configuration command
- OSPF
  - Area
  - Distance-vector routing protocol
  - Hello protocol
  - Link-state routing protocol
  - LSA
- ospf abr-type TYPE
  - configuration command
- ospf opaque-lsa
  - configuration command
- ospf rfc1583compatibility
  - configuration command
- ospf router-id A.B.C.D
  - configuration command
- ospf6 router-id A.B.C.D
  - configuration command

## P

- packet-loss PERCENTAGE
  - configuration command
- packets (1-255)
  - configuration command, [1]
- passive-interface (IFNAME|default)
  - configuration command, [1]
- passive-interface default
  - configuration command
- passive-mode
  - configuration command
- password PASSWORD
  - configuration command
- PBR
  - policy
- pbr nexthop-resolve
  - configuration command
- pbr table range (10000-4294966272) (10000-4294966272)
  - configuration command
- pbr-map NAME seq (1-700)
  - configuration command
- pbr-policy NAME
  - configuration command
- pcc
  - configuration command
- pce address <A.B.C.D>
  - configuration command
- pce domain as (0-65535)
  - configuration command
- pce flag BITPATTERN
  - configuration command
- pce NAME
  - configuration command
- pce neighbor as (0-65535)
  - configuration command
- pce scope BITPATTERN
  - configuration command
- pce-config NAME
  - configuration command

- pce-initiated
  - configuration command
- pcep
  - configuration command
- peer 200::A bfd-mode sbfd-echo bfd-name a-b-d local-address 200::A srv6-source-ipv6 200::A srv6-encap-data 100::B 100::D
  - configuration command
- peer 200::D bfd-mode sbfd-init bfd-name a-b-d multihop local-address 200::A remote-discr 456 srv6-source-ipv6 200::A srv6-encap-data 100::B 100::D
  - configuration command
- peer 200::D bfd-mode sbfd-init bfd-name a-d local-address 200::A remote-discr 456
  - configuration command
- peer <A.B.C.D|X:X::X:X> [{multihop|local-address <A.B.C.D|X:X::X:X>|interface IFNAME|vrf NAME}]
  - configuration command
- peer WORD [precedence (1-255)]
  - configuration command
- platforms
  - FRR
- policy
  - PBR
- policy color COLOR endpoint ENDPOINT
  - configuration command
- prefix vn|un A.B.C.D/M|X:X::X:X/M
  - configuration command
- prefix X:X::X:X/M [block-len (16-64)] [node-len (16-64)] [func-bits (0-64)]
  - configuration command
- priority (0-255)
  - configuration command
- priority PRIORITY
  - configuration command
- proactive-arp
  - configuration command
- profile BFDPROF
  - configuration command
- profile WORD
  - configuration command
- purge-originator
  - configuration command, [1]

## R

- rd ROUTE-DISTINGUISHER
  - configuration command
- rd vpn export AS:NN|IP:nn
  - configuration command
- read-quanta (1-10)
  - configuration command
- receive-interval (10-4294967)
  - configuration command
- redistribute <babel|bgp|connected|eigrp|isis|kernel|openfabric|ospf|rip|sharp|static|table> [metric-type (1-2)] [metric (0-16777214)] [route-map WORD]
  - configuration command
- redistribute <babel|bgp|connected|eigrp|isis|kernel|openfabric|ospf|sharp|static|table> [metric (0-16)] [route-map WORD]
  - configuration command
- redistribute <babel|bgp|connected|isis|kernel|openfabric|ospf|rip|sharp|static|table> [metric (1-4294967295) (0-4294967295) (0-255) (1-255) (1-65535)]
  - configuration command
- redistribute <babel|bgp|connected|isis|kernel|openfabric|ripng|sharp|static|table> [metric-type (1-2)] [metric (0-16777214)] [route-map WORD]
  - configuration command
- redistribute <babel|connected|eigrp|isis|kernel|openfabric|ospf|ospf6|rip|ripng|sharp|static> [metric (0-4294967295)] [route-map WORD]
  - configuration command
- redistribute <ipv4 | ipv6> table (1-65535) <level-1 | level-2> [metric (0-16777215)|route-map WORD]
  - configuration command
- redistribute <ipv4|ipv6> KIND
  - configuration command
- redistribute <table|table-direct> (1-65535)] [metric (0-4294967295)] [route-map WORD]
  - configuration command
- redistribute vnc-direct
  - configuration command
- register-accept-list PLIST
  - configuration command
- register-suppress-time (1-65535)
  - configuration command, [1]
- res-bw BANDWIDTH
  - configuration command
- resilient buckets (1-256) idle-timer (1-4294967295) unbalanced-timer (1-4294967295)
  - configuration command
- response-lifetime LIFETIME|infinite
  - configuration command
- RFC
  - RFC 1058
  - RFC 1195
  - RFC 1227
  - RFC 1583
  - RFC 1657
  - RFC 1724
  - RFC 1771, [1], [2]
  - RFC 1850
  - RFC 1930, [1]
  - RFC 1965
  - RFC 1997, [1]
  - RFC 1998, [1]
  - RFC 2080, [1]
  - RFC 2082
  - RFC 2283
  - RFC 2328, [1], [2], [3]
  - RFC 2332
  - RFC 2370
  - RFC 2385
  - RFC 2439, [1]
  - RFC 2453
  - RFC 2462
  - RFC 2545
  - RFC 2740, [1]
  - RFC 2741, [1]
  - RFC 2796
  - RFC 2842, [1]
  - RFC 2858, [1], [2]
  - RFC 2918
  - RFC 3031
  - RFC 3101
  - RFC 3107, [1], [2]
  - RFC 3137, [1]
  - RFC 3164, [1]
  - RFC 3277, [1]
  - RFC 3345
  - RFC 3509, [1]
  - RFC 3765, [1]
  - RFC 3768, [1]
  - RFC 4191
  - RFC 4271, [1], [2]
  - RFC 4273, [1]
  - RFC 4360
  - RFC 4364, [1], [2], [3], [4]
  - RFC 4382
  - RFC 4447, [1]
  - RFC 4456
  - RFC 4486
  - RFC 4659, [1], [2], [3], [4]
  - RFC 4724
  - RFC 4760
  - RFC 4762
  - RFC 4861
  - RFC 4893
  - RFC 4970
  - RFC 5004
  - RFC 5036, [1]
  - RFC 5065
  - RFC 5082
  - RFC 5088
  - RFC 5250
  - RFC 5291
  - RFC 5292
  - RFC 5303
  - RFC 5308
  - RFC 5392
  - RFC 5396
  - RFC 5424
  - RFC 5440
  - RFC 5492
  - RFC 5512
  - RFC 5549
  - RFC 5561, [1]
  - RFC 5575, [1], [2]
  - RFC 5668
  - RFC 5701, [1]
  - RFC 5798, [1], [2]
  - RFC 5880, [1], [2]
  - RFC 5881, [1]
  - RFC 5882, [1]
  - RFC 5883, [1], [2], [3]
  - RFC 5918
  - RFC 5919, [1]
  - RFC 6126
  - RFC 6232, [1]
  - RFC 6275
  - RFC 6286
  - RFC 6472
  - RFC 6608
  - RFC 6667, [1]
  - RFC 6720, [1]
  - RFC 6810, [1]
  - RFC 6811, [1]
  - RFC 6938
  - RFC 6996
  - RFC 7196
  - RFC 7300
  - RFC 7311
  - RFC 7313
  - RFC 7432, [1], [2]
  - RFC 7552, [1], [2]
  - RFC 7606
  - RFC 7607, [1]
  - RFC 7611, [1]
  - RFC 7854, [1]
  - RFC 7880, [1]
  - RFC 7881
  - RFC 7911
  - RFC 7938
  - RFC 7947
  - RFC 7999, [1]
  - RFC 8050
  - RFC 8092, [1]
  - RFC 8093
  - RFC 8097
  - RFC 8106
  - RFC 8195, [1]
  - RFC 8203
  - RFC 8212
  - RFC 8277, [1]
  - RFC 8326, [1]
  - RFC 8365
  - RFC 8538
  - RFC 8584
  - RFC 8654
  - RFC 9003
  - RFC 9012
  - RFC 9072
  - RFC 9135
  - RFC 9136, [1]
  - RFC 9234, [1], [2]
  - RFC 9256
  - RFC 9384
  - RFC 9494
  - RFC 9687
  - RFC 9774

- rfcs
  - FRR
- rfp example-config-value VALUE
  - configuration command
- route A.B.C.D/M
  - configuration command
- route NETWORK
  - configuration command
- route-map ROUTE-MAP-NAME (permit|deny) ORDER
  - configuration command
- route-map ROUTE-MAP-NAME optimization
  - configuration command
- route-map vpn import|export MAP
  - configuration command
- route-target <import|export|both> <RTLIST|auto>
  - configuration command
- router babel
  - configuration command
- router bgp AS-NUMBER view NAME
  - configuration command
- router bgp ASN
  - configuration command
- router bgp ASN as-notation dot|dot+|plain
  - configuration command
- router bgp ASN vrf VRFNAME
  - configuration command
- router eigrp (1-65535) [vrf NAME]
  - configuration command
- router isis WORD [vrf NAME]
  - configuration command
- router openfabric WORD
  - configuration command
- router ospf [{(1-65535)|vrf NAME}]
  - configuration command
- router ospf6 [vrf NAME]
  - configuration command
- router pim [vrf NAME]
  - configuration command
- router pim6 [vrf NAME]
  - configuration command
- router rip [vrf NAME]
  - configuration command
- router ripng [vrf NAME]
  - configuration command
- router-id A.B.C.D
  - configuration command
- router-info [as | area]
  - configuration command
- rp A.B.C.D A.B.C.D/M
  - configuration command
- rp keep-alive-timer (1-65535)
  - configuration command, [1]
- rp X:X::X:X prefix-list WORD
  - configuration command
- rp X:X::X:X Y:Y::Y:Y/M
  - configuration command
- rpf-lookup-mode MODE [group-list PREFIX_LIST] [source-list PREFIX_LIST]
  - configuration command
- rpki
  - configuration command
- rpki cache ssh HOST PORT SSH_USERNAME SSH_PRIVKEY_PATH [KNOWN_HOSTS_PATH] [source A.B.C.D] preference (1-255)
  - configuration command
- rpki cache tcp HOST PORT [source A.B.C.D] preference (1-255)
  - configuration command
- rpki expire_interval (600-172800)
  - configuration command
- rpki polling_period (1-3600)
  - configuration command
- rpki retry_interval (1-7200)
  - configuration command
- rt both RT-LIST
  - configuration command
- rt both RT-TARGET
  - configuration command
- rt export RT-LIST
  - configuration command
- rt export RT-TARGET
  - configuration command
- rt import RT-LIST
  - configuration command
- rt import RT-TARGET
  - configuration command
- rt redirect import RTLIST...
  - configuration command
- rt vpn import|export|both RTLIST...
  - configuration command

## S

- Sample output:
  - configuration command
- sbfd reflector source-address 200::D discriminator 456
  - configuration command, [1]
- segment-list NAME
  - configuration command
- segment-routing
  - configuration command, [1], [2]
- segment-routing global-block (16-1048575) (16-1048575) [local-block (16-1048575) (16-1048575)]
  - configuration command, [1]
- segment-routing node-msd (1-16)
  - configuration command, [1]
- segment-routing on
  - configuration command, [1]
- segment-routing prefix <A.B.C.D/M|X:X::X:X/M> [algorithm (128-255)] <absolute (16-1048575)|index (0-65535) [no-php-flag|explicit-null] [n-flag-clear]
  - configuration command
- segment-routing prefix A.B.C.D/M [index (0-65535)|no-php-flag|explicit-null]
  - configuration command
- segment-routing srv6
  - configuration command, [1]
- send-v6-secondary
  - configuration command
- service advanced-vty
  - configuration command
- service cputime-stats
  - configuration command
- service cputime-warning (1-4294967295)
  - configuration command
- service integrated-vtysh-config
  - configuration command
- service password-encryption
  - configuration command
- service terminal-length (0-512)
  - configuration command
- service walltime-warning (1-4294967295)
  - configuration command
- Set Actions
- set aigp-metric <igp-metric|(0-4294967295)>
  - configuration command
- set as-path exclude all
  - configuration command
- set as-path exclude AS-NUMBER...
  - configuration command
- set as-path exclude as-path-access-list WORD
  - configuration command
- set as-path prepend AS-PATH
  - configuration command
- set as-path prepend AS_PATH
  - configuration command
- set as-path prepend last-as NUM
  - configuration command
- set as-path replace <any|ASN> [<ASN>]
  - configuration command
- set as-path replace as-path-access-list WORD [<ASN>]
  - configuration command
- set comm-list WORD delete
  - configuration command
- set community <none|COMMUNITY> additive
  - configuration command
- set community COMMUNITY
  - configuration command
- set distance (1-255)
  - configuration command
- set dscp DSCP
  - configuration command
- set dst-ip [A.B.C.D/M|X:X::X:X/M]
  - configuration command
- set dst-port (1-65535)
  - configuration command
- set ecn (0-3)
  - configuration command
- set evpn gateway-ip <ipv4|ipv6> <addr>
  - configuration command
- set extcommunity bandwidth <(1-25600) | cumulative | num-multipaths> [non-transitive]
  - configuration command
- set extcommunity none
  - configuration command
- set extcommunity nt EXTCOMMUNITY
  - configuration command
- set extcommunity rt EXTCOMMUNITY
  - configuration command
- set extcommunity soo EXTCOMMUNITY
  - configuration command
- set extcomumnity color EXTCOMMUNITY
  - configuration command
- set extended-comm-list <EXTCOMMUNITY_LIST_NAME> delete
  - configuration command
- set ip next-hop A.B.C.D
  - configuration command
- set ip next-hop IPV4_ADDRESS
  - configuration command
- set ip next-hop peer-address
  - configuration command
- set ip next-hop unchanged
  - configuration command
- set ipv6 next-hop global IPV6_ADDRESS
  - configuration command
- set ipv6 next-hop local IPV6_ADDRESS
  - configuration command, [1]
- set ipv6 next-hop peer-address
  - configuration command
- set ipv6 next-hop prefer-global
  - configuration command
- set l3vpn next-hop encapsulation gre
  - configuration command, [1]
- set large-community LARGE-COMMUNITY
  - configuration command
- set large-community LARGE-COMMUNITY additive
  - configuration command
- set large-community LARGE-COMMUNITY LARGE-COMMUNITY
  - configuration command
- set local-preference +LOCAL_PREF
  - configuration command
- set local-preference -LOCAL_PREF
  - configuration command
- set local-preference LOCAL_PREF
  - configuration command
- set max-metric <(0-4294967295)>
  - configuration command
- set metric (0-4294967295)
  - configuration command
- set metric (1-16)
  - configuration command
- set metric <[+|-](1-4294967295)|rtt|+rtt|-rtt|igp|aigp>
  - configuration command
- set metric [+|-](0-4294967295)
  - configuration command, [1]
- set min-metric <(0-4294967295)>
  - configuration command
- set nexthop [A.B.C.D|X:X::X:XX|blackhole] [interface] [nexthop-vrf NAME]
  - configuration command
- set nexthop-group NAME
  - configuration command
- set origin ORIGIN <egp|igp|incomplete>
  - configuration command
- set pcp (0-7)
  - configuration command
- set queue-id (1-65535)
  - configuration command
- set sr-te color (1-4294967295)
  - configuration command
- set src ADDRESS
  - configuration command
- set src-ip [A.B.C.D/M|X:X::X:X/M]
  - configuration command
- set src-port (1-65535)
  - configuration command
- set table (1-4294967295)
  - configuration command
- set tag <untagged|(1-4294967295)>
  - configuration command, [1]
- set vlan (1-4094)
  - configuration command
- set vrf unchanged|NAME
  - configuration command
- set weight WEIGHT
  - configuration command
- set-overload-bit
  - configuration command, [1]
- set-overload-bit on-startup (0-86400)
  - configuration command
- sharp create session (1-1024)
  - configuration command
- sharp data nexthop
  - configuration command
- sharp data route
  - configuration command
- sharp import-te
  - configuration command
- sharp install routes A.B.C.D <nexthop <E.F.G.H|X:X::X:X>|nexthop-group NAME> (1-1000000) [instance (0-255)] [repeat (2-1000)] [opaque WORD]
  - configuration command
- sharp install seg6-routes [vrf NAME] <A.B.C.D|X:X::X:X> nexthop-seg6 X:X::X:X encap X:X::X:X (1-1000000)
  - configuration command
- sharp install seg6local-routes [vrf NAME] X:X::X:X nexthop-seg6local NAME ACTION ARGS.. (1-1000000)
  - configuration command
- sharp interface IFNAME protodown
  - configuration command
- sharp label <ipv4|ipv6> vrf NAME label (0-1000000)
  - configuration command
- sharp lsp [update] (0-100000) nexthop-group NAME [prefix A.B.C.D/M TYPE [instance (0-255)]]
  - configuration command
- sharp neigh discover [vrf NAME] <A.B.C.D|X:X::X:X> IFNAME
  - configuration command
- sharp remove lsp (0-100000) nexthop-group NAME [prefix A.B.C.D/M TYPE [instance (0-255)]]
  - configuration command
- sharp remove routes A.B.C.D (1-1000000)
  - configuration command
- sharp remove session (1-1024)
  - configuration command
- sharp send opaque <reg | unreg> PROTOCOL [{instance (0-1000) | session (1-1000)}] type (1-1000)
  - configuration command
- sharp send opaque type (1-255) (1-1000)
  - configuration command
- sharp send opaque unicast type (1-255) PROTOCOL [{instance (0-1000) | session (1-1000)}] (1-1000)
  - configuration command
- sharp srv6-manager get-locator-chunk
  - configuration command
- sharp srv6-manager release-locator-chunk
  - configuration command
- sharp watch <nexthop <A.B.C.D|X:X::X:X>|import <A.B.C.D/M:X:X::X:X/M> [connected]
  - configuration command
- sharp watch [vrf NAME] redistribute ROUTETYPE
  - configuration command
- sharp watch [vrf VRF_NAME] neighbor
  - configuration command
- show <ip|ipv6> access-list [json]
  - configuration command
- show <ip|ipv6> access-list WORD [json]
  - configuration command
- show <ip|ipv6> route summary [vrf VRF] [table TABLENO] [prefix]
  - configuration command
- show <ip|ipv6> zebra route dump [<vrf> VRFNAME]
  - configuration command
- show [ip] bgp <ipv4|ipv6> [all] community [wide|json]
  - configuration command
- show [ip] bgp <ipv4|ipv6> [all] community COMMUNITY [wide|json]
  - configuration command
- show [ip] bgp <ipv4|ipv6> [all] community COMMUNITY exact-match [wide|json]
  - configuration command
- show [ip] bgp <ipv4|ipv6> community-list WORD [json]
  - configuration command
- show [ip] bgp <ipv4|ipv6> community-list WORD exact-match [json]
  - configuration command
- show [ip] bgp <ipv4|ipv6> large-community
  - configuration command
- show [ip] bgp <ipv4|ipv6> large-community LARGE-COMMUNITY
  - configuration command
- show [ip] bgp <ipv4|ipv6> large-community LARGE-COMMUNITY exact-match
  - configuration command
- show [ip] bgp <ipv4|ipv6> large-community LARGE-COMMUNITY json
  - configuration command
- show [ip] bgp <ipv4|ipv6> large-community-list WORD
  - configuration command
- show [ip] bgp <ipv4|ipv6> large-community-list WORD exact-match
  - configuration command
- show [ip] bgp <ipv4|ipv6> large-community-list WORD json
  - configuration command
- show [ip] bgp <view|vrf> all nexthop [json]
  - configuration command
- show [ip] bgp [<view|vrf> VIEWVRFNAME] [afi] [safi] detail [json]
  - configuration command
- show [ip] bgp [<view|vrf> VIEWVRFNAME] import-check-table [detail] [json]
  - configuration command
- show [ip] bgp [<view|vrf> VIEWVRFNAME] nexthop [<A.B.C.D|X:X::X:X>] [detail] [json]
  - configuration command
- show [ip] bgp [<view|vrf> VIEWVRFNAME] nexthop ipv4 [A.B.C.D] [detail] [json]
  - configuration command
- show [ip] bgp [<view|vrf> VIEWVRFNAME] nexthop ipv6 [X:X::X:X] [detail] [json]
  - configuration command
- show [ip] bgp [afi] [safi] [all] <A.B.C.D/M|X:X::X:X/M> longer-prefixes [wide|json]
  - configuration command
- show [ip] bgp [afi] [safi] [all] access-list WORD [wide|json]
  - configuration command
- show [ip] bgp [afi] [safi] [all] cidr-only [wide|json]
  - configuration command
- show [ip] bgp [afi] [safi] [all] detail-routes [internal]
  - configuration command
- show [ip] bgp [afi] [safi] [all] filter-list WORD [wide|json]
  - configuration command
- show [ip] bgp [afi] [safi] [all] neighbors A.B.C.D [advertised-routes|received-routes|filtered-routes] [<A.B.C.D/M|X:X::X:X/M> | detail] [json|wide]
  - configuration command
- show [ip] bgp [afi] [safi] [all] prefix-list WORD [wide|json]
  - configuration command
- show [ip] bgp [afi] [safi] [all] route-map WORD [wide|json]
  - configuration command
- show [ip] bgp [afi] [safi] [all] self-originate [wide|json]
  - configuration command
- show [ip] bgp [all] summary [wide] [json]
  - configuration command
- show [ip] bgp ipv4 vpn
  - configuration command
- show [ip] bgp ipv6 vpn
  - configuration command
- show [ip] bgp peer-group [json]
  - configuration command
- show [ip] bgp regexp LINE
  - configuration command
- show [ip] bgp view NAME
  - configuration command
- show [ip] router-id [vrf NAME]
  - configuration command
- show [ip|ipv6] nhrp cache [json]
  - configuration command
- show [ip|ipv6] nhrp nhs [json]
  - configuration command
- show [ip|ipv6] nhrp opennhrp [json]
  - configuration command
- show [ip|ipv6] route
  - configuration command
- show [ip|ipv6] route [PREFIX] [nexthop-group]
  - configuration command
- show [ip|ipv6] route [vrf NAME|all|table TABLENO] [A.B.C.D|A.B.C.D/M|X:X::X:X|X:X::X:X/M] [json] [nexthop-group]
  - configuration command
- show [ip|ipv6] route summary
  - configuration command
- show [ip|ipv6] rpf
  - configuration command
- show [ip|ipv6] rpf ADDR
  - configuration command
- show babel interface
  - configuration command
- show babel interface IFNAME
  - configuration command
- show babel neighbor
  - configuration command
- show babel parameters
  - configuration command
- show babel route
  - configuration command
- show babel route A.B.C.D
  - configuration command
- show babel route A.B.C.D/M
  - configuration command
- show babel route X:X::X:X
  - configuration command
- show babel route X:X::X:X/M
  - configuration command
- show bfd [vrf NAME] peer <WORD|<A.B.C.D|X:X::X:X> [{multihop|local-address <A.B.C.D|X:X::X:X>|interface IFNAME}]> [json]
  - configuration command
- show bfd [vrf NAME] peers [json]
  - configuration command
- show bfd [vrf NAME] peers brief [json]
  - configuration command
- show bfd bfd-name a-b-d
  - configuration command
- show bfd distributed
  - configuration command
- show bfd peers
  - configuration command
- show bfd peers counters
  - configuration command
- show bfd static route [json]
  - configuration command
- show bgp <afi> <safi> neighbors WORD bestpath-routes [detail] [json] [wide]
  - configuration command
- show bgp [<ipv4|ipv6> <unicast|multicast|vpn|labeled-unicast|flowspec> | l2vpn evpn]
  - configuration command
- show bgp [<ipv4|ipv6> vpn | l2vpn evpn [route]] rd <all|RD>
  - configuration command
- show bgp [<ipv4|ipv6>] [<view|vrf> VRF] neighbors [<A.B.C.D|X:X::X:X|WORD>] graceful-restart [json]
  - configuration command
- show bgp [<view|vrf> VIEWVRFNAME] [afi] [safi] neighbors PEER received prefix-filter [json]
  - configuration command
- show bgp [afi] [safi] [all] [wide|json]
  - configuration command
- show bgp [afi] [safi] [all] alias WORD [wide|json]
  - configuration command
- show bgp [afi] [safi] [all] dampening dampened-paths [wide|json]
  - configuration command
- show bgp [afi] [safi] [all] dampening flap-statistics [wide|json]
  - configuration command
- show bgp [afi] [safi] [all] dampening parameters [json]
  - configuration command
- show bgp [afi] [safi] [all] summary [json]
  - configuration command
- show bgp [afi] [safi] [all] summary established [json]
  - configuration command
- show bgp [afi] [safi] [all] summary failed [json]
  - configuration command
- show bgp [afi] [safi] [all] summary neighbor [PEER] [json]
  - configuration command
- show bgp [afi] [safi] [all] summary remote-as <internal|external|ASN> [json]
  - configuration command
- show bgp [afi] [safi] [all] summary terse [json]
  - configuration command
- show bgp [afi] [safi] [all] version (1-4294967295) [wide|json]
  - configuration command
- show bgp [afi] [safi] [neighbor [PEER] [routes|advertised-routes|received-routes] [<A.B.C.D/M|X:X::X:X/M> | detail] [json]
  - configuration command
- show bgp [afi] [safi] statistics
  - configuration command
- show bgp [all] [wide|json [detail]]
  - configuration command
- show bgp [vrf NAME] [afi] [safi] <A.B.C.D|A.B.C.D/M|X:X::X:X|X:X::X:X/M> rpki <valid|invalid|notfound>
  - configuration command
- show bgp [vrf NAME] [afi] [safi] rpki <valid|invalid|notfound>
  - configuration command
- show bgp as-path-access-list [json]
  - configuration command
- show bgp as-path-access-list WORD [json]
  - configuration command
- show bgp attribute-info [summary]
  - configuration command
- show bgp community-list [NAME detail]
  - configuration command
- show bgp extcommunity-list [NAME detail]
  - configuration command
- show bgp ipv4 flowspec [detail | A.B.C.D]
  - configuration command
- show bgp ipv4 vpn summary
  - configuration command
- show bgp ipv4|ipv6 regexp LINE
  - configuration command
- show bgp ipv6 flowspec [detail | A:B::C:D]
  - configuration command
- show bgp ipv6 vpn summary
  - configuration command
- show bgp l2vpn evpn rd <all|RD> [overlay | tags]
  - configuration command
- show bgp l2vpn evpn route [detail] [type <ead|1|macip|2|multicast|3|es|4|prefix|5>] self-originate [json]
  - configuration command
- show bgp l2vpn evpn route [type <macip|2|multicast|3|es|4|prefix|5>]
  - configuration command
- show bgp l2vpn evpn route rd <all|RD> mac <MAC> [ip <MAC>] [json]
  - configuration command
- show bgp labelpool <chunks|inuse|ledger|requests|summary> [json]
  - configuration command
- show bgp large-community-list
  - configuration command
- show bgp large-community-list NAME detail
  - configuration command
- show bgp listeners
  - configuration command
- show bgp router [json]
  - configuration command
- show bgp segment-routing srv6
  - configuration command
- show bgp statistics-all
  - configuration command
- show bgp update-groups [advertise-queue|advertised-routes|packet-queue]
  - configuration command
- show bgp update-groups statistics
  - configuration command
- show bgp vni <all|VNI> [vtep VTEP] [type <ead|1|macip|2|multicast|3>] [<detail|json>]
  - configuration command
- show bgp vrfs [<VRFNAME$vrf_name>] [json]
  - configuration command
- show bgp X:X::X:X [json]
  - configuration command
- show configuration running [<json|xml> [translate WORD]] [with-defaults] DAEMON
  - configuration command
- show debug
  - configuration command
- show debugging eigrp
  - configuration command
- show debugging isis
  - configuration command
- show debugging label-table [json]
  - configuration command
- show debugging openfabric
  - configuration command
- show debugging ospf
  - configuration command
- show debugging rip
  - configuration command
- show debugging ripng
  - configuration command
- show dmvpn [json]
  - configuration command
- show dplane dpdk counters
  - configuration command
- show dplane dpdk pbr flows
  - configuration command
- show dplane dpdk port [detail]
  - configuration command
- show event cpu [r|w|t|e|x]
  - configuration command
- show event poll
  - configuration command
- show event timers
  - configuration command
- show evpn access-vlan [IFNAME VLAN-ID | detail] [json]
  - configuration command
- show evpn mac vni (1-16777215) detail [json]
  - configuration command
- show fpm counters [json]
  - configuration command
- show fpm status [json]
  - configuration command
- show history
  - configuration command
- show interface [NAME] [{vrf all|brief}] [json]
  - configuration command
- show interface [NAME] [{vrf all|brief}] [nexthop-group]
  - configuration command
- show interface [NAME] [{vrf VRF|brief}] [json]
  - configuration command
- show interface [NAME] [{vrf VRF|brief}] [nexthop-group]
  - configuration command
- show ip bgp [all] [wide|json [detail]]
  - configuration command
- show ip bgp A.B.C.D [json]
  - configuration command
- show ip bgp large-community-info
  - configuration command
- show ip eigrp [vrf NAME] interface
  - configuration command
- show ip eigrp [vrf NAME] neighbor
  - configuration command
- show ip eigrp [vrf NAME] topology
  - configuration command
- show ip forward
  - configuration command
- show ip igmp [vrf NAME] groups [INTERFACE [GROUP]] [detail] [json]
  - configuration command
- show ip igmp [vrf NAME] join [json]
  - configuration command
- show ip igmp [vrf NAME] proxy [json]
  - configuration command
- show ip igmp [vrf NAME] sources [json]
  - configuration command
- show ip igmp groups retransmissions
  - configuration command
- show ip igmp interface
  - configuration command
- show ip igmp sources retransmissions
  - configuration command
- show ip igmp statistics
  - configuration command
- show ip mroute [vrf NAME] [A.B.C.D [A.B.C.D]] [fill] [json]
  - configuration command
- show ip mroute [vrf NAME] count [json]
  - configuration command
- show ip mroute [vrf NAME] summary [json]
  - configuration command
- show ip mroute vrf all count [json]
  - configuration command
- show ip mroute vrf all summary [json]
  - configuration command
- show ip msdp mesh-group
  - configuration command
- show ip msdp peer
  - configuration command
- show ip multicast
  - configuration command
- show ip multicast count [vrf NAME] [json]
  - configuration command
- show ip multicast count vrf all [json]
  - configuration command
- show ip neigh
  - configuration command
- show ip nht [vrf NAME] [A.B.C.D|X:X::X:X] [mrib] [json]
  - configuration command

- show ip nht route-map [vrf <NAME|all>] [json]
  - configuration command
- show ip ospf (1-65535) reachable-routers
  - configuration command
- show ip ospf [vrf <NAME|all>] [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] border-routers [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] database (asbr-summary|external|network|router|summary|nssa-external|opaque-link|opaque-area|opaque-as) [LINK-STATE-ID] [adv-router A.B.C.D] [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] database (asbr-summary|external|network|router|summary|nssa-external|opaque-link|opaque-area|opaque-as) [LINK-STATE-ID] [self-originate] [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external)
  - configuration command
- show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external) adv-router ADV-ROUTER
  - configuration command
- show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external) LINK-STATE-ID
  - configuration command
- show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external) LINK-STATE-ID adv-router ADV-ROUTER
  - configuration command
- show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external) LINK-STATE-ID self-originate
  - configuration command
- show ip ospf [vrf <NAME|all>] database (opaque-link|opaque-area|opaque-external) self-originate
  - configuration command
- show ip ospf [vrf <NAME|all>] database [self-originate] [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] database detail [LINK-STATE-ID] [adv-router A.B.C.D] [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] database detail [LINK-STATE-ID] [self-originate] [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] database max-age [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] neighbor A.B.C.D [detail] [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] neighbor INTERFACE [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] neighbor INTERFACE detail [json]
  - configuration command
- show ip ospf [vrf <NAME|all>] reachable-routers
  - configuration command
- show ip ospf [vrf <NAME|all>] summary-address [detail] [json]
  - configuration command
- show ip ospf [{(1-65535)|vrf <NAME|all>}] graceful-restart helper [detail] [json]
  - configuration command
- show ip ospf database segment-routing <adv-router ADVROUTER|self-originate> [json]
  - configuration command
- show ip ospf interface [INTERFACE] [json]
  - configuration command
- show ip ospf mpls-te database [verbose|json]
  - configuration command
- show ip ospf mpls-te database edge [A.B.C.D] [verbose|json]
  - configuration command
- show ip ospf mpls-te database subnet [A.B.C.D/M] [verbose|json]
  - configuration command
- show ip ospf mpls-te database vertex [self-originate|adv-router ADV-ROUTER] [verbose|json]
  - configuration command
- show ip ospf mpls-te interface
  - configuration command
- show ip ospf mpls-te interface INTERFACE
  - configuration command
- show ip ospf mpls-te router
  - configuration command
- show ip ospf neighbor [json]
  - configuration command
- show ip ospf neighbor detail [json]
  - configuration command
- show ip ospf route [detail] [json]
  - configuration command
- show ip ospf router-info
  - configuration command
- show ip ospf router-info pce
  - configuration command
- show ip pim [vrf NAME] autorp [json]
  - configuration command
- show ip pim [vrf NAME] mlag upstream [A.B.C.D [A.B.C.D]] [json]
  - configuration command
- show ip pim [vrf NAME] nexthop-lookup ADDR [GROUP]
  - configuration command
- show ip pim [vrf NAME] rp-info [A.B.C.D/M] [json]
  - configuration command
- show ip pim [vrf NAME] upstream [A.B.C.D [A.B.C.D]] [json]
  - configuration command
- show ip pim assert
  - configuration command
- show ip pim assert-internal
  - configuration command
- show ip pim assert-metric
  - configuration command
- show ip pim assert-winner-metric
  - configuration command
- show ip pim bsm-database [vrf NAME] [json]
  - configuration command
- show ip pim bsr [vrf NAME] [json]
  - configuration command
- show ip pim bsr candidate-bsr [vrf NAME] [json]
  - configuration command
- show ip pim bsr candidate-rp [vrf NAME] [json]
  - configuration command
- show ip pim bsr candidate-rp-database [vrf NAME] [json]
  - configuration command
- show ip pim bsr groups [vrf NAME] [json]
  - configuration command
- show ip pim bsr rp-info [vrf NAME] [json]
  - configuration command
- show ip pim group-type
  - configuration command
- show ip pim interface
  - configuration command
- show ip pim join
  - configuration command
- show ip pim local-membership
  - configuration command
- show ip pim mlag [vrf NAME|all] interface [detail|WORD] [json]
  - configuration command
- show ip pim mlag summary
  - configuration command
- show ip pim mlag summary [json]
  - configuration command
- show ip pim neighbor
  - configuration command
- show ip pim nexthop
  - configuration command
- show ip pim nexthop-lookup
  - configuration command
- show ip pim rpf
  - configuration command
- show ip pim secondary
  - configuration command
- show ip pim state
  - configuration command
- show ip pim upstream-join-desired
  - configuration command
- show ip pim upstream-rpf
  - configuration command
- show ip prefix-list [json]
  - configuration command
- show ip prefix-list [NAME]
  - configuration command
- show ip prefix-list detail [json]
  - configuration command
- show ip prefix-list detail NAME [json]
  - configuration command
- show ip prefix-list NAME [json]
  - configuration command
- show ip prefix-list NAME A.B.C.D/M
  - configuration command
- show ip prefix-list NAME A.B.C.D/M first-match
  - configuration command
- show ip prefix-list NAME A.B.C.D/M longer
  - configuration command
- show ip prefix-list NAME seq NUM [json]
  - configuration command
- show ip prefix-list summary [json]
  - configuration command
- show ip prefix-list summary NAME [json]
  - configuration command
- show ip protocol
  - configuration command
- show ip rip [vrf NAME]
  - configuration command
- show ip rip [vrf NAME] status
  - configuration command
- show ip route table TABLEID
  - configuration command
- show ip route vrf VRF
  - configuration command
- show ip route vrf VRF table TABLENO
  - configuration command
- show ip route vrf VRF tables
  - configuration command
- show ipv6 forward
  - configuration command
- show ipv6 mld [vrf NAME] groups [json]
  - configuration command
- show ipv6 mld [vrf NAME] interface [IFNAME] [detail|json]
  - configuration command
- show ipv6 mld [vrf NAME] joins [{interface IFNAME|groups X:X::X:X/M|sources X:X::X:X/M|detail}] [json]
  - configuration command
- show ipv6 mld [vrf NAME] statistics [interface IFNAME] [json]
  - configuration command
- show ipv6 mroute [vrf NAME] [X:X::X:X [X:X::X:X]] [fill] [json]
  - configuration command
- show ipv6 mroute [vrf NAME] count [json]
  - configuration command
- show ipv6 mroute [vrf NAME] summary [json]
  - configuration command
- show ipv6 mroute vrf all count [json]
  - configuration command
- show ipv6 mroute vrf all summary [json]
  - configuration command
- show ipv6 multicast
  - configuration command
- show ipv6 multicast count [vrf NAME] [json]
  - configuration command
- show ipv6 multicast count vrf all [json]
  - configuration command
- show ipv6 nd ra-interfaces [vrf <VRFNAME|all>]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] database <router|network|inter-prefix|inter-router|as-external|group-membership|type-7|link|intra-prefix> [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] database [<detail|dump|internal>] [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] database adv-router A.B.C.D linkstate-id A.B.C.D [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] database self-originated [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] interface [IFNAME] prefix [detail|<X:X::X:X|X:X::X:X/M> [<match|detail>]] [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] interface [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] interface traffic [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] neighbor [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] redistribute [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] route [<intra-area|inter-area|external-1|external-2|X:X::X:X|X:X::X:X/M|detail|summary>] [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] route X:X::X:X/M match [detail] [json]
  - configuration command
- show ipv6 ospf6 [vrf <NAME|all>] spf tree [json]
  - configuration command
- show ipv6 ospf6 graceful-restart helper [detail] [json]
  - configuration command
- show ipv6 ospf6 summary-address [detail] [json]
  - configuration command
- show ipv6 ospf6 zebra [json]
  - configuration command
- show ipv6 pim [vrf NAME] group-type [json]
  - configuration command
- show ipv6 pim [vrf NAME] interface traffic [WORD] [json]
  - configuration command
- show ipv6 pim [vrf NAME] join [X:X::X:X [X:X::X:X]] [json]
  - configuration command
- show ipv6 pim [vrf NAME] local-membership [json]
  - configuration command
- show ipv6 pim [vrf NAME] neighbor [detail|WORD] [json]
  - configuration command
- show ipv6 pim [vrf NAME] nexthop
  - configuration command
- show ipv6 pim [vrf NAME] nexthop-lookup X:X::X:X X:X::X:X
  - configuration command
- show ipv6 pim [vrf NAME] rp-info [json]
  - configuration command
- show ipv6 pim [vrf NAME] rpf [json]
  - configuration command
- show ipv6 pim [vrf NAME] secondary
  - configuration command
- show ipv6 pim [vrf NAME] state [X:X::X:X [X:X::X:X]] [json]
  - configuration command
- show ipv6 pim [vrf NAME] upstream [X:X::X:X [Y:Y::Y:Y]] [json]
  - configuration command
- show ipv6 pim [vrf NAME] upstream-join-desired [json]
  - configuration command
- show ipv6 pim [vrf NAME] upstream-rpf [json]
  - configuration command
- show ipv6 pim bsm-database [vrf NAME] [json]
  - configuration command
- show ipv6 pim bsr [vrf NAME] [json]
  - configuration command
- show ipv6 pim bsr candidate-bsr [vrf NAME] [json]
  - configuration command
- show ipv6 pim bsr candidate-rp [vrf NAME] [json]
  - configuration command
- show ipv6 pim bsr candidate-rp-database [vrf NAME] [json]
  - configuration command
- show ipv6 pim bsr groups [vrf NAME] [json]
  - configuration command
- show ipv6 pim bsr rp-info [vrf NAME] [json]
  - configuration command
- show ipv6 pim interface
  - configuration command
- show ipv6 pim vrf all join [json]
  - configuration command
- show ipv6 pim vrf all neighbor [detail|WORD] [json]
  - configuration command
- show ipv6 pim vrf all rp-info [json]
  - configuration command
- show ipv6 pim vrf all rpf [json]
  - configuration command
- show ipv6 pim vrf all state [X:X::X:X [X:X::X:X]] [json]
  - configuration command
- show ipv6 pim vrf all upstream [json]
  - configuration command
- show ipv6 ripng [vrf NAME] status
  - configuration command
- show ipv6 route ospf6
  - configuration command
- show ipv6 router-id [vrf NAME]
  - configuration command
- show isis [vrf <NAME|all>] database [detail] [LSPID] [json]
  - configuration command
- show isis [vrf <NAME|all>] fast-reroute summary [level-1|level-2]
  - configuration command
- show isis [vrf <NAME|all>] hostname
  - configuration command
- show isis [vrf <NAME|all>] interface [detail] [IFNAME] [json]
  - configuration command
- show isis [vrf <NAME|all>] mpls-te database [detail|json]
  - configuration command
- show isis [vrf <NAME|all>] mpls-te database edge [A.B.C.D|X:X::X:X] [detail|json]
  - configuration command
- show isis [vrf <NAME|all>] mpls-te database subnet [A.B.C.D/M|X:X::X:X/M] [detail|json]
  - configuration command
- show isis [vrf <NAME|all>] mpls-te database vertex [WORD] [detail|json]
  - configuration command
- show isis [vrf <NAME|all>] neighbor [detail] [SYSTEMID] [json]
  - configuration command
- show isis [vrf <NAME|all>] route [level-1|level-2] [prefix-sid] [backup] [algorithm [(128-255)]]
  - configuration command
- show isis [vrf <NAME|all>] summary [json]
  - configuration command
- show isis [vrf <NAME|all>] topology [level-1|level-2] [algorithm [(128-255)]]
  - configuration command
- show isis flex-algo [(128-255)]
  - configuration command
- show isis mpls-te interface
  - configuration command
- show isis mpls-te interface INTERFACE
  - configuration command
- show isis mpls-te router
  - configuration command
- show isis segment-routing node [algorithm [(128-255)]]
  - configuration command
- show isis segment-routing srv6 node
  - configuration command
- show log-filter
  - configuration command
- show logging
  - configuration command
- show memory [DAEMON]
  - configuration command
- show memory vnc
  - configuration command
- show mgmt backend-adapter all
  - configuration command
- show mgmt backend-yang-xpath-registry
  - configuration command
- show mgmt commit-history
  - configuration command
- show mgmt datastore-contents [candidate|operation|running] [xpath WORD] [file WORD] json|xml
  - configuration command
- show mgmt frontend-adapter all [detail]
  - configuration command
- show mgmt get-data [candidate|operation|running] XPATH
  - configuration command
- show mgmt transaction all
  - configuration command
- show motd
  - configuration command
- show mpls ldp discovery [detail]
  - configuration command
- show mpls ldp ipv4 discovery [detail]
  - configuration command
- show mpls ldp ipv4 interface
  - configuration command
- show mpls ldp ipv4|ipv6 binding
  - configuration command
- show mpls ldp ipv6 discovery [detail]
  - configuration command
- show mpls ldp ipv6 interface
  - configuration command
- show mpls ldp neighbor [A.B.C.D]
  - configuration command
- show mpls ldp neighbor [A.B.C.D] capabilities
  - configuration command
- show mpls ldp neighbor [A.B.C.D] detail
  - configuration command
- show mpls table
  - configuration command
- show nexthop-group rib [ID] [vrf NAME] [singleton [ip|ip6]] [type] [json]
  - configuration command
- show openfabric database
  - configuration command
- show openfabric database <LSP id> [detail]
  - configuration command
- show openfabric database [detail]
  - configuration command
- show openfabric database detail <LSP id>
  - configuration command
- show openfabric hostname
  - configuration command
- show openfabric interface
  - configuration command
- show openfabric interface <interface name>
  - configuration command
- show openfabric interface detail
  - configuration command
- show openfabric neighbor
  - configuration command
- show openfabric neighbor <System Id>
  - configuration command
- show openfabric neighbor detail
  - configuration command
- show openfabric summary
  - configuration command
- show openfabric topology
  - configuration command
- show pbr interface [NAME] [json]
  - configuration command
- show pbr ipset IPSETNAME | iptable
  - configuration command
- show pbr map [NAME] [detail] [json]
  - configuration command
- show pbr nexthop-groups [NAME] [json]
  - configuration command
- show pbr rule
  - configuration command
- show route-map [WORD] [json]
  - configuration command
- show rpki as-number ASN [vrf NAME] [json]
  - configuration command
- show rpki cache-connection [vrf NAME] [json]
  - configuration command
- show rpki cache-server [vrf NAME] [json]
  - configuration command
- show rpki configuration [vrf NAME] [json]
  - configuration command
- show rpki prefix <A.B.C.D/M|X:X::X:X/M> [ASN] [vrf NAME] [json]
  - configuration command
- show rpki prefix-table [vrf NAME] [json]
  - configuration command
- show segment-routing srv6 [locator NAME] sid [X:X::X:X] [json]
  - configuration command
- show segment-routing srv6 locator [json]
  - configuration command
- show segment-routing srv6 locator NAME detail [json]
  - configuration command
- show segment-routing srv6 manager [json]
  - configuration command
- show sharp cspf source <A.B.C.D|X:X:X:X> destination <A.B.C.D|X:X:X:X> <metric|te-metric|delay> (0-16777215) [rsv-bw (0-7) BANDWIDTH]
  - configuration command
- show sharp segment-routing srv6
  - configuration command
- show sharp ted [<vertex [A.B.C.D]|edge [A.B.C.D]|subnet [A.B.C.D/M]>] [verbose|json]
  - configuration command
- show sharp ted [verbose|json]
  - configuration command
- show sr-te pcep counters
  - configuration command
- show sr-te pcep pcc
  - configuration command
- show sr-te pcep pce-config [NAME]
  - configuration command
- show sr-te pcep session [NAME] [json]
  - configuration command
- show sr-te policy [detail]
  - configuration command
- show version
  - configuration command
- show vnc nves
  - configuration command
- show vnc nves vn|un ADDRESS
  - configuration command
- show vnc queries
  - configuration command
- show vnc queries PREFIX
  - configuration command
- show vnc registrations [all|local|remote|holddown|imported]
  - configuration command
- show vnc registrations [all|local|remote|holddown|imported] PREFIX
  - configuration command
- show vnc responses [active|removed]
  - configuration command
- show vnc responses [active|removed] PREFIX
  - configuration command
- show vnc summary
  - configuration command
- show vrf [<NAME$vrf_name|all$vrf_all>] vni [json]
  - configuration command
- show vrrp [interface INTERFACE] [(1-255)] [json]
  - configuration command
- show watchfrr
  - configuration command
- show yang operational-data XPATH [{format <json|xml>|translate TRANSLATOR|with-config}] DAEMON
  - configuration command
- show zebra
  - configuration command
- show zebra client [summary]
  - configuration command
- show zebra dplane [detailed]
  - configuration command
- show zebra dplane providers
  - configuration command
- show zebra fpm stats
  - configuration command
- show zebra router table summary
  - configuration command
- shutdown
  - configuration command, [1]
- sid vpn per-vrf export <(1..1048575)|auto|explicit X:X::X:X>
  - configuration command
- sid X:X::X:X/M locator NAME behavior <uN|uA|uDT4|uDT6|uDT46> [vrf VRF] [interface IFNAME [nexthop X:X::X:X]]
  - configuration command
- socket buffer <send | recv | all> (1-4000000000)
  - configuration command
- source-address [ip A.B.C.D | ipv6 X:X::X:X] [port PORT]
  - configuration command
- source-address X:X::X:X
  - configuration command
- spf prefix-priority [critical | high | medium] WORD
  - configuration command
- spf-interval (1-120)
  - configuration command
- spf-interval [level-1 | level-2] (1-120)
  - configuration command
- spt-switchover infinity-and-beyond [prefix-list PLIST]
  - configuration command, [1]
- sr-draft07
  - configuration command
- srv6
  - configuration command, [1]
- ssm prefix-list WORD
  - configuration command, [1]
- ssmpingd [X:X::X:X]
  - configuration command
- static-sids
  - configuration command
- strip vlan
  - configuration command
- structured-data <code-location|version|unique-id|error-category|format-args>
  - configuration command
- summary-address A.B.C.D/M [tag (1-4294967295)]
  - configuration command
- summary-address A.B.C.D/M no-advertise
  - configuration command
- summary-address X:X::X:X/M [tag (1-4294967295)] [{metric (0-16777215) | metric-type (1-2)}]
  - configuration command
- summary-address X:X::X:X/M no-advertise
  - configuration command

## T

- table-map ROUTE-MAP-NAME
  - configuration command
- tcp-md5-auth WORD
  - configuration command
- terminal length (0-512)
  - configuration command
- terminal monitor [DAEMON]
  - configuration command
- terminal paginate
  - configuration command
- timer [keep-alive (1-63)] [min-peer-keep-alive (1-255)] [max-peer-keep-alive (1-255)] [dead-timer (4-255)] [min-peer-dead-timer (4-255)] [max-peer-dead-timer (4-255)] [pcep-request (1-120)] [session-timeout-interval (1-120)] [delegation-timeout (1-60)]
  - configuration command
- timers basic UPDATE TIMEOUT GARBAGE
  - configuration command
- timers lsa min-arrival (0-5000)
  - configuration command

- timers throttle lsa all (0-5000)
  - configuration command
- timers throttle spf (0-600000) (0-600000) (0-600000)
  - configuration command, [1]
- timestamp local-time
  - configuration command
- timestamp precision (0-9)
  - configuration command
- traffic-eng
  - configuration command
- transmit-interval (10-4294967)
  - configuration command
- ttl-security disable
  - configuration command

## U

- unrsv-bw (0-7) BANDWIDTH
  - configuration command
- update-delay MAX-DELAY
  - configuration command
- update-delay MAX-DELAY ESTABLISH-WAIT
  - configuration command

- use-bw BANDWIDTH
  - configuration command
- use-es-l3nhg
  - configuration command
- username USERNAME nopassword
  - configuration command

## V

- version VERSION
  - configuration command
- vnc defaults
  - configuration command
- vnc export bgp|zebra group-nve group GROUP-NAME
  - configuration command
- vnc export bgp|zebra group-nve no group GROUP-NAME
  - configuration command
- vnc l2-group NAME
  - configuration command
- vnc nve-group NAME
  - configuration command
- vnc redistribute bgp-direct (ipv4|ipv6) prefix-list LIST-NAME
  - configuration command
- vnc redistribute bgp-direct no (ipv4|ipv6) prefix-list
  - configuration command
- vnc redistribute bgp-direct no route-map
  - configuration command
- vnc redistribute bgp-direct route-map MAP-NAME
  - configuration command
- vnc redistribute ipv4|ipv6 bgp-direct-to-nve-groups view VIEWNAME
  - configuration command
- vnc redistribute ipv4|ipv6 bgp|bgp-direct|ipv6 bgp-direct-to-nve-groups|connected|kernel|ospf|rip|static
  - configuration command
- vnc redistribute lifetime LIFETIME|infinite
  - configuration command
- vnc redistribute mode plain|nve-group|resolve-nve
  - configuration command

- vnc redistribute nve-group GROUP-NAME
  - configuration command
- vnc redistribute resolve-nve roo-ec-local-admin 0-65536
  - configuration command
- vrf VRF
  - configuration command
- vrrp (1-255) [version (2-3)]
  - configuration command
- vrrp (1-255) advertisement-interval (10-40950)
  - configuration command
- vrrp (1-255) checksum-with-ipv4-pseudoheader
  - configuration command
- vrrp (1-255) ip A.B.C.D
  - configuration command
- vrrp (1-255) ipv6 X:X::X:X
  - configuration command
- vrrp (1-255) preempt
  - configuration command
- vrrp (1-255) priority (1-254)
  - configuration command
- vrrp (1-255) shutdown
  - configuration command
- vrrp autoconfigure [version (2-3)]
  - configuration command
- vrrp default <advertisement-interval (1-4096)|preempt|priority (1-254)|checksum-with-ipv4-pseudoheader|shutdown>
  - configuration command

## W

- watchfrr ignore DAEMON
  - configuration command
- who
  - configuration command
- wide-local-id-block explicit start START
  - configuration command
- wide-local-id-block start START end END
  - configuration command
- write file
  - configuration command

- write integrated
  - configuration command
- write terminal
  - configuration command
- write-multiplier (1-100)
  - configuration command, [1]
- write-quanta (1-64)
  - configuration command

## Z

- zebra command line option
  - --asic-offload
  - --batch
  - --ecmp
  - --graceful_restart
  - --nl-bufsize
  - --retain
  - --routing-table
  - --socket
  - --v6-rr-semantics
  - --v6-with-v4-nexthops
  - --vrfwnetns
  - -b
  - -e
  - -K
  - -n
  - -r
  - -s
  - -z

- zebra dplane limit [NUMBER]
  - configuration command
- zebra nexthop-group keep (1-3600)
  - configuration command
- zebra on-rib-process script SCRIPT
  - configuration command
- zebra protodown reason-bit (0-31)
  - configuration command
- zebra route-map delay-timer (0-600)
  - configuration command